2019-10-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_factorialdesign.m: Provide missing help text  (ticket #91)

	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Provide
	missing help text.

2019-09-06  Julien Bect  <julien.bect@centralesupelec.fr>

	INDEX: Fix sections and re-organize a little

	* admin/octpkg/INDEX: Fix sections and re-organize a little.
	* model/noise/@stk_gaussiannoise_/stk_gaussiannoise_.m: Mark as
	internal.

2019-09-03  Julien Bect  <julien.bect@centralesupelec.fr>

	Makefile: Use ${OCTAVE} from environment if defined

	* Makefile: Use ${OCTAVE} from environment if defined.

2019-08-14  Julien Bect  <julien.bect@centralesupelec.fr>

	Move @stk_model_gpposterior to model/ directory

	* core/@stk_model_gpposterior/disp.m: Move from
	* core/@stk_model_gpposterior/fieldnames.m: Move from
	* core/@stk_model_gpposterior/get.m: Move from
	* core/@stk_model_gpposterior/get_input_data.m: Move from
	* core/@stk_model_gpposterior/get_output_data.m: Move from
	* core/@stk_model_gpposterior/get_prior_model.m: Move from
	* core/@stk_model_gpposterior/set.m: Move from
	* core/@stk_model_gpposterior/stk_covmat_noise.m: Move from
	* core/@stk_model_gpposterior/stk_generate_samplepaths.m: Move from
	* core/@stk_model_gpposterior/stk_get_input_data.m: Move from
	* core/@stk_model_gpposterior/stk_get_observation_variances.m: Move from
	* core/@stk_model_gpposterior/stk_get_optimizable_noise_parameters.m: Move from
	* core/@stk_model_gpposterior/stk_get_optimizable_parameters.m: Move from
	* core/@stk_model_gpposterior/stk_get_output_data.m: Move from
	* core/@stk_model_gpposterior/stk_get_prior_model.m: Move from
	* core/@stk_model_gpposterior/stk_isnoisy.m: Move from
	* core/@stk_model_gpposterior/stk_make_kreq.m: Move from
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Move from
	* core/@stk_model_gpposterior/stk_model_update.m: Move from
	* core/@stk_model_gpposterior/stk_predict.m: Move from
	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Move from
	* core/@stk_model_gpposterior/stk_predict_leaveoneout_direct.m: Move from
	* core/@stk_model_gpposterior/stk_set_optimizable_parameters.m: Move from
	* model/@stk_model_gpposterior/disp.m: Move to
	* model/@stk_model_gpposterior/fieldnames.m: Move to
	* model/@stk_model_gpposterior/get.m: Move to
	* model/@stk_model_gpposterior/get_input_data.m: Move to
	* model/@stk_model_gpposterior/get_output_data.m: Move to
	* model/@stk_model_gpposterior/get_prior_model.m: Move to
	* model/@stk_model_gpposterior/set.m: Move to
	* model/@stk_model_gpposterior/stk_covmat_noise.m: Move to
	* model/@stk_model_gpposterior/stk_generate_samplepaths.m: Move to
	* model/@stk_model_gpposterior/stk_get_input_data.m: Move to
	* model/@stk_model_gpposterior/stk_get_observation_variances.m: Move to
	* model/@stk_model_gpposterior/stk_get_optimizable_noise_parameters.m: Move to
	* model/@stk_model_gpposterior/stk_get_optimizable_parameters.m: Move to
	* model/@stk_model_gpposterior/stk_get_output_data.m: Move to
	* model/@stk_model_gpposterior/stk_get_prior_model.m: Move to
	* model/@stk_model_gpposterior/stk_isnoisy.m: Move to
	* model/@stk_model_gpposterior/stk_make_kreq.m: Move to
	* model/@stk_model_gpposterior/stk_model_gpposterior.m: Move to
	* model/@stk_model_gpposterior/stk_model_update.m: Move to
	* model/@stk_model_gpposterior/stk_predict.m: Move to
	* model/@stk_model_gpposterior/stk_predict_leaveoneout.m: Move to
	* model/@stk_model_gpposterior/stk_predict_leaveoneout_direct.m: Move to
	* model/@stk_model_gpposterior/stk_set_optimizable_parameters.m: Move to

	Implement stk_covmat_noise for all models

	* core/stk_covmat_noise.m: Move from
	* model/prior_struct/stk_covmat_noise.m: Move to
	* core/@stk_model_gpposterior/stk_covmat_noise.m: New function
	* model/@stk_model_/stk_covmat_noise.m: New function
	* model/noise/@stk_gaussiannoise_/stk_covmat_noise.m: New function
	* admin/octpkg/INDEX: Update

	Implement stk_isnoisy for noise models

	* model/noise/@stk_gaussiannoise_/stk_isnoisy.m: New function

2019-08-13  Julien Bect  <julien.bect@centralesupelec.fr>

	Move more functions to model/prior_struct/

	* core/stk_isnoisy.m: Move from
	* core/stk_model.m: Move from
	* core/stk_model_fixlm.m: Move from
	* core/stk_ortho_func.m: Move from
	* model/prior_struct/stk_isnoisy.m: Move to
	* model/prior_struct/stk_model.m: Move to
	* model/prior_struct/stk_model_fixlm.m: Move to
	* model/prior_struct/stk_ortho_func.m: Move to

	Rename experimental noise model classes

	* model/noise/@stk_model_gn/disp.m: Move from
	* model/noise/@stk_model_gn/stk_covmat.m: Move from
	* model/noise/@stk_model_gn/stk_model_gn.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/disp.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/fieldnames.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/get.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/set.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/stk_get_optimizable_parameters.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/stk_model_gn_heteroscedastic0.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/stk_param_getdefaultbounds.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/stk_set_optimizable_parameters.m: Move from
	* model/noise/@stk_model_gn_heteroscedastic0/stk_variance_eval.m: Move from
	* model/noise/@stk_gaussiannoise_/disp.m: Move to
	* model/noise/@stk_gaussiannoise_/stk_covmat.m: Move to
	* model/noise/@stk_gaussiannoise_/stk_gaussiannoise_.m: Move to
	* model/noise/@stk_gaussiannoise_het0/disp.m: Move to
	* model/noise/@stk_gaussiannoise_het0/fieldnames.m: Move to
	* model/noise/@stk_gaussiannoise_het0/get.m: Move to
	* model/noise/@stk_gaussiannoise_het0/set.m: Move to
	* model/noise/@stk_gaussiannoise_het0/stk_gaussiannoise_het0.m: Move to
	* model/noise/@stk_gaussiannoise_het0/stk_get_optimizable_parameters.m: Move to
	* model/noise/@stk_gaussiannoise_het0/stk_param_getdefaultbounds.m: Move to
	* model/noise/@stk_gaussiannoise_het0/stk_set_optimizable_parameters.m: Move to
	* model/noise/@stk_gaussiannoise_het0/stk_variance_eval.m: Move to
	* examples/03_miscellaneous/stk_example_misc05.m: Update
	* model/@stk_model_/stk_model_.m: Update
	* admin/octpkg/INDEX: Update

2019-08-12  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename internal class @stk_optim_baseclass -> @stk_optim_optimizer_

	* misc/optim/@stk_optim_baseclass/stk_optim_baseclass.m: Move from
	* misc/optim/@stk_optim_baseclass/stk_optim_isavailable.m: Move from
	* misc/optim/@stk_optim_optimizer_/stk_optim_isavailable.m: Move to
	* misc/optim/@stk_optim_optimizer_/stk_optim_optimizer_.m: Move to
	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Update
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Update
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Update
	* admin/octpkg/INDEX: Update

	Rename internal class stk_model_base -> stk_model_

	* model/@stk_model_base/cat.m: Move from
	* model/@stk_model_base/disp.m: Move from
	* model/@stk_model_base/display.m: Move from
	* model/@stk_model_base/get.m: Move from
	* model/@stk_model_base/horzcat.m: Move from
	* model/@stk_model_base/set.m: Move from
	* model/@stk_model_base/stk_get_input_data.m: Move from
	* model/@stk_model_base/stk_get_observation_variances.m: Move from
	* model/@stk_model_base/stk_get_output_data.m: Move from
	* model/@stk_model_base/stk_get_prior_model.m: Move from
	* model/@stk_model_base/stk_model_base.m: Move from
	* model/@stk_model_base/subsasgn.m: Move from
	* model/@stk_model_base/subsref.m: Move from
	* model/@stk_model_base/vertcat.m: Move from
	* model/@stk_model_/cat.m: Move to:
	* model/@stk_model_/disp.m: Move to
	* model/@stk_model_/display.m: Move to
	* model/@stk_model_/get.m: Move to
	* model/@stk_model_/horzcat.m: Move to
	* model/@stk_model_/set.m: Move to
	* model/@stk_model_/stk_get_input_data.m: Move to
	* model/@stk_model_/stk_get_observation_variances.m: Move to
	* model/@stk_model_/stk_get_output_data.m: Move to
	* model/@stk_model_/stk_get_prior_model.m: Move to
	* model/@stk_model_/stk_model_.m: Move to
	* model/@stk_model_/subsasgn.m: Move to
	* model/@stk_model_/subsref.m: Move to
	* model/@stk_model_/vertcat.m: Move to
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Update
	* model/noise/@stk_model_gn/stk_model_gn.m: Update
	* admin/octpkg/INDEX: Update

	Mark @stk_model_gn_heteroscedastic0/stk_variance_eval.m as experimental

	* model/noise/@stk_model_gn_heteroscedastic0/stk_variance_eval.m:
	Mark this new function as experimental.
	* admin/octpkg/INDEX: update index.

2019-08-11  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename model/gn to model/noise

	* model/gn/@stk_model_gn/disp.m: Move from
	* model/gn/@stk_model_gn/stk_covmat.m: Move from
	* model/gn/@stk_model_gn/stk_model_gn.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/disp.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/fieldnames.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/get.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/set.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/stk_get_optimizable_parameters.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/stk_model_gn_heteroscedastic0.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/stk_param_getdefaultbounds.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/stk_set_optimizable_parameters.m: Move from
	* model/gn/@stk_model_gn_heteroscedastic0/stk_variance_eval.m: Move from
	* model/noise/@stk_model_gn/disp.m: Move to
	* model/noise/@stk_model_gn/stk_covmat.m: Move to
	* model/noise/@stk_model_gn/stk_model_gn.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/disp.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/fieldnames.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/get.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/set.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/stk_get_optimizable_parameters.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/stk_model_gn_heteroscedastic0.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/stk_param_getdefaultbounds.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/stk_set_optimizable_parameters.m: Move to
	* model/noise/@stk_model_gn_heteroscedastic0/stk_variance_eval.m: Move to
	* stk_init.m: Update path

	Rename stk_param_estim_remlgs to stk_param_init_remlgls

	* param/estim/stk_param_estim_remlgs.m: Renamed from this...
	* param/estim/stk_param_init_remlgls.m: ...to this.
	* param/estim/stk_param_init.m: Propagate rename.
	* admin/octpkg/INDEX: Update index.

2019-08-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Turn stk_param_getblockselectors into a subfunction

	* model/prior_struct/stk_param_getblockselectors.m: Deleted.
	* param/estim/stk_param_estim.m: New subfunction.

2019-08-07  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_options_set: Add help text.

	* misc/options/stk_options_set.m: Add help text.

2019-08-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Undo some changes from cs 00fdd8fa58d4

	* misc/options/stk_options_get.m: Undo changes from cs 00fdd8fa58d4.
	* arrays/@stk_dataframe/plotmatrix.m: Idem.

2019-07-06  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_cholcov: Honour optional arguments (ticket #94)

	* core/stk_cholcov.m: Honour optional arguments, such as 'lower',
	when auto-nugget kicks in.

2019-07-01  Julien Bect  <julien.bect@centralesupelec.fr>

	Move some model getters from core to model/prior_struct

	* core/stk_get_optimizable_model_parameters.m: Move from
	* core/stk_set_optimizable_model_parameters.m: Move from
	* model/prior_struct/stk_get_optimizable_model_parameters.m: Move to
	* model/prior_struct/stk_set_optimizable_model_parameters.m: Move to

	core/@stk_model_gpposterior: Fix some help texts

	* core/@stk_model_gpposterior/stk_get_input_data.m: Fix help text.
	* core/@stk_model_gpposterior/stk_get_output_data.m: Idem.
	* core/@stk_model_gpposterior/stk_get_prior_model.m: Idem.

2019-06-19  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_misc04.m: Fix a typo

	* examples/03_miscellaneous/stk_example_misc04.m: Fix a typo.

2019-02-15  Julien Bect  <julien.bect@centralesupelec.fr>

	Make it possible to set all the options at once.

	* misc/options/stk_options_set.m: Make it possible to set all the
	options at once, using a struct argument.

	Make it possible to set customized bounds for log(nu).

	* misc/options/stk_options_set.m: Add new options nu_min_dimfun
	and nu_max_dimfun for stk_param_getdefaultbounds.
	* param/estim/stk_param_getdefaultbounds.m: Compute nu_min and
	nu_max using the new options.

	stk_param_getdefaultbounds.m: Lower-case variables names

	* param/estim/stk_param_getdefaultbounds.m: Use lower-case
	variables names for tolscale and tolvar.

2019-02-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_runtests.m: Return a struct of results

	* misc/test/stk_runtests.m: Return a struct of results.

2019-02-04  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init: Deprecate the syntax with do_estim_lnv

	* param/estim/stk_param_init.m: Remove the syntax with
	do_estim_lnv from the documention.  Explain in the source code
	that it is deprecated, and add a warning.
	* examples/03_miscellaneous/stk_example_misc03.m: Remove useless
	do_estim_lnv argument.
	* examples/03_miscellaneous/stk_example_misc06.m: Idem.
	* NEWS.md: Announce this change.  This goes nicely with a similar
	change made to the stk_model_gpposterior class.

2019-02-03  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename two examples

	* examples/03_miscellaneous/stk_example_misc05.m: Renamed from
	misc06.  This one is going to be release in STK 2.6.0.
	* examples/03_miscellaneous/stk_example_misc06.m: Renamed from
	misc05.  This one is not goind to be release in STK 2.6.0.
	* NEWS.md: Fix corresponding news item.

2019-01-28  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_shadedci.m: Fix CI legend

	* misc/plot/stk_plot_shadedci.m: Fix CI legend.

2019-01-23  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim_remlgs.m: Make it work for parameter objects too

	* param/estim/stk_param_estim_remlgs.m: Make it work for parameter
	objects too.

2019-01-22  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim_optim.m: Add safety nets.

	* param/estim/stk_param_estim_optim.m: Add safety nets around the
	call to the optimizer.  If the final value is not better than the
	initial one, issue an error.

	stk_param_estim: Fix a small bug relative to the 'info' ouput.

	* param/estim/stk_param_estim.m: Fix bug.
	* param/estim/stk_param_estim_optim.m: Fix bug.

2019-01-21  Julien Bect  <julien.bect@centralesupelec.fr>

	Extract stk_param_init's core to a separate (internal) function

	* param/estim/stk_param_estim_remlgs.m: New internal function,
	which implements a ReML grid search.  This was previously hidden
	in stk_param_init.
	* param/estim/stk_param_init.m: Remove the extracted part.
	* admin/octpkg/INDEX: Update the index.

	stk_param_estim.m: Internal changes

	* param/estim/stk_param_estim.m (provide_starting_point): Do not
	try to cast parameter objects into objects of the appropriate
	type, simply assume that they are of the appropriate type.  The
	use of stk_set_optimizable_parameters should be restricted to
	numerical value arguments.

	stk_model.m: Internal changes

	* core/stk_model.m: Removed unused argument 'covariance_name' from
	subfunction stk_model_.

2019-01-18  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Call user-defined _param_init with correct nargout

	* param/estim/stk_param_init.m: Call user-defined _param_init
	function with the correct number of output arguments.

	stk_model.m: Be more flexible if stk_param_init fails

	* core/stk_model.m: Be more flexible and simply issue a warning if
	we fail to get a default parameter vector from stk_param_init.
	Also, do not rely on stk_param_init to get a default value for
	lnv.

2019-01-17  Julien Bect  <julien.bect@centralesupelec.fr>

	Make it possible to use stk_model with user-defined covariances.

	* param/estim/stk_param_init.m: When used with only one input
	argument, stk_param_init now returns defaults param and lnv values
	to be used by stk_model.
	* core/stk_model.m: Rely on stk_param_init to obtain default
	values for param and lnv.  User-defined covariance should do this
	as well.

2018-11-30  Julien Bect  <julien.bect@centralesupelec.fr>

	Relocate @struct/ inside model/prior_struct (ticket #90)

	* core/@struct/get_input_data.m: Moved from.
	* core/@struct/get_output_data.m: Moved from.
	* core/@struct/get_prior_model.m: Moved from.
	* model/prior_struct/@struct/get_input_data.m: Moved to.
	* model/prior_struct/@struct/get_output_data.m: Moved to.
	* model/prior_struct/@struct/get_prior_model.m: Moved to.
	* model/prior_struct/@struct/README: Provide an explanation.
	* admin/build_tools/build_octpkg.m: Ignore the README file.

	Move stk_get_optimizable_noise_parameters.m out of @struct/

	* core/@struct/stk_get_optimizable_noise_parameters.m: Moved from.
	* model/prior_struct/stk_get_optimizable_noise_parameters.m: Moved
	to. Check that model is a prior model structure.
	* admin/octpkg/INDEX: Update the index.

2018-11-14  Julien Bect  <julien.bect@centralesupelec.fr>

	Move stk_param_getblockselectors out of @struct/

	* core/@struct/stk_param_getblockselectors.m: Moved from.
	* model/prior_struct/stk_param_getblockselectors.m: Moved to.
	* param/estim/stk_param_estim.m: Check that model is a prior model
	structure.
	* admin/octpkg/INDEX: Update the index.

	Rename stk_replicate_obs_noise, add help text

	* core/@struct/stk_replicate_obs_noise.m: Renamed from.
	* A utils/stk_simulate_noise.m: Renamed to.  Add help text.
	Extract from @struct directory (see ticket #90).
	* utils/stk_generate_samplepaths.m: Use the new name.
	* admin/octpkg/INDEX: Update the index.

2018-11-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename stk_assert_struct_is_model

	* misc/error/stk_assert_struct_is_model.m: Renamed from.
	* misc/error/stk_assert_model_struct.m: Renamed to.
	* model/prior_struct/stk_get_input_data.m: Use new name.
	* model/prior_struct/stk_get_observation_variances.m: Idem.
	* model/prior_struct/stk_get_output_data.m: Idem.
	* model/prior_struct/stk_get_prior_model.m: Idem.
	* core/@struct/stk_replicate_obs_noise.m: Idem.
	* param/estim/stk_param_init.m: Call stk_assert_model_struct
	instead of re-inventing the wheel.
	* core/stk_get_optimizable_model_parameters.m: Idem.
	* core/stk_set_optimizable_model_parameters.m: Idem.

	Polish stk_get_observation_variances

	* core/stk_get_observation_variances.m: Moved to model/prior_struct.
	* model/prior_struct/stk_get_observation_variances.m: Moved here
	from core.  Remove the syntax with two input arguments.
	* model/@stk_model_base/stk_get_observation_variances.m: All
	models behave as prior models if this is not overridden.
	* core/@stk_model_gpposterior/stk_get_observation_variances.m:
	Minor fix in help text.
	* model/@stk_model_base/stk_get_input_data.m: Update design note.
	* model/@stk_model_base/stk_get_output_data.m: Idem.
	* model/@stk_model_base/stk_get_prior_model.m: Idem.
	* core/@struct/stk_replicate_obs_noise.m: Call stk_covmat_noise
	directly.
	* param/estim/stk_param_init.m: Idem.
	* admin/octpkg/INDEX: Update the index.

2018-11-09  Julien Bect  <julien.bect@centralesupelec.fr>

	Add an stk_ prefix to some getters.

	* core/@struct/get_input_data.m: Deprecated.
	* core/@struct/get_output_data.m: Deprecated.
	* core/@struct/get_prior_model.m: Deprecated.
	* model/prior_struct/stk_get_input_data.m: New function, which
	replaces @struct/get_input_data.m.
	* model/prior_struct/stk_get_output_data.m: New function, which
	replaces @struct/get_output_data.m.
	* model/prior_struct/stk_get_prior_model.m: New function, which
	replaces @struct/get_prior_model.m.
	* core/@stk_model_gpposterior/get_input_data.m: Deprecated.
	* core/@stk_model_gpposterior/get_output_data.m: Deprecated.
	* core/@stk_model_gpposterior/get_prior_model.m: Deprecated.
	* core/@stk_model_gpposterior/stk_get_input_data.m: New function,
	which replaces @stk_model_gpposterior/get_input_data.m.
	* core/@stk_model_gpposterior/stk_get_output_data.m: New function,
	which replaces @stk_model_gpposterior/get_output_data.m.
	* core/@stk_model_gpposterior/stk_get_prior_model.m: New function,
	which replaces @stk_model_gpposterior/get_prior_model.m.
	* model/@stk_model_base/stk_get_input_data.m: New function.  All
	model classes derived from @stk_model_base will behave as prior
	models unless this is overridden.
	* model/@stk_model_base/stk_get_output_data.m: Idem.
	* model/@stk_model_base/stk_get_prior_model.m: Idem.
	* core/@stk_model_gpposterior/stk_generate_samplepaths.m: Use the
	new form for the getters, i.e., add an stk_ prefix.
	* sampling/@stk_sampcrit_akg/feval.m: Idem.
	* sampling/@stk_sampcrit_akg/set.m: Idem.
	* sampling/@stk_sampcrit_ei/set.m: Idem.
	* sampling/@stk_sampcrit_eqi/set.m: Idem.
	* utils/stk_plot_probdom2d.m: Idem.
	* stk_init.m: Add new subdirectory to the path.
	* admin/octpkg/INDEX: Update the index.

2018-10-29  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename assert_struct_is_model.m, adding an stk_ prefix.

	* core/@struct/private/assert_struct_is_model.m: Remove private
	function, now exists with an stk_ prefix.
	* misc/error/stk_assert_struct_is_model.m: Replacement for removed
	private function.
	* core/@struct/get_input_data.m: Use new function name.
	* core/@struct/get_output_data.m: Idem.
	* core/@struct/get_prior_model.m: Idem.
	* core/@struct/stk_replicate_obs_noise.m: Idem.
	* admin/octpkg/INDEX: Update INDEX.

	Octave version requirement: fine tuning

	* NEWS.md: Change 3.8.1 to 3.8, no need to be so specific here.
	* README.md: Make it clear that we only test in 3.8.2.
	* admin/build_tools/build_octpkg.m: Formally require 3.8.0.

	Raise minimal Octave version to 3.8.1

	* admin/build_tools/build_octpkg.m: Raise minimal Octave version
	to 3.8.1, which the version currently available in the oldest
	Ubuntu LTS still supported (namely Trusty).  For the record, the
	current oldstable release of Debian (namely, Jessie) has Octave
	3.8.2.
	* README.md: Modify accordingly.
	* admin/CODING_GUIDELINES: CG#04, CG#06, CG#11 and CG#12 no longer
	apply.
	* arrays/@stk_dataframe/isequal.m: isequal overload is no longer
	needed (cf CG#04).
	* arrays/@stk_factorialdesign/isequal.m: Idem.
	* core/@stk_kreq_qr/isequal.m: Idem.
	* core/@stk_model_gpposterior/isequal.m: Idem.
	* lm/@stk_lm_affine/isequal.m: Idem.
	* lm/@stk_lm_constant/isequal.m: Idem.
	* lm/@stk_lm_cubic/isequal.m: Idem.
	* lm/@stk_lm_matrix/isequal.m: Idem.
	* lm/@stk_lm_null/isequal.m: Idem.
	* lm/@stk_lm_quadratic/isequal.m: Idem.
	* misc/optim/@stk_optim_baseclass/isequal.m: Idem.
	* misc/optim/@stk_optim_fmincon/isequal.m: Idem.
	* misc/optim/@stk_optim_fminsearch/isequal.m: Idem.
	* misc/optim/@stk_optim_octavesqp/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_none/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_parfor/isequal.m: Idem.
	* examples/02_design_of_experiments/stk_example_doe02.m: Use
	brackets instead of vertcat or horzcat (cf CG#11).
	* examples/02_design_of_experiments/stk_example_doe03.m: Idem.
	* examples/02_design_of_experiments/stk_example_doe05.m: Idem.
	* utils/stk_plot_probdom2d.m: Idem.
	* admin/octpkg/INDEX: Update the index.

2018-10-24  Julien Bect  <julien.bect@centralesupelec.fr>

	Add a base class for model classes

	* model/@stk_model_base: New class, to be used as a base class for
	all model objects.
	* model/@stk_model_base/stk_model_base.m: Trivial class constructor.
	* model/@stk_model_base/cat.m: This function is taken, untouched,
	from @stk_model_gpposterior and @stk_model_gn.
	* model/@stk_model_base/disp.m: Idem.
	* model/@stk_model_base/display.m: Idem.
	* model/@stk_model_base/get.m: Idem.
	* model/@stk_model_base/set.m: Idem.
	* model/@stk_model_base/subsasgn.m: Idem.
	* model/@stk_model_base/subsref.m: Idem.
	* model/@stk_model_base/horzcat.m: Idem.
	* model/@stk_model_base/vertcat.m: Idem.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Derive from
	the base class.
	* model/gn/@stk_model_gn/stk_model_gn.m: Idem
	* core/@stk_model_gpposterior/display.m: Removed.
	* core/@stk_model_gpposterior/horzcat.m: Removed.
	* core/@stk_model_gpposterior/subsasgn.m: Removed.
	* core/@stk_model_gpposterior/subsref.m: Removed.
	* core/@stk_model_gpposterior/vertcat.m: Removed.
	* model/gn/@stk_model_gn/cat.m: Removed.
	* model/gn/@stk_model_gn/display.m: Removed.
	* model/gn/@stk_model_gn/get.m: Removed.
	* model/gn/@stk_model_gn/horzcat.m: Removed.
	* model/gn/@stk_model_gn/set.m: Removed.
	* model/gn/@stk_model_gn/subsasgn.m: Removed.
	* model/gn/@stk_model_gn/subsref.m: Removed.
	* model/gn/@stk_model_gn/vertcat.m: Removed.
	* stk_init.m: Add new directory to the path.
	* admin/octpkg/INDEX: Update the index.

	Introduce noise model objects as an experimental feature (ticket #38)

	* model/gn/@stk_model_gn: Base class for noise model objects.
	* model/gn/@stk_model_gn/stk_model_gn.m: Class constructor.
	* model/gn/@stk_model_gn/stk_covmat.m: Compute covariance matrix.
	* model/gn/@stk_model_gn/cat.m: Prevent concatenation.
	* model/gn/@stk_model_gn/horzcat.m: Idem.
	* model/gn/@stk_model_gn/vertcat.m: Idem.
	* model/gn/@stk_model_gn/get.m: Empty getter.
	* model/gn/@stk_model_gn/set.m: Empty setter.
	* model/gn/@stk_model_gn/subsasgn.m: Redirect dot-indexing to set.
	* model/gn/@stk_model_gn/subsref.m: Redirect dot-indexing to get.
	* model/gn/@stk_model_gn/disp.m: Overload disp.
	* model/gn/@stk_model_gn/display.m: Overload display.
	* model/gn/@stk_model_gn_heteroscedastic0: Provide a first example
	of noise model class derived from stk_model_gn.
	* model/gn/@stk_model_gn_heteroscedastic0/stk_model_gn_heteroscedastic0.m:
	Class constructor.
	* model/gn/@stk_model_gn_heteroscedastic0/stk_variance_eval.m:
	This is where the variance function is actually computed.
	* model/gn/@stk_model_gn_heteroscedastic0/stk_get_optimizable_parameters.m:
	Overload STK function.
	* model/gn/@stk_model_gn_heteroscedastic0/stk_param_getdefaultbounds.m: Idem.
	* model/gn/@stk_model_gn_heteroscedastic0/stk_set_optimizable_parameters.m: Idem.
	* model/gn/@stk_model_gn_heteroscedastic0/disp.m: Overload disp.
	* model/gn/@stk_model_gn_heteroscedastic0/fieldnames.m: Provide field names.
	* model/gn/@stk_model_gn_heteroscedastic0/get.m: Getter.
	* model/gn/@stk_model_gn_heteroscedastic0/set.m: setter.
	* stk_init.m: Add new directory to the path.
	* examples/03_miscellaneous/stk_example_misc06.m: An example.
	* admin/octpkg/INDEX: Update the index.

2018-10-01  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_model_gpposterior.m: Estimate params when lnv is NaN (ticket #93)

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Trigger
	parameter estimation when lognoisevariance (or some of its
	optimizable hyperparameters in the object case) is NaN.

2018-09-28  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_set_optimizable_parameters: Remove the 'select' argument

	* param/classes/stk_set_optimizable_parameters.m: Remove the
	optional 'select' argument.
	* core/@stk_model_gpposterior/stk_set_optimizable_parameters.m: Idem.
	* core/stk_set_optimizable_model_parameters.m: Idem.
	* param/estim/stk_param_estim_optim.m: Implement selection
	directly here.

2018-09-20  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dataframe.m: Accept char arg when only one row/col (ticket #92)

	* arrays/@stk_dataframe/stk_dataframe.m: Accept char vectors (or
	strings) as `colnames` or `rownames` argument when there is only
	one column or one row.  This was, previously, only partially
	supported for char vectors, and not at all for strings.  Also,
	clarify a little bit the processing of `rownames` / `colnames'
	arguments.

2018-09-11  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: Check if the starting points are finite

	* param/estim/stk_param_estim.m: Check if the starting points
	param0 and lnv0 are finite, i.e., do not contain NaNs or Infs.

	Refresh the index

	* admin/octpkg/INDEX: Update the index with recently introduced
	internal functions.

	Refresh quilt patches

	* admin/octpkg/patches/matlab-graphics-axis-Axes.patch: Refresh patch.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.
	* admin/octpkg/patches/stk-init-rmpath-cleanup.patch: Refresh patch.
	* admin/octpkg/patches/workaround-octave-bug-46350.patch: Refresh patch.

	stk_param_estim.m: stk_set_optimizable_parameters accepts object values

	* param/estim/stk_param_estim.m: Assume that
	stk_set_optimizable_parameters accepts object values as well.
	* param/estim/private/stk_param_check_lnv0.m: Delete unused
	private function.

2018-09-08  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: Fix a corner case

	* param/estim/stk_param_estim.m: Fix a corner case.

2018-09-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Reorganize parameter estimation (optimization) code

	* param/estim/stk_param_estim_optim.m: New internal function, to
	optimize a given estimation criterion over a given subset of the
	parameters (both covariance parameters and lnv parameters).
	* core/@struct/stk_param_getblockselectors.m: New internal funct.
	* param/estim/stk_param_estim.m: Use the new internal functions.

2018-09-06  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Noise parameter objects are not allowed

	* param/estim/stk_param_init.m (stk_param_init_): Make it clear
	that, for the noise model, parameter estimation is only supported
	in the usual homoscedastic case, and parameter objects are not
	allowed.

	stk_param_init.m: Do not call stk_param_init_ if param is an object

	* param/estim/stk_param_init.m: Do not call STK's default
	stk_param_init_ procedure if model.param is an object.

2018-08-22  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Clarify how we determine the value of do_estim_lnv

	* param/estim/stk_param_init.m: Clarify how we determine the value
	of do_estim_lnv.  In the (undocumented) case of an heteroscedastic
	noise represented by a vector of variances, we ne longer issue an
	error is do_estim_lnv is true, we simply ignore it.  At the same
	time, this patch improves the way we deal with noise model
	objects, since previously we had a few old-style lnv(:)
	expressions in here.

2018-08-16  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_kb09.m: Update unit tests

	* examples/01_kriging_basics/stk_example_kb09.m: Update unit
	tests, which still referred to the old HOMOSCEDASTIC_NOISE variable.

2018-07-25  Julien Bect  <julien.bect@centralesupelec.fr>

	Introduce exceptions to the way missing lnv is handled

	* param/estim/stk_param_init.m: Considers that lnv is nan, instead
	of -Inf as everywhere else, in case of missing lnv field if lnv
	estimation is explicitely requested.
	* param/estim/stk_param_init_lnv.m: Considers that lnv is nan in
	case of missing lnv field.

	stk_param_init_lnv.m: Experimental support for noise model objects

	* param/estim/stk_param_init_lnv.m: Introduce experimental support
	for noise model objects.
	* param/estim/stk_param_estim.m: Let stk_param_init_lnv hande the
	object case.

2018-07-24  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Errors out if the first arg is not a structure

	* param/estim/stk_param_init.m: Errors out if the first argument
	is not a structure, since we expect a model structure here.

	stk_param_estim.m: Fix recently introduced error

	* param/estim/stk_param_estim.m (provide_starting_point): Fix
	recently introduced error in subfunction provide_starting_point.
	Went unnoticed because this section is not covered by unit
	tests...

	stk_param_init_lnv.m: Errors out for noiseless models

	* param/estim/stk_param_init_lnv.m: Errors out if called for a
	noiseless model.

2018-07-23  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_check_lnv0.m: Fix a bug.

	* param/estim/private/stk_param_check_lnv0.m: Fix a bug.

	stk_runtests.m: Improve the function in various ways

	* misc/test/stk_runtests.m: Improve the function in various ways.
	First, make it possible to run all the tests in a given set of
	directories.  Second, display runtime for each directory.  Third,
	use the internal function stk_runtests_ both in Matlab and in
	Octave (instead of __run_test_suite__ in Octave).

	stk_param_getdefaultbounds.m: Return [] bounds when param0 is []

	* param/estim/stk_param_getdefaultbounds.m: Return empty bounds
	when param0 is empty.

2018-07-22  Julien Bect  <julien.bect@centralesupelec.fr>

	Remove some useless try-catch blocks

	* param/classes/stk_get_optimizable_parameters.m: Remove useless
	try-catch block, which sometimes hides the true cause of the
	error.
	* param/classes/stk_set_optimizable_parameters.m: Idem.

2018-07-20  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: Gather all code related to starting point determination

	* param/estim/stk_param_estim.m: Gather all code related to
	starting point determination in a single subfunction for clarity.
	Also, improve support for lnv objects, I hope.

2018-07-19  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_make_matcov.m: Remove some recent experimental code

	* core/stk_make_matcov.m: Remove some recent experimental code.

2018-07-18  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: One more tiny step toward lnv objects (bis)

	* param/estim/private/stk_param_check_lnv0.m: Gather all lnv0
	checks in this subfunction to reduce clutter in stk_param_estim.
	At the same time, rewrite some of the checks in order to accept
	objects as well.
	* param/estim/stk_param_estim.m: Use the new private function.
	Also, in the case where lnv0 is not provided, adapt to deal with
	object case as well.
	* examples/03_miscellaneous/stk_example_misc03.m: Declare noisy
	models properly (estimating the variance of the noise for a
	noiseless model is no longer accepted).

2018-07-17  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: One more tiny step toward lnv objects

	* param/estim/stk_param_estim.m: Do not check directly if lnv0 is
	OK, since lnv0 might be a parameter object.  Instead, extract the
	vector of optimizable parameters, and do the checking on it.

2018-07-16  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_make_matcov.m: Direct evaluation of covariance parameter objects

	* core/stk_make_matcov.m: Unofficial support for direct evaluation
	of covariance parameter objects, ignoring
	model.covariance_type. This is introduced temporarily to support
	some code by R. Stroh but should not be advertised as it is...

2018-07-15  Julien Bect  <julien.bect@centralesupelec.fr>

	Deprecate stk_noisecov

	* covfcs/stk_noisecov.m: Mark as deprecated.
	* core/stk_covmat_noise.m: New function, cherry-picked from branch
	covmat and then modified, to serve as a replacment for
	stk_noisecov.  Considered as internal for the time being.
	* core/stk_get_observation_variances.m: Remove redundant code and
	call stk_covmat_noise instead.
	* core/@stk_model_gpposterior/stk_get_observation_variances.m:
	Call stk_covmat_noise directly.
	* core/stk_make_matcov.m: Use stk_covmat_noise instead of
	stk_noisecov.
	* param/estim/stk_param_loomse.m: Idem.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.
	* admin/octpkg/INDEX: Add the new function, mark the old one as
	deprecated.

	Deal with structs in base set/get optimizable parameters

	* core/@struct/stk_get_optimizable_parameters.m: Renamed from.
	* core/stk_get_optimizable_model_parameters.m: Renamed to.
	* core/@struct/stk_set_optimizable_parameters.m: Renamed from.
	* core/stk_set_optimizable_model_parameters.m: Renamed to.
	* param/classes/stk_get_optimizable_parameters.m: Deal with structs.
	* param/classes/stk_set_optimizable_parameters.m: Idem.

2018-07-14  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_get_optimizable_parameters.m: Return [] for discrete cov structures

	* param/classes/stk_get_optimizable_parameters.m: Return [] if
	param describes a discrete covariance structure.

	New function(s) to get the variance of the observations

	* core/@stk_model_gpposterior/stk_get_observation_variances.m:
	Return the variance of the observation for a posterior model.
	* core/stk_get_observation_variances.m: Same thing for a prior
	model, at a given set of locations.
	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Use the
	new function.
	* core/@stk_model_gpposterior/stk_predict_leaveoneout_direct.m: Idem.
	* core/@struct/stk_replicate_obs_noise.m: Idem.

	assert_struct_is_model.m: Fix error identifier

	* core/@struct/private/assert_struct_is_model.m: Fix error
	identifier.

	New (internal) function to simulate noise sample replicates

	* core/@struct/stk_replicate_obs_noise.m: simulate noise sample
	replicates.
	* utils/stk_generate_samplepaths.m: Use the new function.

	Encapsulate Gaussian logpdf / logpdf_grad computations

	* misc/distrib/stk_distrib_logpdf.m: Compute the Gaussian logpdf,
	still assuming the good ol' struct representation.
	* misc/distrib/stk_distrib_logpdf_grad.m: Compute the gradient of
	the Gaussian logpdf.
	* param/estim/stk_param_relik.m: Simplify the code using the two
	new internal functions.

2018-07-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_isnoisy.m: Clarify the case of noise model objects

	* core/stk_isnoisy.m: Clarify the case of noise model objects.

	stk_sampling_nestedlhs.m: Minor doc fix

	* sampling/stk_sampling_nestedlhs.m: Minor doc fix.

2018-07-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m (provide_param0_value): Fix the case of parameter objects

	* param/estim/stk_param_estim.m: Fix the case where param0 is a
	parameter object instead of a vector of numeric parameter values.

	stk_param_estim.m: Rewrite nargin checks in a more efficient way

	* param/estim/stk_param_estim.m: Rewrite nargin checks in a more
	efficient way.

2018-07-11  Julien Bect  <julien.bect@centralesupelec.fr>

	Add an optional select argument to stk_set_optimizable_parameters

	* core/@stk_model_gpposterior/stk_set_optimizable_parameters.m:
	Add an optional select argument to stk_set_optimizable_parameters.
	* core/@struct/stk_set_optimizable_parameters.m: Idem.
	* param/classes/stk_set_optimizable_parameters.m: Idem.

	Implement stk_set/get_optimizable_parameters for models

	* core/@stk_model_gpposterior/stk_set_optimizable_parameters.m:
	Implement stk_set_optimizable_parameters for posterior models.
	* core/@struct/stk_set_optimizable_parameters.m: Implement
	stk_set_optimizable_parameters for prior models, currently
	described by a structure.
	* core/@stk_model_gpposterior/stk_get_optimizable_parameters.m:
	Implement stk_get_optimizable_parameters for posterior models.
	* core/@struct/stk_get_optimizable_parameters.m: Implement
	stk_get_optimizable_parameters for prior models, currently
	described by a structure.

2018-07-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Make get_defaultbounds_lnv a (renamed) standalone function for clarity.

	* param/estim/stk_param_getdefaultbounds_lnv.m: Replacement
	function for subfunction get_defaultbounds_lnv in stk_param_estim.
	Take this opportunity to support the case of parameter objects.
	* param/estim/stk_param_estim.m: Use the new function.

2018-07-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Parameter estimation criteria: get noiseparam at the beginning

	* param/estim/stk_param_loomse.m: Get noiseparam at the beginning,
	but only if it is really neededed.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

	Parameter estimation: improve the way we deal with noise parameters

	* core/@struct/stk_get_optimizable_noise_parameters.m: New
	internal function to get the vector of optimizable parameters of
	the noise model.
	* core/@stk_model_gpposterior/stk_get_optimizable_noise_parameters.m:
	Idem for posterior models.
	* param/estim/stk_param_loomse.m: Use the new function.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

2018-07-06  Julien Bect  <julien.bect@centralesupelec.fr>

	Parameter estimation criteria: check the size of XI and ZI

	* param/estim/stk_param_loomse.m: Check the size of XI and ZI.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

	Parameter estimation criteria: call the observations ZI

	* param/estim/stk_param_loomse.m: Call the observations ZI, as
	---more or less--- everywhere else in the toolbox.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

	Parameter estimation criteria: use consistent variable names

	* param/estim/stk_param_loomse.m: Rename some variables.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

	Parameter estimation criteria: return [] instead of NaN when...

	* param/estim/stk_param_loomse.m: Remove FIXME comment.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Return [] instead of NaN for when
	the derivative with respect to lnv is requested for a noiseless
	model.

2018-07-02  Julien Bect  <julien.bect@centralesupelec.fr>

	param/estim: Use consistent output names

	* param/estim/stk_param_loomse.m: Rename outputs.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.

2018-07-01  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_relik.m: Re-use the Cholesky factorization of K

	* param/estim/stk_param_relik.m: Re-use the Cholesky factorization
	of K instead of doing it twice (this was inadvertently introduced
	recently).  Also, rename the Cholesky factor from C to U, which
	stands for "Upper-triangular", thus freeing the letter C which
	might be a good generic notation for "Criterion"...

2018-06-23  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Fix the broken heteroscedastic case (ticket #88)

	* param/estim/stk_param_init.m (stk_param_init_): Clarify, at
	least a little bit, what the subfunction does in the three cases,
	and fix the broken behaviour in the heteroscedatic / known
	variance case.

2018-06-11  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dominatedhv_mex.c: Workaround for Octave 4.4 issue (ticket #89)

	* misc/pareto/private/stk_dominatedhv_mex.c: Workaround for Octave
	4.4 issue (see ticket #54096 on Octave's bug tracker  for details).

2018-06-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Check for duplicated rows when ill-conditioning is detected (ticket #74)

	* misc/error/stk_assert_no_duplicates.m: New function.
	* admin/octpkg/INDEX: Add new function to the index.
	* core/@stk_kreq_qr/stk_kreq_qr.m: Check for duplicated rows when
	ill-conditioning is detected.
	* param/estim/stk_param_relik.m: Idem.
	* core/stk_predict.m: Add unit test.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Source
	formatting.

2018-06-06  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_cholcov.m: Return the value of epsi

	* core/stk_cholcov.m: Return the value of epsi, to make it
	possible to detect that the original matrix A was not
	numerically positive definite.

2018-06-05  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_relik.m: Just a little bit of optimization

	* param/estim/stk_param_relik.m: Just a little bit of optimization.
	* misc/benchmarks/stk_benchmark_uppertriangular.m: A simple test
	script to show that the best way to handle upper-triangular
	matrices is not the same in Octave and in Matlab.

2018-06-04  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior/stk_model_gpposterior.m: Minor change

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Minor change.

2018-06-03  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/unique.m: Overload base function

	* arrays/@stk_dataframe/unique.m: Overload base function.
	Yesterday's commit was intended to avoid this overload.  It work
	in matlab, but not in Octave, so here it is...
	* arrays/@stk_dataframe/sort.m: Remove unit test.

2018-06-02  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/sort.m: Behave more like the base sort() function

	* arrays/@stk_dataframe/sort.m: Behave more like the base sort()
	function.  In particular, accept optional arguments, and deal with
	that fact that the dimension argument is allowed to be skipped.

2018-05-22  Julien Bect  <julien.bect@centralesupelec.fr>

	Use UNIX-type EOL

	* examples/03_miscellaneous/stk_example_misc05.m: Use UNIX-type EOL.
	* param/estim/stk_param_loomse.m: Idem.
	* param/estim/stk_param_loopvc.m: Idem.

2018-05-22  Julien Bect  <julien.bect@centralesupelec.fr>

	Don't use UTF-8 in m-files

	* core/@stk_model_gpposterior/stk_isnoisy.m: Remove UTF-8 character.
	* core/stk_isnoisy.m: Idem.
	* misc/benchmarks/stk_benchmark_bivnorm.m: Idem.
	* param/estim/stk_param_loomse.m: Idem.
	* param/estim/stk_param_loopvc.m: Idem.

2018-05-22  Julien Bect  <julien.bect@centralesupelec.fr>

	Remove nargin checks and update CG#01

	* admin/CODING_GUIDELINES: Update CG#01.
	* arrays/@stk_dataframe/max.m: Remove nargin check.
	* arrays/@stk_dataframe/min.m: Idem.
	* arrays/@stk_dataframe/plotmatrix.m: Idem.
	* arrays/@stk_dataframe/stk_boundingbox.m: Idem.
	* arrays/@stk_dataframe/stk_conditioning.m: Idem.
	* arrays/@stk_dataframe/stk_dataframe.m: Idem.
	* arrays/@stk_dataframe/stk_normalize.m: Idem.
	* arrays/@stk_factorialdesign/ndgrid.m: Idem.
	* arrays/@stk_factorialdesign/stk_boundingbox.m: Idem.
	* arrays/@stk_hrect/stk_boundingbox.m: Idem.
	* arrays/@stk_hrect/stk_hrect.m: Idem.
	* arrays/@stk_hrect/stk_normalize.m: Idem.
	* arrays/@stk_hrect/stk_rescale.m: Idem.
	* arrays/generic/stk_boundingbox.m: Idem.
	* arrays/generic/stk_feval.m: Idem.
	* arrays/generic/stk_normalize.m: Idem.
	* core/@stk_model_gpposterior/stk_generate_samplepaths.m: Idem.
	* core/@stk_model_gpposterior/stk_predict.m: Idem.
	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Idem.
	* core/stk_make_matcov.m: Idem.
	* core/stk_model.m: Idem.
	* core/stk_ortho_func.m: Idem.
	* core/stk_predict.m: Idem.
	* core/stk_predict_leaveoneout.m: Idem.
	* covfcs/rbf/stk_rbf_exponential.m: Idem.
	* covfcs/rbf/stk_rbf_gauss.m: Idem.
	* covfcs/rbf/stk_rbf_matern.m: Idem.
	* covfcs/rbf/stk_rbf_matern32.m: Idem.
	* covfcs/rbf/stk_rbf_matern52.m: Idem.
	* covfcs/rbf/stk_rbf_spherical.m: Idem.
	* covfcs/stk_expcov_aniso.m: Idem.
	* covfcs/stk_expcov_iso.m: Idem.
	* covfcs/stk_gausscov_aniso.m: Idem.
	* covfcs/stk_gausscov_iso.m: Idem.
	* covfcs/stk_materncov32_aniso.m: Idem.
	* covfcs/stk_materncov32_iso.m: Idem.
	* covfcs/stk_materncov52_aniso.m: Idem.
	* covfcs/stk_materncov52_iso.m: Idem.
	* covfcs/stk_materncov_aniso.m: Idem.
	* covfcs/stk_materncov_iso.m: Idem.
	* covfcs/stk_noisecov.m: Idem.
	* covfcs/stk_sphcov_aniso.m: Idem.
	* covfcs/stk_sphcov_iso.m: Idem.
	* iago/rep/stk_fakenorep.m: Idem.
	* iago/rep/stk_param_estim_withrep.m: Idem.
	* iago/rep/stk_predict_withrep.m: Idem.
	* lm/@stk_lm_affine/stk_lm_affine.m: Idem.
	* lm/@stk_lm_constant/stk_lm_constant.m: Idem.
	* lm/@stk_lm_cubic/stk_lm_cubic.m: Idem.
	* lm/@stk_lm_matrix/stk_lm_matrix.m: Idem.
	* lm/@stk_lm_null/stk_lm_null.m: Idem.
	* lm/@stk_lm_quadratic/stk_lm_quadratic.m: Idem.
	* lm/stk_lm_polynomial.m: Idem.
	* misc/design/stk_maxabscorr.m: Idem.
	* misc/design/stk_phipcrit.m: Idem.
	* misc/dist/stk_dist.m: Idem.
	* misc/dist/stk_filldist.m: Idem.
	* misc/dist/stk_filldist_discretized.m: Idem.
	* misc/dist/stk_filldist_exact.m: Idem.
	* misc/dist/stk_gpquadform.m: Idem.
	* misc/dist/stk_mindist.m: Idem.
	* misc/distrib/stk_distrib_bivnorm_cdf.m: Idem.
	* misc/distrib/stk_distrib_normal_cdf.m: Idem.
	* misc/distrib/stk_distrib_normal_crps.m: Idem.
	* misc/distrib/stk_distrib_normal_ei.m: Idem.
	* misc/distrib/stk_distrib_normal_pdf.m: Idem.
	* misc/distrib/stk_distrib_student_cdf.m: Idem.
	* misc/distrib/stk_distrib_student_ei.m: Idem.
	* misc/distrib/stk_distrib_student_pdf.m: Idem.
	* misc/optim/@stk_optim_baseclass/stk_optim_baseclass.m: Idem.
	* misc/optim/@stk_optim_fmincon/stk_minimize_boxconstrained.m: Idem.
	* misc/optim/@stk_optim_fminsearch/stk_minimize_boxconstrained.m: Idem.
	* misc/optim/@stk_optim_fminsearch/stk_minimize_unconstrained.m: Idem.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_boxconstrained.m: Idem.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_unconstrained.m: Idem.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Idem.
	* misc/optim/stk_optim_testmin_box.m: Idem.
	* misc/optim/stk_optim_testmin_unc.m: Idem.
	* misc/options/stk_options_get.m: Idem.
	* misc/pareto/stk_dominatedhv.m: Idem.
	* misc/plot/stk_legend.m: Idem.
	* misc/test/stk_is_lhs.m: Idem.
	* misc/test/stk_isequal_tolabs.m: Idem.
	* misc/test/stk_isequal_tolrel.m: Idem.
	* misc/text/stk_disp_progress.m: Idem.
	* param/estim/stk_param_estim.m: Idem.
	* param/estim/stk_param_init.m: Idem.
	* param/estim/stk_param_init_lnv.m: Idem.
	* param/estim/stk_param_loomse.m: Idem.
	* param/estim/stk_param_loopvc.m: Idem.
	* param/estim/stk_param_relik.m: Idem.
	* sampling/@stk_function/stk_function.m: Idem.
	* sampling/@stk_sampcrit_akg/stk_sampcrit_akg.m: Idem.
	* sampling/@stk_sampcrit_ei/stk_sampcrit_ei.m: Idem.
	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Idem.
	* sampling/stk_sampcrit_akg_eval.m: Idem.
	* sampling/stk_sampcrit_ehvi_eval.m: Idem.
	* sampling/stk_sampcrit_ei_eval.m: Idem.
	* sampling/stk_sampcrit_emmi_eval.m: Idem.
	* sampling/stk_sampling_halton_rr2.m: Idem.
	* sampling/stk_sampling_maximinlhs.m: Idem.
	* sampling/stk_sampling_nesteddesign.m: Idem.
	* sampling/stk_sampling_nestedlhs.m: Idem.
	* sampling/stk_sampling_olhs.m: Idem.
	* sampling/stk_sampling_randomlhs.m: Idem.
	* sampling/stk_sampling_randunif.m: Idem.
	* sampling/stk_sampling_regulargrid.m: Idem.
	* sampling/stk_sampling_sobol.m: Idem.
	* utils/stk_conditioning.m: Idem.
	* utils/stk_generate_samplepaths.m: Idem.
	* utils/stk_plot_probdom2d.m: Idem.

2018-05-17  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot1d.m: Fix legend slowness problem (ticket #82)

	* utils/stk_plot1d.m: Do not create a legend systematically.
	* misc/plot/stk_legend.m: New function to create a legend, using
	the graphical objects for which a non-empty DisplayName has been
	provided.
	* misc/plot/stk_plot_shadedci.m: Provide a DisplayName for one of
	the gray patches (the darker one).
	* examples/01_kriging_basics/stk_example_kb01.m: Update.
	* examples/01_kriging_basics/stk_example_kb01n.m: Update.
	* examples/01_kriging_basics/stk_example_kb02.m: Update.
	* examples/01_kriging_basics/stk_example_kb02n.m: Update.
	* examples/01_kriging_basics/stk_example_kb05.m: Update.
	* examples/01_kriging_basics/stk_example_kb07.m: Update.
	* examples/01_kriging_basics/stk_example_kb08.m: Update.
	* examples/01_kriging_basics/stk_example_kb09.m: Update.
	* admin/octpkg/INDEX: Add stk_legend to the index.

2018-03-14  Remi Stroh  <remi.stroh@lne.fr>

	New functions to estimate the parameters based on leave-one-out (loo)

	* param/estim/stk_param_loomse.m: loo mean square error
	* param/estim/stk_param_loopvc.m: loo predictive variance criterion

	Add an example to compare the criteria

	* examples/03_miscellaneous/stk_example_misc05.m

2018-03-08  Julien Bect  <julien.bect@centralesupelec.fr>

	Write "covariance function" instead of "covariance kernel" in docs.

	* covfcs/stk_expcov_aniso.m: Write "covariance function" instead
	of "covariance kernel" in the help text.
	* covfcs/stk_materncov32_aniso.m: Idem.
	* covfcs/stk_materncov32_iso.m: Idem.
	* covfcs/stk_materncov52_aniso.m: Idem.
	* covfcs/stk_materncov52_iso.m: Idem.
	* covfcs/stk_materncov_aniso.m: Idem.
	* covfcs/stk_materncov_iso.m: Idem.
	* covfcs/stk_sphcov_aniso.m: Idem.

2017-10-30  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dataframe.m: Improve help text

	* arrays/@stk_dataframe/stk_dataframe.m: Explain how to extract
	the underlying numerical array.

	display.m: Fix EOL problem when display in verbose mode.

	* arrays/@stk_dataframe/display.m: Fix EOL problem in verbose mode.

	stk_options_set.m: Return option struct only if nargout > 0

	* misc/options/stk_options_set.m: stk_options_set.m: Return option
	struct only if nargout > 0.

2017-09-14  Rémi Stroh  <remi.stroh@lne.fr>

	Correct an error in the documentation

	* misc/test/stk_isequal_tolrel.m: replace "max" by "abs"
	in the help message

2017-09-12  Julien Bect  <julien.bect@centralesupelec.fr>

	CODING_GUIDELINES: Add (and apply) CG#12 guideline

	* admin/CODING_GUIDELINES: Document in CG#12 why it is better to
	use "hold off" instead of "cla" when calling stk_plot1d in a loop.
	* examples/02_design_of_experiments/stk_example_doe03.m: Apply CG#12.
	* examples/02_design_of_experiments/stk_example_doe05.m: Apply CG#12.

	CODING_GUIDELINES: Add CG#11 guideline

	* admin/CODING_GUIDELINES: Document in CG#11 why horzcat and
	vertcat must be called explicitely.

2017-09-11  Julien Bect  <julien.bect@centralesupelec.fr>

	Workaround for get (0, 'Format') compatibility issue

	* misc/text/stk_disp_getformat.m: New function to get 'Format' and
	'FormatSpacing' properties in a Matlab/Octave comaptible way.
	* misc/text/stk_disp_isloose.m: Rewrite using the new function.
	* admin/octpkg/INDEX: Add new function to the INDEX.
	* arrays/@stk_dataframe/disp.m: Use the new function.
	* arrays/@stk_dataframe/stk_sprintf.m: Idem.
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Itou.

2017-09-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Raise Octave version requirement to 3.6

	* README.md: Indicate that STK is tested to work on "GNU Octave
	3.6.2 or newer", which corresponds to the version currently
	available in Debian old-old-stable, a.k.a. Wheezy.
	* admin/CODING_GUIDELINES: Update coding guidelines.
	* admin/build_tools/build_octpkg.m: Set octave depencency version
	to 3.6.0 in the DESCRIPTION file.
	* arrays/@stk_dataframe/stk_sprintf.m: Remove hacks.
	* arrays/@stk_dataframe/subsasgn.m: Remove hacks.
	* arrays/@stk_factorialdesign/subsasgn.m: Remove hacks.
	* arrays/generic/stk_sprintf.m: Remove hacks.
	* misc/error/stk_error.m: Remove hacks.
	* misc/mole/quantile/quantile.m: Remove hacks.
	* stk_init.m: Remove hacks.
	* utils/stk_plot1d.m: Remove hacks.
	* arrays/@stk_dataframe/isequal.m: Remove overloaded isequal
	function, no longer needed.
	* arrays/@stk_factorialdesign/isequal.m: Idem.
	* core/@stk_kreq_qr/isequal.m: Idem.
	* core/@stk_model_gpposterior/isequal.m: Idem.
	* lm/@stk_lm_affine/isequal.m: Idem.
	* lm/@stk_lm_constant/isequal.m: Idem.
	* lm/@stk_lm_cubic/isequal.m: Idem.
	* lm/@stk_lm_matrix/isequal.m: Idem.
	* lm/@stk_lm_null/isequal.m: Idem.
	* lm/@stk_lm_quadratic/isequal.m: Idem.
	* misc/optim/@stk_optim_baseclass/isequal.m: Idem.
	* misc/optim/@stk_optim_fmincon/isequal.m: Idem.
	* misc/optim/@stk_optim_fminsearch/isequal.m: Idem.
	* misc/optim/@stk_optim_octavesqp/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_none/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_parfor/isequal.m: Idem.
	* admin/octpkg/INDEX: Update INDEX.
	* admin/octpkg/patches/remove-buildmex.patch: Update patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Update patch.
	* admin/octpkg/patches/stk-init-rmpath-cleanup.patch: Update patch.

2017-09-07  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_shadedci.m: Use area instead of fill for old Octave/Matlab

	* misc/plot/stk_plot_shadedci.m: Use area instead of fill for old
	versions of Octave and Matlab.

2017-09-05  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_runtests.m: In Octave, check that __run_test_suite__ exists

	* misc/test/stk_runtests.m: In Octave, check that
	__run_test_suite__ exists before actually trying to call it.

2017-09-04  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ei_eval.m: Remove deprecated calling forms

	* sampling/stk_sampcrit_ei_eval.m: Remove deprecated calling forms.

	Make halfpintl public, with an stk_ prefix

	* sampling/private/halfpintl.m: Remove from private directory.
	* sampling/stk_halfpintl.m: Renamed from halfpintl.m.
	* admin/octpkg/INDEX: Expose stk_halfpintl in the INDEX.
	* sampling/stk_sampcrit_akg_eval.m: Update.
	* admin/octpkg/patches/comment-out-unit-tests-in-private-functions.patch: Remove.
	* admin/octpkg/patches/series: Update.

	Use Octave's native test function on Octave

	* misc/test/stk_test.m: Use Octave's native test function on Octave.
	* misc/test/stk_runtests.m: Similarly, use Octave's native
	__run_test_suite__ function when running on Octave.
	* admin/octpkg/patches/use-native-test-function.patch: Remove patch.
	* admin/octpkg/patches/series: Remove patch.
	* admin/octpkg/INDEX: Add stk_test to the INDEX.

2017-09-01  Julien Bect  <julien.bect@centralesupelec.fr>

	Multiply/divide an stk_dataframe object by a scalar

	* arrays/@stk_dataframe/mtimes.m: Implement a special case for the
	multiplication of an stk_dataframe object by a numerical scalar.
	* arrays/@stk_dataframe/mldivide.m: Idem for left division.
	* arrays/@stk_dataframe/mrdivide.m: Idem for right division.

	Overload left/right matrix division for stk_dataframe objects

	* arrays/@stk_dataframe/mldivide.m: New function.
	* arrays/@stk_dataframe/mrdivide.m: New function.
	* admin/octpkg/INDEX: Add new functions to the INDEX.

	stk_benchmark_predict.m: The boxplot function might be unavailable

	* misc/benchmarks/stk_benchmark_predict.m: Wrap call to boxplot in
	try-catch block, since the boxplot function might be unavailable.

	@stk_sampcrit_ei/set.m: Remove unnecessary assert

	* sampling/@stk_sampcrit_ei/set.m: Remove unnecessary assert,
	since only scalar output models are supported in STK at this time.

	Remove support for old-style .a structures

	* arrays/@stk_dataframe/private/get_column_number.c: Remove
	support for old-style .a structures.
	* misc/dist/stk_gpquadform.m: Idem.
	* arrays/@struct/double.m: Removed.
	* arrays/@struct/stk_boundingbox.m: Removed.
	* arrays/@struct/stk_length.m: Removed.
	* admin/octpkg/INDEX: Update.
	* arrays/@stk_dataframe/subsref.m: Remove unit tests.
	* core/@stk_model_gpposterior/stk_predict.m: Idem.
	* core/stk_predict.m: Idem.
	* arrays/generic/stk_feval.m: Idem.
	* covfcs/stk_expcov_aniso.m: Idem.
	* covfcs/stk_gausscov_aniso.m: Idem.
	* covfcs/stk_materncov32_aniso.m: Idem.
	* covfcs/stk_sphcov_aniso.m: Idem.
	* NEWS.md: Advertise.

2017-08-31  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_generate_samplepaths.m: Remove xtest for ticket #14

	* utils/stk_generate_samplepaths.m: Remove xtest for ticket #14
	since the problem as been solved, as expected, by the previous
	commit.

	Exact predictions at obs points for noiseless models (ticket #49)

	* core/@stk_model_gpposterior/stk_predict.m: Ensure exact
	prediction at observation points for noiseless models.
	* core/stk_predict.m: Change xtest to test.
	* sampling/@stk_sampcrit_eqi/feval.m: Fix EQI computation at the
	points where the variance is zero.

	Insert HTML version of AUTHORS.md in the documentation

	* admin/build_tools/generate_htmldoc.m: Insert HTML version of
	AUTHORS.md in the documentation.

	INDEX: Add @stk_factorialdesign/ismember

	* admin/octpkg/INDEX: INDEX: Add @stk_factorialdesign/ismember.

	Convert AUTHORS to markdown.

	* AUTHORS: Renamed to AUTHORS.md
	* AUTHORS.md: Renamed from AUTHORS, and converted to md syntax.
	* admin/find_nonstandard_characters.sh: Scan AUTHORS.md as well.
	* admin/build_tools/build_octpkg.m: Update.
	* README.md: Update.
	* admin/RELEASE.md: Update.

	NEWS.md: Write Matérn with an accent on the "e"

	* NEWS.md: Write Matérn with an accent on the "e", since we are
	already using UTF-8 in this file anyway (for the umlaut on the "u"
	of Müller).

2017-08-30  Julien Bect  <julien.bect@centralesupelec.fr>

	Overload ismember for stk_factorialdesign objects (ticket #29)

	* arrays/@stk_factorialdesign/ismember.m: New function

2017-08-29  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ehvi_eval.m: Avoid OOM errors (ticket #48)

	* sampling/stk_sampcrit_ehvi_eval.m: Process batches of rectangles
	to avoid OOM errors.

	Adapt html doc generation to changes in generate_html (fix)

	* admin/build_tools/get_allpurpose_html_options.m: Fix earlier
	commit (a12753859a6a) with the same name.

	generate_htmldoc.m: Use HTML version of NEWS.md (ticket #61)

	* admin/build_tools/generate_htmldoc.m: Insert HTML version of
	NEWS.md, produced by markdown, inside NEWS.html.

	NEWS.md: Fix markdown formatting

	* NEWS.md: Fix markdown formatting

2017-08-28  Julien Bect  <julien.bect@centralesupelec.fr>

	Convert NEWS to markdown formatting (ticket #60)

	* NEWS.md: Convert NEWS to markdown formatting and rename to NEWS.md.
	* NEWS: Removed.
	* admin/build_tools/build_octpkg.m: Rename NEWS to NEWS.md.

2017-08-26  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/ismember.m: Do not assume 'rows' (ticket #50)

	* arrays/@stk_dataframe/ismember.m: Do not assume 'rows', in order
	to have a behaviour that is consistent with that of the base
	function on numerical matrices.

	Remove isoctave function

	* misc/mole/isoctave/isoctave.m: Deleted.
	* stk_init.m: Use exist directly. Remove a few lines related to
	the isoctave function.
	* misc/mole/graphics_toolkit/graphics_toolkit.m: Use exist
	directly.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Use exist
	directly.
	* misc/options/stk_options_set.m: Use exist directly.
	* misc/parallel/stk_parallel_start.m: Use exist directly.
	* misc/test/stk_test.m: Use exist directly.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.
	* admin/octpkg/patches/stk-init-rmpath-cleanup.patch: Refresh patch.
	* admin/octpkg/patches/use-native-test-function.patch: Refresh patch.

	CG#10: Disable TeX interpreter for variable names

	* admin/CODING_GUIDELINES: Introduce new coding guideline, CG#10,
	recommending to disable the TeX interpreter for variable names.
	* arrays/@stk_dataframe/plot.m: Follow CG#10.
	* arrays/@stk_dataframe/plotmatrix.m: Follow CG#10.
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m: Follow CG#10.
	* arrays/@stk_hrect/axis.m: Follow CG#10.

2017-08-25  Julien Bect  <julien.bect@centralesupelec.fr>

	Adapt html doc generation to changes in generate_html

	* admin/build_tools/get_allpurpose_html_options.m: Adapt html doc
	generation to changes in generate_html.

2017-07-25  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/bsxfun.m: Fix colnames/rownames selection

	* arrays/@stk_dataframe/bsxfun.m: Fix colnames/rownames selection.

2017-07-24  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior/stk_predict_leaveoneout.m: Ensure var >= 0

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Make sure
	that variances will always be non-negative.

	Benchmark virtual LOO-CV speedup

	* misc/benchmarks/stk_benchmark_loocv.m: New benchmark script to
	evaluate to speedup brought by the implementation of virtual LOO
	cross validation.

	Move some LOO-CV unit tests

	* core/stk_predict_leaveoneout.m: Move unit tests for correctness
	of virtual LOO-CV formulas to
	@stk_model_gpposterior/stk_predict_leaveoneout.m.
	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Here.

	Keep a copy of the original "direct" implementation of LOO-CV.

	* core/@stk_model_gpposterior/stk_predict_leaveoneout_direct.m:
	Internal function, which is simply a copy of our original,
	"direct" implementation of LOO-CV.  Can be used to check
	correctness of virtual LOO formulas, and for benchmarking.
	* admin/octpkg/INDEX: Hide internal function from the index.

2017-07-23  Rémi Stroh  <remi.stroh@lne.fr>

	stk_predict_leaveoneout.m: Use virtual Leave-One-Out formula (ticket #35)

	* core\@stk_model_gpposterior\stk_predict_leaveoneout.m: Replace
	the naive expression of the cross-validation, by the virtual
	leave-one-out formula.
	* core\stk_predict_leaveoneout.m: Add a test to check virtual
	LOO formula.

2017-07-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_benchmark_predict.m: New function to benchmark stk_predict

	* misc/benchmarks/stk_benchmark_predict.m: New function to
	benchmark stk_predict.

	stk_benchmark_.m: New function to help benchmark computation times

	* misc/benchmarks/stk_benchmark_.m: New function to help benchmark
	computation times.

2017-07-10  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_misc04.m: Work-around for Octave bug #49267.

	* examples/03_miscellaneous/stk_example_misc04.m: Work-around for
	Octave bug #49267.

	New octpkg patch to comment out unit tests in private functions

	* admin/octpkg/patches/comment-out-unit-tests-in-private-functions.patch:
	New octpkg patch to comment out unit tests in private functions.
	* admin/octpkg/patches/series: Add new test to the series.

2017-07-09  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_predict_leaveoneout.m: Update help text

	* core/stk_predict_leaveoneout.m: Update help text.

	Set release date based on hg date in the build process

	* Makefile: Pass hg date to build_* functions.
	* admin/build_tools/build_allpurpose.m: Use hg date.
	* admin/build_tools/build_octpkg.m: Use hg date.
	* admin/build_tools/copy_citation.m: Use hg date.
	* admin/build_tools/copy_readme.m: Use hg date.

2017-07-05  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_akg_eval.m: Fix unit tests

	* sampling/stk_sampcrit_akg_eval.m: Fix unit tests.

	stk_dominatedhv_mex.c: Avoid "uninitialized variable" warnings

	* misc/pareto/private/stk_dominatedhv_mex.c: Avoid "uninitialized
	variable" compiler warnings.

	CG#09: Use erfcinv when norminv fails (ticket #78)

	* admin/CODING_GUIDELINES: Introduce new coding guideline, CG#09,
	recommending to use erfcinv directly when norminv fails.
	* sampling/@stk_sampcrit_eqi/set.m: Implement CG#09.

2017-07-04  Rémi Stroh  <remi.stroh@lne.fr>

	@stk_sampcrit_eqi\set.m: Change "norminv" by "erfcinv" (ticket #78)

	* sampling\@stk_sampcrit_eqi\set.m: Replace the use of "norminv"
	function, available only with the statistical toolbox, by an
	expression using "erfcinv", a special basis function.

	utils\stk_plot1d.m: Correct a bug

	* utils\@stk_plot1d.m: Correct a bug, in the case where xt is empty.

	utils/@stk_plot1d: sort data before plotting

	* utils/@stk_plot1d: sort xt as increasing order before plotting.
	The output vectors zt, zp and zsim are similarly modified before
	their drawings.

	arrays/@stk_dataframe: Overload 3 additional unitary test functions

	* arrays/@stk_dataframe/isnan.m: New overloaded test function
	* arrays/@stk_dataframe/isinf.m: Idem.
	* arrays/@stk_dataframe/isfinite.m: Idem.

2017-07-03  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_estim.m: Do not use model.param as a starting point

	* param/estim/stk_param_estim.m: Do not use model.param as a
	starting point; if param0 is not provided, call stk_param_init.
	Modify documentation accordingly; it wasn't up-to-date anyway.

2017-07-02  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior/stk_predict.m: Skip main loop when nt == 0

	* core/@stk_model_gpposterior/stk_predict.m: Skip main loop when
	nt == 0.

	stk_predict_leaveoneout.m: nargout == 0 => create plots

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Calling
	stk_predict_leaveoneout with no output arguments now automatically
	create two cross-validation diagnostics in two subplots:
	prediction VS observations, left panel, and normalized +
	residuals, right panel.
	* core/stk_predict_leaveoneout.m: Do not change nargout when
	calling overloaded method.
	* examples/01_kriging_basics/stk_example_kb10.m: Advertise the new
	syntax at the end of the script.

	@stk_dataframe/stk_dataframe.m: Accept char colnames/rownames

	* arrays/@stk_dataframe/stk_dataframe.m: Tolerate char arguments
	instead of cells for column and row names in the special case
	where the expected number of elements is one.

2017-07-01  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_probdom2d.m: New function

	* utils/stk_plot_probdom2d.m: New function to represent the
	uncertainty about a 2D Pareto front.  This function is currently
	considered experimental and should not be expected to produce a
	reliable representation of the uncertainty for difficult or
	high-dimensional optimization problems.
	* examples/03_miscellaneous/stk_example_misc04.m: Update the
	example to use the new function.
	* admin/octpkg/INDEX: Add the new function to the INDEX.

	@stk_model_gpposterior/stk_generate_samplepaths.m: Overload base

	* core/@stk_model_gpposterior/stk_generate_samplepaths.m: New
	function, overload base STK function.

	Remove all occurences of response_name

	* core/stk_model.m: Do not mention response_name as an optional
	field, since it isn't used anywhere in STK now.
	* examples/03_miscellaneous/stk_example_misc04.m: No more
	response_name.

	Return a plain numerical array from stk_generate_samplepaths

	* utils/stk_generate_samplepaths.m: Return a plain double
	precision numerical array; no more data frames here.
	* arrays/@stk_dataframe/stk_generate_samplepaths.m: Removed.
	* examples/03_miscellaneous/stk_example_misc04.m: Updated.
	* admin/octpkg/INDEX: Update the INDEX.

	@stk_model_gpposterior/stk_model_gpposterior.m: Check xi

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Check the
	number of columns of input argument xi.

	Move important plotting functions to 'utils' directory

	* misc/plot/stk_plot1d.m: Moved to 'utils' directory.
	* misc/plot/stk_plot_histnormres.m: Idem.
	* misc/plot/stk_plot_predvsobs.m: Idem.
	* utils/stk_plot1d.m: Moved from 'misc/plot' directory.
	* utils/stk_plot_histnormres.m: Idem.
	* utils/stk_plot_predvsobs.m: Idem.

2017-06-29  Julien Bect  <julien.bect@centralesupelec.fr>

	Add a new test case named 'truss3'

	* examples/test_functions/stk_testcase_truss3.m: New function.
	* examples/test_functions/stk_testfun_truss3_bb.m: New function.
	* examples/test_functions/stk_testfun_truss3_vol.m: New function.
	* admin/octpkg/INDEX: Add new functions to the INDEX.

	stk_plot_predvsobs.m: Lowercase labels

	* misc/plot/stk_plot_predvsobs.m: Lowercase labels.

2017-06-28  Julien Bect  <julien.bect@centralesupelec.fr>

	Change mnemonic 'IncorrectArgument' to 'InvalidArgument'

	* arrays/@stk_dataframe/cat.m: Change mnemonic 'IncorrectArgument'
	to 'InvalidArgument', since both of them were used interchangeably.
	* arrays/@stk_dataframe/find.m: Idem.
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m: Idem.
	* misc/dist/stk_gpquadform.m: Idem.
	* misc/pareto/stk_dominatedhv.m: Idem.
	* param/estim/stk_param_estim.m: Idem.
	* param/estim/stk_param_init.m: Idem.
	* sampling/stk_sampling_olhs.m: Idem.
	* sampling/stk_sampling_sobol.m: Idem.

	@stk_dataframe/bsxfun.m: Remove annoying warnings

	* arrays/@stk_dataframe/bsxfun.m: Take the column names (or row
	names) from the first argument in case of disagreement, as in R.
	Remove the annoying warnings.

2017-06-27  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/set.m: Backout revision 29c5b2515988

	* arrays/@stk_dataframe/set.m: *Do not* reject colnames and
	rownames values with an insufficient number of elements.

	@stk_dataframe/subsasgn.m: Add (currently failing) unit tests

	* arrays/@stk_dataframe/subsasgn.m: Add (currently failing) unit
	tests for the insertion of row/column names on data frames that
	have none.

	@stk_model_gpposterior/stk_model_gpposterior.m: Check 'prior_model' arg

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Check that
	input argument 'prior_model' is a structure.

	Logical-valued operators now return logical values on df as well

	* arrays/@stk_dataframe/and.m: Return logical result.
	* arrays/@stk_dataframe/eq.m: Idem.
	* arrays/@stk_dataframe/ge.m: Idem.
	* arrays/@stk_dataframe/gt.m: Idem.
	* arrays/@stk_dataframe/le.m: Idem.
	* arrays/@stk_dataframe/lt.m: Idem.
	* arrays/@stk_dataframe/ne.m: Idem.
	* arrays/@stk_dataframe/or.m: Idem.
	* arrays/@stk_dataframe/xor.m: Idem.
	* arrays/@stk_dataframe/not.m: New function.
	* admin/octpkg/INDEX: Add new function to the INDEX.

2017-06-26  Rémi Stroh  <remi.stroh@lne.fr>

	stk_distrib_normal_crps.m: Make unit test deterministic (ticket #77)

	* misc\distrib\stk_distrib_normal_crps.m: Replace the random
	selection of data with fixed data.

	stk_distrib_normal_crps.m: Change the final test (ticket #77)

	* misc\distrib\stk_distrib_normal_crps.m: Modify the last test
	to support compatibility with older versions of Matlab and
	Octave.

2017-06-26  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/set.m: Check colnames and rownames values more strictly

	* arrays/@stk_dataframe/set.m: Reject colnames and rownames values
	with an insufficient number of elements.

	@stk_dataframe/subsref.m: Fix empty indexing

	* arrays/@stk_dataframe/subsref.m: Fix empty indexing.

	@stk_dataframe/stk_dataframe.m: Fix typo

	* arrays/@stk_dataframe/stk_dataframe.m: Fix typo.

2017-06-25  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/fieldnames.m: Add row names to the list

	* arrays/@stk_dataframe/fieldnames.m: Add row names.  Also, do not
	include empty row or column names in the list.

2017-06-24  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampling_sobol.m: Fix help text

	* sampling/stk_sampling_sobol.m: Fix help text.

	build_octpkg.m: Add 'License:' in DESCRIPTION

	* admin/build_tools/build_octpkg.m: Add 'License:' in DESCRIPTION.
	* admin/build_tools/generate_htmldoc.m: Remove 'Read License" subst.

	@stk_dataframe/stk_sprintf.m: Improve formatting for empty data frames

	* arrays/@stk_dataframe/stk_sprintf.m: Improve formatting for
	empty data frames.  In particular, display column names or row
	names if appropriate.
	* arrays/@stk_dataframe/disp.m: Source formatting.
	* arrays/generic/stk_sprintf.m: Fix help text.  Source formatting.

2017-06-23  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dataframe.m: Guess the size when the first input is empty

	* arrays/@stk_dataframe/stk_dataframe.m: Deduce the number of
	columns and rows from the length of colnames and rownames,
	respectively, when the first input argument is empty.  Note that
	this patch changes the object generated by the default constructor.

2017-06-20  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dominatedhv.m: Accept @stk_dataframe inputs

	* misc/pareto/stk_dominatedhv.m: Tolerate any kind of input
	argument that can be converted to a double precision matrix, in
	particular @stk_dataframe objects.

2017-06-16  Julien Bect  <julien.bect@centralesupelec.fr>

	Don't use ~ to ignore output arguments (see CG#07)

	* admin/CODING_GUIDELINES: Improve CG#07
	* sampling/stk_sampcrit_akg_eval.m: Apply CG#07
	* sampling/stk_sampling_nesteddesign.m: Apply CG#07
	* sampling/stk_sampling_nestedlhs.m: Apply CG#07

	@stk_sampcrit_eqi/disp.m: Fix display bug

	* sampling/@stk_sampcrit_eqi/disp.m: Fix display bug for the case
	where point_batch_size is a function handle.

	stk_sampcrit_eqi.m: Increase unit test tolerance (ticket #76)

	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Increase the
	numerical tolerance in two unit tests.

	stk_sampcrit_eqi.m: Fix one unit test (ticket #76)

	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Fix one unit
	test; in Octave, str2func fails on phony function names.

2017-06-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_akg_eval.m: Improve numerical robustness

	* sampling/stk_sampcrit_akg_eval.m: Mitigate the effect of small
	inaccurate covariance values on the computation of the slopes.

	halfpintl.m: Fix a bug affecting slope equality cases

	* sampling/private/halfpintl.m: Fix a bug affecting slope equality
	cases.

	stk_plot_shadedci.m: Use area when fill fails (ticket #75)

	* misc/plot/stk_plot_shadedci.m: fill does not accept a axis
	handle argument in Matlab prior to R2016a.  Use area as we were
	doing before when fill fails.

2017-06-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_shadedci.m: Use fill instead of area

	* misc/plot/stk_plot_shadedci.m: Recent changes in Matlab R2017a
	have altered the behaviour of area.  Using fill is cleaner.

	stk_plot_shadedci.m: Use three shaded areas

	* misc/plot/stk_plot_shadedci.m: Use three shaded areas to
	visualize three levels of pointwise confidence intervals at once.

2017-06-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Optimize for speed

	* core/@stk_kreq_qr/get.m: Use a simple switch.
	* core/@stk_model_gpposterior/stk_predict.m: Call get directly.
	* sampling/@stk_sampcrit_akg/feval.m: Call get directly.

2017-06-06  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior/stk_predict.m: Improve error messages

	* core/@stk_model_gpposterior/stk_predict.m: Improve the error
	messages corresponding to the case where xt has an incorrect size.

2017-06-05  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/plotmatrix.m: Overload base function

	* arrays/@stk_dataframe/plotmatrix.m: New function, overload base
	function to enrich plotmatrix graphics with variable names when
	possible.
	* admin/octpkg/INDEX: Add the new function to the index.

	Optimize for speed

	* arrays/@stk_dataframe/set_data.m: New function, fast setter.
	* admin/octpkg/INDEX: Add the new function to the index.
	* arrays/@stk_dataframe/set.m: Use set_data.
	* arrays/@stk_factorialdesign/set.m: Use set_data.
	* arrays/@stk_hrect/stk_rescale.m: Optimize for speed.
	* arrays/@stk_hrect/subsasgn.m: Optimize for speed.
	* sampling/stk_sampling_randunif.m: Optimize for speed.
	* sampling/stk_sampling_regulargrid.m: Optimize for speed.

2017-06-03  Julien Bect  <julien.bect@centralesupelec.fr>

	Optimize a few functions for speed

	* arrays/@stk_dataframe/stk_dataframe.m: Optimize
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Optimize
	* arrays/@stk_hrect/stk_rescale.m: Optimize
	* sampling/stk_sampling_randunif.m: Optimize
	* sampling/stk_sampling_regulargrid.m: Optimize
	* admin/octpkg/patches/matlab-graphics-axis-Axes.patch: Update

	Upcast objects from derived classes to stk_dataframe

	* arrays/@stk_factorialdesign/stk_dataframe.m: New function.
	* arrays/@stk_hrect/stk_dataframe.m: New function.
	* admin/octpkg/INDEX: Add new functions to the index.

2017-05-29  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/find.m: Overload base function

	* arrays/@stk_dataframe/find.m: Overload base function to support
	calling find with an stk_dataframe as first input argument.
	* admin/octpkg/INDEX: Add new function to the index.

	stk_dataframe.m: Improve error messages

	* arrays/@stk_dataframe/stk_dataframe.m: Improve error message
	when either colnames or rownames has an incorrect number of
	elements.

	stk_sampcrit_akg_eval.m: Set zr_min to +Inf when zr_mean is empty

	* sampling/stk_sampcrit_akg_eval.m: Set zr_min to +Inf when
	zr_mean is empty.

	stk_hrect.m: Preserve colmumns names for stk_dataframe inputs

	* arrays/@stk_hrect/stk_hrect.m: Preserve colmumns names when the
	input is an stk_dataframe object.

2017-05-28  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_factorialdesign.m: Accept stk_dataframe levels

	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Accept
	one-variable stk_dataframe factors and preserve column names in
	this case.
	* arrays/@stk_factorialdesign/stk_boundingbox.m: Do not assume
	that the cell array of levels is row-shaped.
	* admin/octpkg/patches/matlab-graphics-axis-Axes.patch: Update
	patch.

	stk_predict: Remove old inaccessible display_waitbar stuff

	* core/@stk_model_gpposterior/stk_predict.m: Remove old and
	inaccessible display_waitbar stuff.

2017-05-27  Julien Bect  <julien.bect@centralesupelec.fr>

	Implement the AKG criterion

	* sampling/stk_sampcrit_akg_eval.m: New function, this is were the
	actual computation of the AKG criterion happens.
	* sampling/private/halfpintl.m: New private function that computes
	the intersection of lower half-planes (equivalently, the lower
	envelope of a set of lines) needed in the AKG.
	* sampling/@stk_sampcrit_akg/stk_sampcrit_akg.m: New function.
	* sampling/@stk_sampcrit_akg/feval.m: New function, does some
	non-trivial preliminary work before calling stk_sampcrit_akg_eval.
	* sampling/@stk_sampcrit_akg/disp.m: New function, copied from
	other sampcrit classes with minor adaptations.
	* sampling/@stk_sampcrit_akg/get.m: New function, this is the same
	trivial getter as in other sampcrit classes.
	* sampling/@stk_sampcrit_akg/set.m: New function, contains some
	pre-computations that depend on the reference grid only.
	* examples/02_design_of_experiments/stk_example_doe05.m: Use AKG
	as a default, and propose EQI as an option.
	* admin/octpkg/INDEX: Update index with new functions.

	@stk_model_gpposterior/stk_make_kreq: new (internal) method

	* core/@stk_model_gpposterior/stk_make_kreq.m: New method.
	* core/@stk_model_gpposterior/stk_predict.m: Use the new method.
	* admin/octpkg/INDEX: Update index with new function.

	@stk_sampcrit_eqi: point_batch_size can also be a function

	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Add unit tests.
	* sampling/@stk_sampcrit_eqi/set.m: Accept functions and char for
	the value of point_batch_size.
	* sampling/@stk_sampcrit_eqi/feval.m: Compute point_batch_size.

	Fix a spelling error (instanciated -> instantiated)

	* sampling/@stk_sampcrit_ei/stk_sampcrit_ei.m: Fix spelling error.
	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Idem.

2017-05-25  Julien Bect  <julien.bect@centralesupelec.fr>

	Massive overhaul of sampling criterion classes

	* sampling/@stk_sampcrit_modelbased: Class removed
	* sampling/@stk_sampcrit_modelbased/feval.m: Removed
	* sampling/@stk_sampcrit_modelbased/get_input_data.m: Removed
	* sampling/@stk_sampcrit_modelbased/get_model.m: Removed
	* sampling/@stk_sampcrit_modelbased/get_output_data.m: Removed
	* sampling/@stk_sampcrit_modelbased/set_model.m: Removed
	* sampling/@stk_sampcrit_modelbased/stk_model_update.m: Removed
	* sampling/@stk_sampcrit_modelbased/stk_sampcrit_modelbased.m: Removed
	* sampling/@stk_sampcrit_singleobjoptim: Class removed
	* sampling/@stk_sampcrit_singleobjoptim/get_bminimize.m: Removed
	* sampling/@stk_sampcrit_singleobjoptim/get_goal.m: Removed
	* sampling/@stk_sampcrit_singleobjoptim/set_goal.m: Removed
	* sampling/@stk_sampcrit_singleobjoptim/stk_sampcrit_singleobjoptim.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim: Class removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/disp.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/get.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_mode.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_quantile_order.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_value.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_goal.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_model.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_mode.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_quantile_order.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_value.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_model_update.m: Removed
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m: Removed
	* sampling/@stk_sampcrit_base: Class renamed to @stk_function
	* sampling/@stk_sampcrit_base/stk_sampcrit_base.m: Moved to @stk_function, renamed, modified
	* sampling/@stk_sampcrit_base/disp.m: : Moved to @stk_function and modified
	* sampling/@stk_sampcrit_base/display.m: Idem.
	* sampling/@stk_sampcrit_base/horzcat.m: Idem.
	* sampling/@stk_sampcrit_base/subsasgn.m: Idem.
	* sampling/@stk_sampcrit_base/subsref.m: Idem.
	* sampling/@stk_sampcrit_base/vertcat.m: Idem.
	* sampling/@stk_function: Replaces @stk_sampcrit_base
	* sampling/@stk_function/stk_function.m: Moved from @stk_sampcrit_base, renamed, modified
	* sampling/@stk_function/disp.m: Moved from @stk_sampcrit_base and modified
	* sampling/@stk_function/display.m: Idem.
	* sampling/@stk_function/horzcat.m: Idem.
	* sampling/@stk_function/subsasgn.m: Idem.
	* sampling/@stk_function/subsref.m: Idem.
	* sampling/@stk_function/vertcat.m: Idem.
	* sampling/@stk_function/feval.m: New method (error only)
	* sampling/@stk_function/get.m: New method (error only)
	* core/@struct/get_input_data.m: New method to support prior models defined as structures
	* core/@struct/get_output_data.m: Idem.
	* core/@struct/get_prior_model.m: Idem.
	* core/@struct/private/assert_struct_is_model.m: Private function used by the last three
	* sampling/@stk_sampcrit_ei: Complete class rewrite
	* sampling/@stk_sampcrit_ei/stk_sampcrit_ei.m: Entirely rewritten
	* sampling/@stk_sampcrit_ei/msfeval.m: Moved to feval.m
	* sampling/@stk_sampcrit_ei/feval.m: Moved from msfeval.m and modified
	* sampling/@stk_sampcrit_ei/disp.m: Moved from thresholdbasedoptim and modified
	* sampling/@stk_sampcrit_ei/get.m: New method (trivial getter)
	* sampling/@stk_sampcrit_ei/set.m: New method (non-trivial setter)
	* sampling/@stk_sampcrit_eqi: Complete class rewrite
	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: Entirely rewritten
	* sampling/@stk_sampcrit_eqi/msfeval.m: Moved to feval.m
	* sampling/@stk_sampcrit_eqi/feval.m: Moved from msfeval.m and modified
	* sampling/@stk_sampcrit_eqi/disp.m: Moved from thresholdbasedoptim and modified
	* sampling/@stk_sampcrit_eqi/get.m: New method (trivial getter)
	* sampling/@stk_sampcrit_eqi/set.m: New method (non-trivial setter)
	* examples/02_design_of_experiments/stk_example_doe05.m: Rewrite almost entirely
	* admin/octpkg/INDEX: Update index

2017-05-16  Julien Bect  <julien.bect@centralesupelec.fr>

	Fix object display problem (ticket #73)

	* misc/text/stk_disp_isloose.m: New function, to query the
	compact/loose display status in a Matlab/Octave compatible-way.
	* core/@stk_model_gpposterior/disp.m: Use the new function.
	* core/@stk_model_gpposterior/display.m: Idem.
	* sampling/@stk_sampcrit_base/disp.m: Idem.
	* sampling/@stk_sampcrit_base/display.m: Idem.
	* sampling/@stk_sampcrit_thresholdbasedoptim/disp.m: Idem.
	* admin/octpkg/INDEX: Add the new function to the index.

2017-05-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ehvi_eval.m: Add help text

	* sampling/stk_sampcrit_ehvi_eval.m: Add help text.
	* sampling/stk_sampcrit_ei_eval.m: Minor change in help text.
	* sampling/stk_sampcrit_emmi_eval.m: Minor change in help text.

2017-05-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_distrib_normal_ei.m: Recommend to use stk_sampcrit_ei_eval

	* misc/distrib/stk_distrib_normal_ei.m: Recommend to use
	stk_sampcrit_ei_eval instead.

2017-05-12  Rémi Stroh  <remi.stroh@lne.fr>

	Format help texts.

	* sampling/stk_sampling_nesteddesign.m: Formatting help text to
	follow the STK style.
	* sampling/stk_sampling_nestedlhs.m: Idem.

2017-05-11  Julien Bect  <julien.bect@centralesupelec.fr>

	Remove dominated solutions in MOO sampling criteria

	* sampling/stk_sampcrit_ehvi_eval.m: Simply add a comment.
	Dominated solutions were already removed by stk_dominatedhv.
	* sampling/stk_sampcrit_emmi_eval.m: Remove dominated solutions
	and duplicates, as in stk_dominatedhv.

	stk_sampcrit_emmi_eval.m: Improve help text

	* sampling/stk_sampcrit_emmi_eval.m: Improve help text.

	stk_sampcrit_emmi_eval.m: Use capital variable names in help text

	* sampling/stk_sampcrit_emmi_eval.m: Use capital variable names in
	help text, as everywhere else in the toolbox.

	stk_sampcrit_ei_eval.m: Warn about deprecated use

	* sampling/stk_sampcrit_ei_eval.m: Add warnings about deprecated
	syntaxes, that were introduced inadvertently in STK 2.4.0 and will
	be removed in future releases.  These warnings should remain as
	long as we are in the 2.4.x series.

2017-05-09  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ei_eval.m: Add help text

	* sampling/stk_sampcrit_ei_eval.m: Add help text.

	stk_param_estim.m: Improve error message (ticket #72)

	* paramestim/stk_param_estim.m: Issue a better error message when
	LNV0 is either NaN of infinite.

2017-05-08  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ei_eval.m: Remove the 'goal' argument

	* sampling/stk_sampcrit_ei_eval.m: Remove the 'goal' argument and
	provide an implementation for *minimization* problems, which is
	the usual convention for optimization problems and which is
	consistent with the convention chosen for the EMMI and EHVI
	criteria.
	* examples/02_design_of_experiments/stk_example_doe03.m: Use the
	new syntax without the 'goal' argument, using minus signs instead.

2017-05-06  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampcrit_ei_eval.m: New syntax

	* sampling/stk_sampcrit_ei_eval.m: Adopt a syntax that is
	consistent with the syntax of the EHVI and EMMI *_eval functions.
	This function was accidentally released in STK 2.4.0 with two
	other syntaxes, now marked as deprecated, that were never publicly
	documented.
	* examples/02_design_of_experiments/stk_example_doe03.m: Use the
	new syntax.  Also, fix the example which was showing a
	minimization strategy while a comment in the source code indicated
	maximization.

2017-05-05  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_distrib_normal_crps.m: Remove example from help text

	* misc/distrib/stk_distrib_normal_crps.m: Remove example from help
	text. The functions in misc/distrib are meant to be independent of
	the rest of the toolbox, we should avoid using functions from
	other parts of STK inside them.

2017-05-03  Rémi Stroh  <remi.stroh@lne.fr>

	stk_distrib_normal_crps.m: New function to compute the Gaussian CRPS

	* misc/distrib/stk_distrib_normal_crps.m: New function to compute
	the Continuous Ranked Probability Score in the case of a Gaussian
	predictive density.

2017-04-27  Rémi Stroh  <remi.stroh@lne.fr>

	New functions to create nested designs.

	* sampling/stk_sampling_nesteddesign.m: New function to create nested
	designs.
	* sampling/stk_sampling_nestedlhs.m: New function to create nested LHS.

2017-04-27  Julien Bect  <julien.bect@centralesupelec.fr>

	vertcat.m: Preserve column names when some are missing (ticket #66)

	* arrays/@stk_dataframe/vertcat.m: Preserve column names even if
	some of them are missing.

	vertcat.m: Do the concatenation earlier

	* arrays/@stk_dataframe/vertcat.m: Do the concatenation earlier to
	let the base vertcat function generate an error message if needed.

2017-04-26  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_model_fixlm.m: Better error message (ticket #69)

	* core/stk_model_fixlm.m: Display a better error message when both
	model.lm and model.order are present, but their values are not
	compatible.

2017-04-19  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_generate_samplepaths.m: Do not set lognoisevariance to -inf

	* utils/stk_generate_samplepaths.m: No need to set lognoisevariance
	to -inf in the noiseless case.

	Bring examples up to date with changes in stk_model_gpposterior

	* examples/02_design_of_experiments/stk_example_doe03.m: Do not
	modify directly the 'lognoisevariance' field of the prior.
	* examples/02_design_of_experiments/stk_example_doe05.m: Do not
	modify directly the 'param' field of the prior.

	stk_sampcrit_thresholdbasedoptim.m: Fix input argument processing

	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m:
	Fix input argument processing.

	Reorganize parameter-related functions

	* param/classes: New directory, that will contain parameter
	classes in the future.  There are no parameter classes currently,
	but this is the place where they will be.
	* paramestim/private/stk_get_optimizable_parameters.m: Moved to param/classes.
	* paramestim/private/stk_set_optimizable_parameters.m: Idem.
	* param/classes/stk_get_optimizable_parameters.m: Moved from paramestim/private.
	* param/classes/stk_set_optimizable_parameters.m: Idem.
	* paramestim/stk_param_estim.m: Moved to param/estim.
	* paramestim/stk_param_getdefaultbounds.m: Idem.
	* paramestim/stk_param_gls.m: Idem.
	* paramestim/stk_param_init.m: Idem.
	* paramestim/stk_param_init_lnv.m: Idem.
	* paramestim/stk_param_relik.m: Idem.
	* param/estim/stk_param_estim.m: Moved from paramestim/.
	* param/estim/stk_param_getdefaultbounds.m: Idem.
	* param/estim/stk_param_gls.m: Idem.
	* param/estim/stk_param_init.m: Idem.
	* param/estim/stk_param_init_lnv.m: Idem.
	* param/estim/stk_param_relik.m: Idem.
	* stk_init.m: Update the path

2017-04-18  Julien Bect  <julien.bect@centralesupelec.fr>

	Rewrite two private functions with try-catch blocks instead of tests

	* paramestim/private/stk_get_optimizable_parameters.m: Use a
	try-catch block instead of testing what the input is.
	* paramestim/private/stk_set_optimizable_parameters.m: Idem.

	Fix syntax errors

	* paramestim/private/stk_get_optimizable_parameters.m: Fix syntax error.
	* paramestim/private/stk_set_optimizable_parameters.m: Fix syntax error.

2017-04-16  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_pmisclass.m: Add help text

	* utils/stk_pmisclass.m: Add help text.

	stk_pmisclass.m: Handle K22 scalar negative or null

	* utils/stk_pmisclass.m: Handle specifically, when K22 is scalar,
	the case where K22 is negative or null.

2017-03-09  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c: Remove unused variables

	* misc/pareto/private/wfg.c: Remove unused variables.

	stk_example_doe04.m: Add help text

	* examples/02_design_of_experiments/stk_example_doe04.m: Add help
	text.

	stk_param_getdefaultbounds.m: Add help text

	* paramestim/stk_param_getdefaultbounds.m: Add help text.

2017-03-08  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/ismember.m: Fix a bug

	* arrays/@stk_dataframe/ismember.m: Handle the case where A is an
	stk_dataframe object and B is an stk_hrect object (or any
	specialized stk_dataframe object that implements ismember).

	stk_plot_histnormres.m: Ignore infinite normalized residuals

	* misc/plot/stk_plot_histnormres.m: Ignore infinite normalized
	residuals, with a warning.

2017-02-21  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_phipcrit.m: Fix a typo in the help text

	* misc/design/stk_phipcrit.m: Fix a typo in the help text.

2017-02-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Use fminsearch for box-constrained problems as last recourse

	* misc/optim/@stk_optim_fminsearch/stk_minimize_boxconstrained.m:
	New function, which allows to use fminsearch for box-constrained
	problems, a as last recourse for Matlab users that have neither
	the Optimization toolbox nor MOSEK.
	* admin/octpkg/INDEX: Add new function to the INDEX.

	sqp_quadprog.m: Restore warning state if quadprog fails

	* misc/optim/@stk_optim_octavesqp/private/sqp_quadprog.m: Restore
	warning state if quadprog fails.

	Provide better tools to check for optimizer availability (ticket #64)

	* misc/optim/@stk_optim_baseclass: New abstract base class for all
	optimizer object classes.
	* misc/optim/@stk_optim_baseclass/stk_optim_baseclass.m: New
	function, constructor of the new base class.
	* misc/optim/@stk_optim_baseclass/isequal.m: Overload isequal
	Octave 3.2.x compatibility, see CODING_GUIDELINES.
	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Derive from
	the new class.
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Idem.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Itou.
	* misc/optim/stk_optim_isavailable.m: New function, which tests if
	a given optimization algorithm is available.
	* misc/optim/@stk_optim_baseclass/stk_optim_isavailable.m:
	Overload the generic function stk_optim_isavailable for the
	abstract base class.
	* misc/optim/stk_minimize_boxconstrained.m: Fix unit tests.
	* misc/optim/stk_minimize_unconstrained.m: Fix unit tests.
	* admin/octpkg/INDEX: Add new functions to the INDEX.

2017-02-07  Julien Bect  <julien.bect@centralesupelec.fr>

	Oldest supported version of Octave is now 3.2.4

	* admin/build_tools/build_octpkg.m: Modify supported version from
	3.2.2 to 3.2.4 in DESCRIPTION, in accordance with README.md.
	* NEWS: No need to advertise such a tiny change of version number.

	stk_init.m: Use __octave_config_info__ instead of octave_config_info

	* stk_init.m: Use __octave_config_info__ instead of
	octave_config_info, which is now deprecated.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.
	* admin/octpkg/patches/stk-init-rmpath-cleanup.patch: New patch.
	* admin/octpkg/patches/series: Insert new patch in the series.

	Prevent errors in Matlab <=R2014a using try-end blocks (bis)

	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Add try-end block.
	* admin/octpkg/patches/matlab-graphics-axis-Axes.patch: New patch
	to remove Matlab related blocks from Octave package release.
	* admin/octpkg/patches/series: Insert new patch in the series.

2017-02-06  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dataframe.m: Prevent error in Matlab <=R2014a using a try-end block

	* arrays/@stk_dataframe/stk_dataframe.m: Prevent superiorto() from
	generating an error in Matlab <=R2014a using a try-end block.

2017-01-28  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dominatedhv_mex.c: Remove unused variable

	* misc/pareto/private/stk_dominatedhv_mex.c: Remove unused variable.

2017-01-27  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_init: Fix install_mole_function (again)

	* stk_init: Fix install_mole_function (again).

	stk_init.m: Set use_silent to zero in Octave

	* stk_init.m: Set use_silent to zero in Octave.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

2017-01-25  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_init: Fix install_mole_function

	* stk_init: Fix install_mole_function.

	stk_init: Use mex without -silent when it is not supported

	* stk_init: Use mex without -silent when it is not supported.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

	Fix minor issues in C source code

	* misc/distrib/private/stk_distrib_bivnorm0_cdf.c: Insert braces
	to avoid "Missing braces around initializer" warning.
	* misc/pareto/private/wfg.c: Remove unused variables.

2017-01-24  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/subsasgn.m: Octave 3.2.x repmat hack

	* arrays/@stk_dataframe/subsasgn.m: Hack for a problem related to
	repmat in Octave 3.2.x.

	Do not use ismatrix.

	* arrays/generic/stk_boundingbox.m: Do not use ismatrix.
	* misc/pareto/stk_dominatedhv.m: Do not use ismatrix.
	* admin/CODING_GUIDELINES: Explain why.
	* misc/error/stk_assert_box.m: Refer to CODING_GUIDELINES.

	stk_example_doe04.m: Do not use ~ to ignore unwanted outputs

	* examples/02_design_of_experiments/stk_example_doe04.m: Do not
	use ~ to ignore unwanted output arguments.
	* admin/CODING_GUIDELINES: Explain why.

	stk_plot1d.m: Ignore legend errors

	* misc/plot/stk_plot1d.m: Ignore legend errors.

2017-01-23  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe: Deprecate info field

	* arrays/@stk_dataframe/stk_sprintf.m: Hide info field.
	* arrays/@stk_factorialdesign/stk_sprintf.m: Hide info field.
	* arrays/@stk_dataframe/stk_sprintf_info.m: Removed (was "internal").
	* arrays/generic/stk_sprintf_info.m: Removed (was "internal").
	* admin/octpkg/INDEX: Remove both functions from the index.
	* core/@stk_model_gpposterior/stk_predict.m: Do not set info.
	* sampling/stk_sampling_halton_rr2.m: Do not set info.
	* sampling/stk_sampling_maximinlhs.m: Do not set info.
	* sampling/stk_sampling_olhs.m: Do not set info.
	* sampling/stk_sampling_randomlhs.m: Do not set info.
	* sampling/stk_sampling_randunif.m: Do not set info.
	* sampling/stk_sampling_regulargrid.m: Do not set info.
	* sampling/stk_sampling_sobol.m: Do not set info.
	* arrays/@stk_dataframe/isequal.m: Ignore info.

	@stk_dataframe/subsref.m: Minor modif to make it work in Octave 3.2.4

	* arrays/@stk_dataframe/subsref.m: Minor modification to make it
	work in Octave 3.2.4 despite a but that allows subsref to modify
	its input argument.

	stk_feval.m: Use commas in cell arrays of function handles

	* arrays/generic/stk_feval.m: Separate elements with commas when
	creating cell arrays of function handles.
	* admin/CODING_GUIDELINES: Explain why.

2017-01-22  Julien Bect  <julien.bect@centralesupelec.fr>

	README.md: Raise minimal Octave version to 3.2.4

	* README.md: Raise minimal Octave version to 3.2.4.

	README.md: Rewrite C compiler requirement

	* README.md: Rewrite C compiler requirement

	stk_parallel_engine_parfor.m: Adapt to the 'new' PCT syntax

	* misc/parallel/@stk_parallel_engine_parfor/stk_parallel_engine_parfor.m:
	Adapt to the 'new' PCT syntax, since matlabpool has been removed.

	Implement isequal to maintain compatiblity with Octave 3.2.x.

	* arrays/@stk_dataframe/isequal.m: Handle any number of input
	arguments.
	* core/@stk_kreq_qr/isequal.m: Idem.
	* arrays/@stk_factorialdesign/isequal.m: Implement isequal to
	maintain compatibility with Octave 3.2.x.
	* core/@stk_model_gpposterior/isequal.m: Idem.
	* lm/@stk_lm_affine/isequal.m: Idem.
	* lm/@stk_lm_constant/isequal.m: Idem.
	* lm/@stk_lm_cubic/isequal.m: Idem.
	* lm/@stk_lm_matrix/isequal.m: Idem.
	* lm/@stk_lm_null/isequal.m: Idem.
	* lm/@stk_lm_quadratic/isequal.m: Idem.
	* misc/optim/@stk_optim_fmincon/isequal.m: Idem.
	* misc/optim/@stk_optim_fminsearch/isequal.m: Idem.
	* misc/optim/@stk_optim_octavesqp/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_none/isequal.m: Idem.
	* misc/parallel/@stk_parallel_engine_parfor/isequal.m: Idem.
	* arrays/@stk_dataframe/stk_dataframe.m: Fix unit test.
	* admin/octpkg/INDEX: Add new functions to the INDEX.

2017-01-21  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_test_class.m: Standard unit tests for all STK classes

	* misc/test/stk_test_class.m: New function, which performs a
	series of standard unit tests that all STK classes should pass.
	* admin/octpkg/INDEX: Add the new function to the INDEX.
	* arrays/@stk_dataframe/stk_dataframe.m: Add unit test.
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Add unit test.
	* arrays/@stk_hrect/stk_hrect.m: Add unit test.
	* core/@stk_kreq_qr/stk_kreq_qr.m: Add unit test.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Add unit test.
	* lm/@stk_lm_affine/stk_lm_affine.m: Add unit test.
	* lm/@stk_lm_constant/stk_lm_constant.m: Add unit test.
	* lm/@stk_lm_cubic/stk_lm_cubic.m: Add unit test.
	* lm/@stk_lm_matrix/stk_lm_matrix.m: Add unit test.
	* lm/@stk_lm_null/stk_lm_null.m: Add unit test.
	* lm/@stk_lm_quadratic/stk_lm_quadratic.m: Add unit test.
	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Add unit test.
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Add unit test.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Add unit test.
	* misc/parallel/@stk_parallel_engine_none/stk_parallel_engine_none.m: Add unit test.
	* misc/parallel/@stk_parallel_engine_parfor/stk_parallel_engine_parfor.m: Add unit test.

2017-01-19  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_error.m: Catch unsupported use of -completenames

	* misc/error/stk_error.m: Catch unsupported use of option
	-completenames for dbstack in Octave 3.2.4.

2017-01-18  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/subsasgn.m:: Do not use isequalwithnans

	* arrays/@stk_dataframe/subsasgn.m: Do not use isequalwithnans,
	which is has been removed from Octave 4.2.0.

	Add nargin checks for stk_lm_* functions

	* lm/@stk_lm_affine/stk_lm_affine.m: Add nargin check and unit test.
	* lm/@stk_lm_constant/stk_lm_constant.m: Idem.
	* lm/@stk_lm_cubic/stk_lm_cubic.m: Idem.
	* lm/@stk_lm_matrix/stk_lm_matrix.m: Idem.
	* lm/@stk_lm_null/stk_lm_null.m: Idem.
	* lm/@stk_lm_quadratic/stk_lm_quadratic.m: Idem.
	* lm/stk_lm_polynomial.m: Idem.

	Call @stk_dataframe/get instead of using dot indexing when possible

	* arrays/@stk_hrect/stk_hrect.m: Call @stk_dataframe/get instead
	of using dot indexing.
	* arrays/@stk_hrect/subsasgn.m: Idem.

2017-01-15  Julien Bect  <julien.bect@centralesupelec.fr>

	Makefile: Achieve reproducible builds without --sort=name

	* Makefile: Achieve reproducible builds without using the option
	--sort=name, which is only available is very recent versions of tar,
	thanks to the recommendations of https://reproducible-builds.org/.

2017-01-14  Julien Bect  <julien.bect@centralesupelec.fr>

	Makefile: Trigger build if hg id as changed

	* Makefile: Trigger build if hg id as changed.

	Makefile: Check if hg clone is clean before processing

	* Makefile: Check if hg clone is clean before processing.

	Makefile: Declare .PHONY targets

	* Makefile: Declare .PHONY targets.

	Makefile: Use timestamp files instead of directories as targets

	* Makefile: Use timestamp files instead of directories as targets.

	Makefile: Add "dist" rule expected by OF admins

	* Makefile: Add "dist" rule to build packages only, as expected by
	Octave Forge admins.

2017-01-14  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_init.m: Display GCC version warning only once (Matlab only)

	* stk_init.m (stk_init__compile): Capture GCC version warnings.
	(stk_init__build_mex): Display GCC version warning only once.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

2017-01-13  Julien Bect  <julien.bect@centralesupelec.fr>

	README.md: Explain that there are two releases (closes ticket #62)

	* README.md: Explain that there are two releases, and the specific
	"quick start" procedure for each release.

2017-01-09  Julien Bect  <julien.bect@centralesupelec.fr>

	README.md: Remove warning about STK not starting if GLPK is missing

	* README.md: Remove useless warning about STK not starting is
	Octave is configured without GLPK.  I only met this case once, a
	long time ago, with Octave 3.0 on some BD distro...

2017-01-07  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_kb09.m: Catch a legend-related bug (closes ticket #55)

	* examples/01_kriging_basics/stk_example_kb09.m: Add a try/catch
	block to catch a legend-related bug that shows up in Octave 4.0.x.

2017-01-04  Julien Bect  <julien.bect@centralesupelec.fr>

	Provide help texts for stk_lm_* functions

	* lm/@stk_lm_affine/stk_lm_affine.m: Add help text.
	* lm/@stk_lm_constant/stk_lm_constant.m: Idem.
	* lm/@stk_lm_cubic/stk_lm_cubic.m: Idem.
	* lm/@stk_lm_matrix/stk_lm_matrix.m: Idem.
	* lm/@stk_lm_null/stk_lm_null.m: Idem.
	* lm/@stk_lm_quadratic/stk_lm_quadratic.m: Idem.
	* lm/stk_lm_polynomial.m: Idem.

	stk_dominatedhv.m: Remove dominated points before using WFG

	* misc/pareto/stk_dominatedhv.m: Remove dominated points before
	using WFG, since WFG assumes that there are no duplicated points.

2017-01-01  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_generate_samplepaths.m: Improve the documentation

	* utils/stk_generate_samplepaths.m: Improve the documentation.  In
	particular, warn about the case of noisy observations.

	stk_predict: Explain the Bayesian point of view

	* core/stk_predict.m: Explain the Bayesian point of view.

	Fix one-line help for overloaded STK functions

	* arrays/@stk_dataframe/stk_conditioning.m: Fix one-line help.
	* arrays/@stk_dataframe/stk_generate_samplepaths.m: Idem.
	* arrays/@stk_hrect/stk_normalize.m: Idem.
	* arrays/@stk_hrect/stk_rescale.m: Idem.
	* core/@stk_model_gpposterior/stk_isnoisy.m: Idem.
	* core/@stk_model_gpposterior/stk_predict.m: Idem.
	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Idem.

2016-12-29  Julien Bect  <julien.bect@centralesupelec.fr>

	Polish new LOO cross-validation function

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Return
	residuals in a dataframe (instead of a structure).
	* core/stk_predict_leaveoneout.m: Add doc and unit tests.
	* examples/01_kriging_basics/stk_example_kb10.m: Update name of
	normalized residual field (second column of the new dataframe).
	* misc/plot/stk_plot_histnormres.m: Fix a tiny bug.

	Fix one-line help for overloaded feval functions in lm

	* lm/@stk_lm_affine/feval.m: Fix one-line help.
	* lm/@stk_lm_constant/feval.m: Idem.
	* lm/@stk_lm_cubic/feval.m: Idem.
	* lm/@stk_lm_matrix/feval.m: Idem.
	* lm/@stk_lm_null/feval.m: Idem.
	* lm/@stk_lm_quadratic/feval.m: Idem.

2016-12-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_model_gpposterior.m: Estimate if param has NaNs (closes ticket #40)

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Estimate
	parameters automatically if prior_model.param contains NaNs.

	@stk_model_gpposterior/disp.m: Clarify display.

	* core/@stk_model_gpposterior/disp.m: Clarify display.

	@stk_model_gpposterior: Make all properties read-only.

	* core/@stk_model_gpposterior/set.m: Make all properties
	read-only.  Provide meaningful hints in error messages.
	* core/@stk_model_gpposterior/set_prior_model.m: Removed.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Set
	prior_model directly since set_prior_model no longer exists.
	* admin/octpkg/INDEX: Update index.

	@stk_model_gpposterior: Remove somes properties

	* core/@stk_model_gpposterior/get_input_dim.m: Removed.
	* core/@stk_model_gpposterior/get_output_dim.m: Removed.
	* core/@stk_model_gpposterior/get_lognoisevariance.m: Removed.
	* core/@stk_model_gpposterior/get_lognoisevariance.m: Removed.
	* core/@stk_model_gpposterior/get_param.m: Removed.
	* core/@stk_model_gpposterior/set_param.m: Removed.
	* core/@stk_model_gpposterior/fieldnames.m: Remove properties.
	* core/@stk_model_gpposterior/disp.m: Idem.
	* core/@stk_model_gpposterior/get.m: Idem.
	* core/@stk_model_gpposterior/set.m: Idem.
	* core/@stk_model_gpposterior/subsref.m: Remove one unit test.
	* admin/octpkg/INDEX: Update index.

	README.md: Use numeric references

	* README.md: Use numeric references instead of author-year.

	README.md: Move sentence about M/O compatiblity to "Quick start"

	* README.md: Move the sentence about Matlab/Octave compatiblity to
	the "Quick start" section.  Remove redundant sentence about the
	meaning of STK.

	README.md: Remove sentence about parallel computing

	* README.md: Remove the sentence about parallel computing not
	being supported in Octave, since there is actually very little
	support, currently, for parallel computing in *both* Matlab and
	Octave.

	README.md: Remove redundant licence statement

	* README.md: Remove redundant licence statement.

	Makefile: download new icons for visual inspection of HTML doc

	* Makefile: download new icons (news.png, homepage.png) for visual
	inspection of OctaveForge HTML doc.

2016-12-14  Julien Bect  <julien.bect@centralesupelec.fr>

	Convert README to Markdown format

	* README: Renamed to README.md.
	* README.md: Renamed from README.md and converted to Markdown.
	Removed copyright notice.
	* admin/build_tools/build_allpurpose.m: Rename README -> README.md.
	* admin/build_tools/build_octpkg.m: Idem.
	* admin/build_tools/copy_readme.m: Idem.
	* admin/find_nonstandard_characters.sh: Process all *README* files.
	* admin/fix_eol.sh: Idem.

2016-12-09  Julien Bect  <julien.bect@centralesupelec.fr>

	Save M/O version info when compiling MEX-files (closes ticket #54)

	* stk_init.m: Save Matlab/Octave version info in a text file with
	the .info extension when compiling MEX-files.
	* .hgignore: Ignore .info files.
	* admin/octpkg/patches/remove-testprivatemex.patch: update patch.
	* admin/octpkg/patches/remove-buildmex.patch: update patch.
	* admin/build_tools/build_octpkg.m: Ignore *.info files.

2016-12-05  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe: Overload openvar

	* arrays/@stk_dataframe/openvar.m: Overload base function.
	* misc/options/stk_options_set.m: Add option openvar_warndlg with
	default value true.
	* INDEX: Add @stk_dataframe/openvar to the index.

	stk_lm_polynomial.m: Add nargin check (closes ticket #52)

	* lm/stk_lm_polynomial.m: Add nargin check.

2016-12-04  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_optim_fmincon, stk_optim_fminsearch: improve option processing

	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Improve
	option processing.
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Idem.
	* misc/optim/stk_minimize_boxconstrained.m: Add tests.
	* misc/optim/stk_minimize_unconstrained.m: Add tests.

2016-12-02  Julien Bect  <julien.bect@centralesupelec.fr>

	Do not call display on model structures (closes ticket #47)

	* examples/01_kriging_basics/stk_example_kb01.m: Do not call
	display on model structures.
	* examples/01_kriging_basics/stk_example_kb01n.m: Idem.
	* examples/01_kriging_basics/stk_example_kb02.m: Idem.
	* examples/01_kriging_basics/stk_example_kb02n.m: Idem.
	* examples/03_miscellaneous/stk_example_misc03.m: Idem:
	* admin/CODING_GUIDELINES: Explain why.

2016-11-12  Julien Bect  <julien.bect@centralesupelec.fr>

	New covariance functions: exponential + spherical

	* covfcs/rbf/stk_rbf_exponential.m: New function ("exponential" RBF)
	* covfcs/rbf/stk_rbf_spherical.m: New function ("spherical" RBF)
	* covfcs/stk_expcov_aniso.m: New covariance function.
	* covfcs/stk_expcov_iso.m: New covariance function.
	* covfcs/stk_sphcov_aniso.m: New covariance function.
	* covfcs/stk_sphcov_iso.m: New covariance function.
	* core/stk_model.m: Support new covariance functions.
	* paramestim/stk_param_init.m: Idem.
	* paramestim/stk_param_getdefaultbounds.m: Idem.
	* admin/octpkg/INDEX: Update index.

2016-11-11  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename stk_sf_* functions to stk_rbf_* and make them public

	* misc/specfun/stk_sf_gausscorr.m: Moved to covfcs/rbf and renamed.
	* misc/specfun/stk_sf_matern.m: Moved to covfcs/rbf and renamed.
	* misc/specfun/stk_sf_matern32.m: Moved to covfcs/rbf and renamed.
	* misc/spfun/stk_sf_matern52.m: Moved to covfcs/rbf and renamed.
	* covfcs/rbf/stk_rbf_gauss.m: Renamed from stk_sf_gausscorr.
	* covfcs/rbf/stk_rbf_matern.m: Renamed from stk_sf_matern.
	* covfcs/rbf/stk_rbf_matern32.m: Renamed from stk_sf_matern32.
	* covfcs/rbf/stk_rbf_matern52.m: Renamed from stk_sf_matern52.
	* covfcs/rbf/stk_sf_gausscorr.m: Deprecated.
	* covfcs/rbf/stk_sf_matern.m: Deprecated.
	* covfcs/rbf/stk_sf_matern32.m: Deprecated.
	* covfcs/rbf/stk_sf_matern52.m: Deprecated.
	* covfcs/stk_gausscov_aniso.m: Use new function names.
	* covfcs/stk_gausscov_iso.m: Use new function names.
	* covfcs/stk_materncov32_aniso.m: Use new function names.
	* covfcs/stk_materncov32_iso.m: Use new function names.
	* covfcs/stk_materncov52_aniso.m: Use new function names.
	* covfcs/stk_materncov52_iso.m: Use new function names.
	* covfcs/stk_materncov_aniso.m: Use new function names.
	* covfcs/stk_materncov_iso.m: Use new function names.
	* misc/benchmarks/stk_benchmark_cov2.m: Use new function names.
	* misc/options/stk_options_set.m: Rename options and ensure that
	the old option names are still accepted (with a warning).
	* misc/options/stk_options_get.m: Ensure that the old option names
	are still accepted (with a warning).
	* stk_init.m: Change path.
	* admin/octpkg/INDEX: Update index.

2016-09-21  Julien Bect  <julien.bect@centralesupelec.fr>

	Reduce the number of allocations in WFG

	* misc/pareto/private/wfg.c: Reduce the number of allocations in WFG by
	allocating large blocks of size n * allocated_size for xmin and xmax.
	* misc/pareto/private/wfg.h: Add fields xmin_data and xmax_data to Rlist
	structures.
	* misc/pareto/private/stk_dominatedhv_mex.c: Change rule of thumb.

2016-09-20  Julien Bect  <julien.bect@centralesupelec.fr>

	Fix two bugs in stk_dominatedhv.

	* misc/pareto/private/wfg.c: Fix two bugs affecting the case where
	the decomposition is returned.
	* misc/pareto/stk_dominatedhv.m: Unit tests.

2016-07-21  Julien Bect  <julien.bect@centralesupelec.fr>

	core/stk_model_fixlm.m: Fix error message

	* core/stk_model_fixlm.m: Fix error message.

2016-07-21  Rémi Stroh  <remi.stroh@lne.fr>

	arrays/@stk_dataframe: Overload 25 additional unitary base functions (sin, exp...)

	* arrays/@stk_dataframe/acos.m: New overloaded base function
	* arrays/@stk_dataframe/acosd.m: Idem.
	* arrays/@stk_dataframe/acosh.m: Idem.
	* arrays/@stk_dataframe/asin.m: Idem.
	* arrays/@stk_dataframe/asind.m: Idem.
	* arrays/@stk_dataframe/asinh.m: Idem.
	* arrays/@stk_dataframe/atan.m: Idem.
	* arrays/@stk_dataframe/atand.m: Idem.
	* arrays/@stk_dataframe/atanh.m: Idem.
	* arrays/@stk_dataframe/cos.m: Idem.
	* arrays/@stk_dataframe/cosd.m: Idem.
	* arrays/@stk_dataframe/cosh.m: Idem.
	* arrays/@stk_dataframe/exp.m: Idem.
	* arrays/@stk_dataframe/expm1.m: Idem.
	* arrays/@stk_dataframe/log.m: Idem.
	* arrays/@stk_dataframe/log10.m: Idem.
	* arrays/@stk_dataframe/log1p.m: Idem.
	* arrays/@stk_dataframe/log2.m: Idem.
	* arrays/@stk_dataframe/sin.m: Idem.
	* arrays/@stk_dataframe/sind.m: Idem.
	* arrays/@stk_dataframe/sinh.m: Idem.
	* arrays/@stk_dataframe/sqrt.m: Idem.
	* arrays/@stk_dataframe/tan.m: Idem.
	* arrays/@stk_dataframe/tand.m: Idem.
	* arrays/@stk_dataframe/tanh.m: Idem.
	* admin/octpkg/INDEX: Add new functions to the INDEX

	arrays/@stk_dataframe/logical.m: New overloaded base function

	* arrays/@stk_dataframe/logical.m: New overloaded base function.
	* admin/octpkg/INDEX: Add new function to the INDEX.

	arrays/@stk_dataframe/bsxfun.m: Preserve row names if possible

	* arrays/@stk_dataframe/bsxfun.m: Preserve row names if possible.

2016-06-23  Julien Bect  <julien.bect@centralesupelec.fr>

	Linear model objects are no more considered as an experimental feature

	* core/stk_model.m: Create objects with a .lm field as a default.
	* core/stk_model_fixlm.m: New internal function that ensures
	backward compatiblity for model structures with a .order field.
	* core/stk_ortho_func.m: Indicate deprecation of .order.  Call
	stk_model_fixlm to ensure backward compatibility.
	* admin/octpkg/INDEX: Show stk_lm_* functions in the INDEX.
	* examples/01_kriging_basics/stk_example_kb03.m: Use model.lm
	field instead of model.order.
	* paramestim/stk_param_init.m: Use model.lm field instead of
	model.order.  Call stk_model_fixlm to ensure backward
	compatibility.
	* examples/01_kriging_basics/stk_example_kb06.m: Idem.
	* examples/03_miscellaneous/stk_example_misc03.m: Idem.
	* core/@stk_model_gpposterior/get.m: Fix unit tests.
	* core/@stk_model_gpposterior/set.m: Fix unit tests.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Fix unit tests.
	* core/@stk_model_gpposterior/stk_predict.m: Fix unit tests.
	* core/@stk_model_gpposterior/subsref.m: Fix unit tests.
	* core/stk_make_matcov.m: Fix help and unit tests.
	* core/stk_model_update.m: Fix unit tests.
	* core/stk_predict.m: Fix unit tests.
	* covfcs/stk_discretecov.m: Fix unit tests.
	* paramestim/stk_param_gls.m: Fix unit tests.
	* paramestim/stk_param_relik.m: Fix unit tests.

2016-06-22  Julien Bect  <julien.bect@centralesupelec.fr>

	Indicate internal and deprecated functions more systematically

	* admin/octpkg/INDEX: Indicate internal and deprecated functions
	more systematically.
	* arrays/@struct/double.m: Indicate deprecation (was already
	mentioned in the INDEX file).
	* arrays/@struct/stk_boundingbox.m: Idem.
	* arrays/@struct/stk_length.m: Idem.

2016-05-29  Julien Bect  <julien.bect@centralesupelec.fr>

	New function to get/set optimizable parameters.

	* paramestim/private/stk_get_optimizable_parameters.m: New
	function get the value of optimizable parameters.
	* paramestim/private/stk_set_optimizable_parameters.m: New
	function set the value of optimizable parameters.
	* paramestim/stk_param_estim.m: Use the new functions wherever it
	is appropriate.
	* paramestim/stk_param_relik.m: Idem.

	INDEX: Bring up to date

	* admin/octpkg/INDEX: Bring up to date.

2016-05-27  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_benchmark_examples.m: new benchmark script

	* misc/benchmarks/stk_benchmark_examples.m: new benchmark script,
	which benchmarks all examples in the toolbox.

2016-05-26  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_doe05.m: Plot only once in a while

	* examples/02_design_of_experiments/stk_example_doe05.m: Plot only
	once in a while (default: PLOT_PERIOD = 10).

	stk_example_doe05.m: Remove stopping condition based on EQI_max

	* examples/02_design_of_experiments/stk_example_doe05.m: Remove
	stopping condition based on EQI_max, which is never met anyway.

2016-05-07  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_isnoisy: new function to test for a noisy model

	* core/stk_isnoisy.m: New function, which returns false for a
	noiseless model and true otherwise.  This is the base
	implementation for (prior) model structures.
	* core/@stk_model_gpposterior/set_prior_model.m: New function.
	Overload stk_isnoisy for posterior model objects.
	* admin/BACKWARD_COMPATIBILITY.md: Indicate that stk_noisy is the
	preferred way of handling the "missing lognoisevariance" backward
	compatibility issue.
	* core/@stk_model_gpposterior/set_prior_model.m: Use stk_isnoisy.
	* core/stk_make_matcov.m: Idem.
	* core/stk_model.m: Idem.
	* iago/crit/stk_optim_crit_EI.m: Idem.
	* iago/crit/stk_optim_crit_SUR.m: Idem.
	* iago/crit/stk_optim_crit_iago.m: Idem.
	* paramestim/stk_param_estim.m: Idem.
	* paramestim/stk_param_init.m: Idem.
	* paramestim/stk_param_init_lnv.m: Idem.
	* paramestim/stk_param_relik.m: Idem.
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m: Idem.
	* utils/stk_generate_samplepaths.m: Idem.

2016-05-02  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_doe05.m: Reduce NB_ITER.

	* examples/02_design_of_experiments/stk_example_doe05.m: Reduce
	NB_ITER to make stk_runtests run faster.

	stk_optim_octavesqp.m: Use a string for the 'optimizer' property

	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Use a
	string, instead of a handle, for the 'optimizer' property.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_boxconstrained.m:
	Use feval to call the optimizer, since it is no longer a handle.

2016-04-27  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sf_matern32.m, stk_sf_matern52.m: Bugfix for large h

	* misc/specfun/stk_sf_matern32.m: Return 0 when h is large.
	* misc/specfun/stk_sf_matern52.m: Idem.

2016-04-20  Julien Bect  <julien.bect@centralesupelec.fr>

	Fix a bug in stk_example_doe05

	* examples/02_design_of_experiments/stk_example_doe05.m: Pass a
	value for tau2_new when evaluating the EQI criterion.

2016-03-15  Tom Assouline  <tom.assouline@supelec.fr>

	Implement EQI criterion for noisy optimization

	* sampling/@stk_sampcrit_eqi/stk_sampcrit_eqi.m: New function.
	* sampling/@stk_sampcrit_eqi/msfeval.m: New function.
	* examples/02_design_of_experiments/stk_example_doe05.m: Example.
	script

2016-03-15  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_sampcrit_modelbased/feval.m: Pass additional args to msfeval

	* sampling/@stk_sampcrit_modelbased/feval.m: Make it possible to
	pass additional arguments to msfeval.

2016-03-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_testfun_twobumps.m: Change the sign of the test function

	* examples/test_functions/stk_testfun_twobumps.m: Change the sign
	of the test function (it looked more like "two hollows" than "two
	bumps"...).

2016-03-08  Julien Bect  <julien.bect@centralesupelec.fr>

	Make it possible to update heteroscedastic models

	* core/@stk_model_gpposterior/set_lognoisevariance.m: Provide a
	more informative error message when the size is wrong. Add unit
	tests.
	* core/@stk_model_gpposterior/stk_model_update.m: Handle the
	heteroscedastic case thanks to a new input argument. Provide
	informative error messages. Add unit tests.
	* sampling/@stk_sampcrit_modelbased/stk_model_update.m: Pass the
	additional input argument, unchaged.
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_model_update.m:
	Idem.

2016-03-06  Julien Bect  <julien.bect@centralesupelec.fr>

	Define and use three datasets based on TwoBumps

	* examples/datasets/stk_dataset_twobumps.m: New function, which
	defines three datasets based on TwoBumps.
	* examples/01_kriging_basics/stk_example_kb01.m: Use dataset
	'noiseless'. Move the noisy case to stk_example_kb01n.
	* examples/01_kriging_basics/stk_example_kb01n.m: New example
	script, which corresponds to the noisy case of the previous
	version of stk_example_kb01.
	* examples/01_kriging_basics/stk_example_kb02.m: Use dataset
	'noiseless'. Move the noisy case to stk_example_kb02n.
	* examples/01_kriging_basics/stk_example_kb02n.m: New example
	script, which corresponds to the noisy case of the previous
	version of stk_example_kb02.
	* examples/01_kriging_basics/stk_example_kb04.m: This example no
	longer exists (replaced by /stk_example_kb02n).
	* examples/01_kriging_basics/stk_example_kb05.m: Use dataset
	'noiseless'.
	* examples/01_kriging_basics/stk_example_kb08.m: Idem.
	* examples/01_kriging_basics/stk_example_kb05.m: Use dataset
	'noisy2'.
	* stk_init.m: Add examples/datasets to the path.
	* admin/octpkg/INDEX: Update index.

	Give a name (TwoBumps) to our oldest test function

	* examples/test_functions/stk_testfun_twobumps.m: Our oldest test
	function now as its own M-file and a name.
	* examples/01_kriging_basics/stk_example_kb01.m: Use the newly
	created stk_testfun_twobumps function.
	* examples/01_kriging_basics/stk_example_kb05.m: Idem.
	* examples/01_kriging_basics/stk_example_kb08.m: Idem.
	* examples/01_kriging_basics/stk_example_kb09.m: Idem.
	* admin/octpkg/INDEX: Add stk_testfun_twobumps.  Make test
	functions visible in the documentation.

2016-02-29  Julien Bect  <julien.bect@centralesupelec.fr>

	Getters and setters for the @stk_model_gpposterior class

	* core/@stk_model_gpposterior/get_prior_model.m: New getter.
	* core/@stk_model_gpposterior/set_param.m: New setter.
	* core/@stk_model_gpposterior/set_prior_model.m: New setter,
	ensuring backward compatibility with partially defined prior model
	structures (missing dim or lognoisevariance fields).
	* core/@stk_model_gpposterior/set.m: Use setters when it is useful
	for argument checking.  Prevent modification of the kreq field.
	* core/@stk_model_gpposterior/set_lognoisevariance.m: Add optional
	`recompute` input argument.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Re-organize
	to avoid code duplication with set_prior_model.
	* admin/octpkg/INDEX: Update index.

2016-02-26  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_kreq_qr.m: Add default constructor

	* core/@stk_kreq_qr/stk_kreq_qr.m: Add a default constructor,
	corresponding to the case where nargin == 0.

2016-02-24  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampling_sobol.m: Cite the NLopt toolbox in the documentation

	* sampling/stk_sampling_sobol.m: Cite the NLopt toolbox in the
	documentation.

2016-02-23  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_sampling_sobol.m: new function

	* sampling/stk_sampling_sobol.m: New function to generate points
	from a Sobol sequence.
	* sampling/private/stk_sampling_sobol_mex.c: New MEX-file.
	* admin/octpkg/INDEX: Add new function to the INDEX
	* admin/octpkg/Makefile: Add new MEX-file to the Makefile.
	* stk_init.m: Add new MEX-file to the build system.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

	stk_param_relik.m: Introduce a 'simple_kriging' flag

	* paramestim/stk_param_relik.m: Introduce a 'simple_kriging' flag
	to clarify the meaning of the tests for q == 0.

	Get rid of the half-baked @stk_ndf class

	* iago/@stk_ndf/fieldnames.m: Deleted
	* iago/@stk_ndf/get.m: Deleted
	* iago/@stk_ndf/set.m: Deleted
	* iago/@stk_ndf/stk_ndf.m: Deleted
	* iago/@stk_ndf/stk_setnoisevariance.m: Deleted
	* iago/@stk_ndf/stk_sprintf.m: Deleted
	* iago/@stk_ndf/subsasgn.m: Deleted
	* iago/@stk_ndf/vertcat.m: Deleted
	* iago/DESIGN-NOTES.md: Remove all references to  stk_ndf
	* iago/stk_optim.m: Idem.
	* iago/utils/stk_optim_addevals.m: Idem.
	* iago/crit/stk_optim_crit_SUR.m: Idem.
	* iago/crit/stk_optim_crit_iago.m: Idem.

	stk_sampcrit_thresholdbasedoptim.m: Add unit tests

	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m:
	Add unit tests for various number of input arguments.

2016-02-23  Tom Assouline  <tom.assouline@supelec.fr>

	stk_sampcrit_thresholdbasedoptim.m: Fix nargin check

	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m:
	Fix nargin check.

2016-02-18  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_predict_leaveoneout.m: Compute residuals outside the CV loop

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Compute
	residuals outside the cross-validation loop.

2016-02-17  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior: Make sure that lognoisevariance is a column

	* core/@stk_model_gpposterior/set_lognoisevariance.m: Make sure
	that prior_model.lognoisevariance is a column vector.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Idem.

2016-02-17  Stefano Duhamel  <stefano.duhamel@supelec.fr>

	stk_predict_leaveoneout.m: Bugfix for the heteroscedastic case (bug #43)

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: Delete
	the lognoisevariance of the left-out point in the heteroscedastic
	case (fixes bug #43).

2016-02-16  Stefano Duhamel  <stefano.duhamel@supelec.fr>

	stk_predict_leaveoneout.m: Add a (currently failing) unit test

	* core/stk_predict_leaveoneout.m: Add a (currently failing) unit test.

2016-02-16  Julien Bect  <julien.bect@centralesupelec.fr>

	Get rid of iago/utils/get_lognoisevariance.m

	* iago/utils/get_lognoisevariance.m: Deleted.
	* iago/crit/stk_optim_crit_SUR.m: Do without it.
	* iago/crit/stk_optim_crit_iago.m: Idem.

	Get rid of noise_params_consistency

	* iago/utils/noise_params_consistency.m: Deleted.
	* iago/crit/stk_optim_crit_EI.m: Remove call to noise_params_consistency.
	* iago/crit/stk_optim_crit_SUR.m: Idem.
	* iago/crit/stk_optim_crit_iago.m: Idem.
	* iago/utils/stk_optim_addevals.m: Idem.

	Improve @stk_sampcrit_thresholdbasedoptim class

	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m:
	Add properties threshold_quantile_order (public) and
	theshold_quantile_value (private).  Streamline input arguments processing.
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_quantile_order.m:
	Fast getter for new public property.
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_quantile_order.m:
	Fast setter for new public property.
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_mode.m:
	Rename output argument.
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_value.m:
	Rename output argument.
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_mode.m:
	Fix bug. Accept mixed-case variants of mode string.
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_value.m:
	Fix bug. Implement quantile case.
	* sampling/@stk_sampcrit_thresholdbasedoptim/disp.m:
	Display new public property. Change display layout.
	* sampling/@stk_sampcrit_thresholdbasedoptim/get.m:
	Use direct access to properties whenever possible.
	* sampling/@stk_sampcrit_thresholdbasedoptim/set.m:
	Add new public property.

2016-02-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_relik.m: Add comments

	* paramestim/stk_param_relik.m: Add comments.

	First draft of a class hierarchy for sampling criteria

	* sampling/@stk_sampcrit_base: New class
	* sampling/@stk_sampcrit_base/disp.m: New function
	* sampling/@stk_sampcrit_base/display.m: New function
	* sampling/@stk_sampcrit_base/horzcat.m: New function
	* sampling/@stk_sampcrit_base/stk_sampcrit_base.m: New function
	* sampling/@stk_sampcrit_base/subsasgn.m: New function
	* sampling/@stk_sampcrit_base/subsref.m: New function
	* sampling/@stk_sampcrit_base/vertcat.m: New function
	* sampling/@stk_sampcrit_modelbased: New class
	* sampling/@stk_sampcrit_modelbased/feval.m: New function
	* sampling/@stk_sampcrit_modelbased/get_input_data.m: New function
	* sampling/@stk_sampcrit_modelbased/get_model.m: New function
	* sampling/@stk_sampcrit_modelbased/get_output_data.m: New function
	* sampling/@stk_sampcrit_modelbased/set_model.m: New function
	* sampling/@stk_sampcrit_modelbased/stk_model_update.m: New function
	* sampling/@stk_sampcrit_modelbased/stk_sampcrit_modelbased.m: New function
	* sampling/@stk_sampcrit_singleobjoptim: New class
	* sampling/@stk_sampcrit_singleobjoptim/get_bminimize.m: New function
	* sampling/@stk_sampcrit_singleobjoptim/get_goal.m: New function
	* sampling/@stk_sampcrit_singleobjoptim/set_goal.m: New function
	* sampling/@stk_sampcrit_singleobjoptim/stk_sampcrit_singleobjoptim.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim: New class
	* sampling/@stk_sampcrit_thresholdbasedoptim/disp.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/get.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_mode.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/get_threshold_value.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/set.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_goal.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_model.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_mode.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/set_threshold_value.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_model_update.m: New function
	* sampling/@stk_sampcrit_thresholdbasedoptim/stk_sampcrit_thresholdbasedoptim.m: New function
	* sampling/@stk_sampcrit_ei: New class
	* sampling/@stk_sampcrit_ei/msfeval.m: New function
	* sampling/@stk_sampcrit_ei/stk_sampcrit_ei.m: New function
	* sampling/stk_sampcrit_ehvi_eval.m: New function
	* sampling/stk_sampcrit_ei_eval.m: New function
	* sampling/stk_sampcrit_emmi_eval.m: New function
	* examples/02_design_of_experiments/stk_example_doe03.m: Use a sampling criterion object

2016-02-11  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_lm_polynomial.m: Create polynomial LM object

	* lm/stk_lm_polynomial.m: New function.
	* core/stk_ortho_func.m: Use stk_lm_polynomial.
	* paramestim/stk_param_init.m: Use stk_lm_polynomial.
	* admin/octpkg/INDEX: Add new function to the index.

2016-02-10  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_make_matcov.m: Error message for NaN in covariance parameters

	* core/stk_make_matcov.m: Issue an error message if covariance
	parameters have not been estimated.

	stk_error.m: Use complete names in the stack

	* misc/error/stk_error.m: Use complete names in the stack, to
	obtain better-looking error messages in Matlab.

2016-02-04  Julien Bect  <julien.bect@centralesupelec.fr>

	Provide generic stk_minimize_* functions

	* misc/optim/stk_minimize_boxconstrained.m: Generic
	stk_minimize_boxconstrained function, which accepts a char array
	as first input argument, and provides a generic documentation for
	all stk_minimize_boxconstrained methods.
	* misc/optim/stk_minimize_unconstrained.m: Same thing for
	stk_minimize_unconstrained methods.
	* admin/octpkg/INDEX: Add new functions to the index.

	Workaround for Octave bug #46350 (closes ticket #32)

	* admin/octpkg/patches/workaround-octave-bug-46350.patch: New
	patch that comments some unit tests out.
	* admin/octpkg/patches/series: Add new patch to the series.

	stk_optimscript.m: Fix %!shared blocks

	* iago/stk_optimscript.m: Fix %!shared blocks.

2016-02-02  Julien Bect  <julien.bect@centralesupelec.fr>

	Add some basic support for LOO cross-validation

	* core/@stk_model_gpposterior/stk_predict_leaveoneout.m: New
	function that computes LOO predictions and residuals. Currently
	implemented in a very basic manner (virtual-LOO formulas will be
	implemented later).
	* core/stk_predict_leaveoneout.m: Just a wrapper around the first
	one (very inefficient as it is, since we create a "posterior" that
	we don't really use... but we should).
	* misc/plot/stk_plot_predvsobs.m: New graphical function, to
	visualize predictions versus observations.
	* misc/plot/stk_plot_histnormres.m: New graphical function, to the
	distribution of normalized residuals.
	* examples/01_kriging_basics/stk_example_kb10.m: Example script.
	* stk_example_kb10.m: Add new functions to the index.

	stk_testfun_borehole.m: New test function

	* examples/test_functions/stk_testfun_borehole.m: New test
	function (the "borehole model" response function, from Harper &
	Gupta 1983).
	* admin/octpkg/INDEX: Add new function to the index (hidden for
	now, as the other stk_testfun_* functions, bug perhaps should we
	change that ?).

	@stk_model_gpposterior/disp.m: Fix a bug and improve layout

	* core/@stk_model_gpposterior/disp.m: Fix a bug and (try to)
	improve visual layout.

2016-01-28  Julien Bect  <julien.bect@centralesupelec.fr>

	Rename the output argument in optimizer objects

	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Rename the
	output argument (optimizer object) to 'algo'.
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Idem.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Idem.

2016-01-27  Julien Bect  <julien.bect@centralesupelec.fr>

	Overhaul plotting functions

	* misc/plot/stk_get_axis_arg.m: Rename to stk_plot_getaxisarg
	* misc/plot/stk_plot_getaxisarg.m: Renamed from
	stk_plot_getaxisarg, with some minor modifications along the way.
	* admin/octpkg/INDEX: Update index following function rename.
	* arrays/@stk_dataframe/plot.m: Rewrite to make use of
	stk_plot_getaxisarg.  Rename variable h to h_plot.
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m:
	Rewrite to make use of stk_plot_getaxisarg.  Rename variable
	h_axis to h_axes.
	* arrays/@stk_hrect/axis.m: Rename variable h to h_axes.
	* misc/plot/stk_figure.m: Rename variable h to h_fig.
	* misc/plot/stk_labels.m: Add option axes handle input argument,
	based on stk_plot_getaxisarg.  Return vector of handles to label
	objects.
	* misc/plot/stk_plot1d.m: Rewrite to make use of
	stk_plot_getaxisarg.  Rename variable h to h_plot.
	* misc/plot/stk_plot_shadedci.m: Rewrite to make use of
	stk_plot_getaxisarg.  Rename variable h to h_plot.
	* misc/plot/stk_subplot.m: Rename variable h to h_axes.
	* misc/plot/stk_xlabel.m: Simplify source code by removing the
	possibility of having a vector of axes handles (why did I ever do
	that ?). Fix the confusion between axes handle and label handle.
	Rename output handle h to h_label.
	* misc/plot/stk_ylabel.m: Idem.
	* misc/plot/stk_zlabel.m: Idem.

	@stk_factorialdesign: Return handles from all plot functions

	* arrays/@stk_factorialdesign/surf.m: Return a handle.
	* arrays/@stk_factorialdesign/contour.m: Return a handle.
	* arrays/@stk_factorialdesign/mesh.m: Return a handle.
	* arrays/@stk_factorialdesign/meshc.m: Return a handle.
	* arrays/@stk_factorialdesign/meshz.m: Return a handle.
	* arrays/@stk_factorialdesign/pcolor.m: Return a handle.
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m:
	Return a handle to the plot object just constructed. Also, fix
	some bugs related to the optional axis handle argument.

2016-01-25  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot1d: Accept a handle as optional first argument

	* misc/plot/stk_plot1d.m: Accept a handle as optional first
	argument.

	Remove stk_plot2d (had been deprecated for a while)

	* misc/plot/stk_plot2d.m: Removed (deprecated since 2.2.0)
	* admin/octpkg/INDEX: Remove stk_plot2d from the index
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m:
	Rearrange copyright information.

2016-01-22  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_model_gpposterior: Preserve row and column names

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Preserver
	row and column names in input/output data.
	* core/@stk_model_gpposterior/stk_model_update.m: Idem.
	* core/@stk_model_gpposterior/stk_predict.m: Use double() to
	extract the numerical content of the 'output_data' field.

	stk_optim_init.m: Fix the value of algo.model.dim

	* iago/utils/stk_optim_init.m: Fix the value of algo.model.dim.

	More work on stk_model_gpposterior properties

	* core/@stk_model_gpposterior/get_input_data.m: Rename variable.
	* core/@stk_model_gpposterior/get_output_data.m: Rename variable.
	* core/@stk_model_gpposterior/fieldnames.m: New function.
	* core/@stk_model_gpposterior/set.m: New function.
	* core/@stk_model_gpposterior/subsasgn.m: New function.
	* core/@stk_model_gpposterior/set_lognoisevariance.m: New function.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Accept
	prior model structure with missing 'dim' field.

	Properties input_dim/output_dim for stk_model_gpposterior objects

	* core/@stk_model_gpposterior/get.m: Add new properties
	'input_dim', 'output_dim'. Make 'dim' an alias for 'input_dim'.
	* core/@stk_model_gpposterior/get_dim.m: Rename to
	get_input_dim.m.
	* core/@stk_model_gpposterior/get_input_dim.m: Renamed from
	get_dim.m.
	* core/@stk_model_gpposterior/get_output_dim.m: New function that
	returns the output dimension, currently always one.
	* core/@stk_model_gpposterior/disp.m: Display the new
	properties. Improve the overall display.
	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Remove
	field 'dim'.
	* core/@stk_model_gpposterior/stk_predict.m: Read .dim directly
	from the prior model structure.

2016-01-18  Julien Bect  <julien.bect@centralesupelec.fr>

	New functions to update models with new observations

	* core/@stk_model_gpposterior/stk_model_update.m: New function.
	* core/stk_model_update.m: New function.
	* admin/octpkg/INDEX: Add new functions to the index.

2016-01-16  Julien Bect  <julien.bect@centralesupelec.fr>

	Speed stk_init.

	* stk_init.m: Speed up by reducing the number of calls to addpath.
	* misc/benchmarks/stk_benchmark_init.m: New benchmark script

2015-12-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_maxabscorr.m: Rewrite without using corr

	* misc/design/stk_maxabscorr.m: Rewrite without using corr.
	* stk_init.m (stk_init__config_mole): Remove corr
	* misc/mole/corr/corr.m: Deleted

2015-12-09  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c: Fix a bug in Rlist_extend

	* misc/pareto/private/wfg.c (Rlist_extend): Fix a bug
	* misc/pareto/stk_dominatedhv.m: Add unit tests

2015-12-08  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c: Fix a bug in Rlist_inclhv4

	* misc/pareto/private/wfg.c (Rlist_inclhv4): Fix a bug
	* misc/pareto/stk_dominatedhv.m: Add unit tests

2015-12-03  Julien Bect  <julien.bect@centralesupelec.fr>

	Display a legend in several "kriging basics" examples

	* examples/01_kriging_basics/stk_example_kb01.m: Show legend
	* examples/01_kriging_basics/stk_example_kb02.m: Show legend
	* examples/01_kriging_basics/stk_example_kb04.m: Show legend
	* examples/01_kriging_basics/stk_example_kb09.m: Show legend

	@stk_model_gpposterior: A new class to represent posterior distributions

	* core/@stk_model_gpposterior/stk_model_gpposterior.m: Class
	constructor.
	* core/stk_predict.m: Transfer a large part of the predicition
	code to the method @stk_model_gpposterior/predict.m.
	* core/@stk_model_gpposterior/stk_predict.m: Overload stk_predict.
	* core/@stk_model_gpposterior/disp.m: Overload base function
	* core/@stk_model_gpposterior/display.m: Overload base function
	* core/@stk_model_gpposterior/get.m: Overload base function
	* core/@stk_model_gpposterior/subsref.m: Overload base function
	* core/@stk_model_gpposterior/vertcat.m: Overload base function
	* core/@stk_model_gpposterior/horzcat.m: Overload base function
	* core/@stk_model_gpposterior/get_dim.m: Fast getter
	* core/@stk_model_gpposterior/get_input_data.m: Fast getter
	* core/@stk_model_gpposterior/get_lognoisevariance.m: Fast getter
	* core/@stk_model_gpposterior/get_output_data.m: Fast getter
	* core/@stk_model_gpposterior/get_param.m: Fast getter

2015-11-29  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_isequal_tolrel.m: Bugfix and unit test.

	* misc/test/stk_isequal_tolrel.m: Bugfix and unit test.

2015-11-27  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/stk_sprintf.m: Fix header

	* arrays/@stk_dataframe/stk_sprintf.m: Fix header.

2015-11-25  Julien Bect  <julien.bect@centralesupelec.fr>

	Improve display of size+type information

	* arrays/generic/stk_sprintf_sizetype.m: Accept objects.
	* arrays/@cell/stk_sprintf_sizetype.m: Removed.

	Add minimalist display for stk_kreq objects

	* core/@stk_kreq_qr/disp.m: Overload base function.
	* core/@stk_kreq_qr/display.m: Overload base function.

2015-11-22  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_predict.m: Stop accepting row input vectors in the discrete case

	* core/stk_predict.m: Stop accepting row input vectors in the case
	of discrete models (stk_discretecov covariance function).

2015-11-20  Julien Bect  <julien.bect@centralesupelec.fr>

	arrays/@stk_dataframe: Accept char and cell indices

	* arrays/@stk_dataframe/subsasgn.m: Accept char and cell indices.
	* arrays/@stk_dataframe/subsref.m: Accept char and cell indices.
	* arrays/@stk_dataframe/private/process_cell_indices.m: Process
	cell indices (cell arrays of row/column names).
	* arrays/@stk_dataframe/private/process_char_indices.m: Process
	char indices (row/column name).
	* arrays/@stk_dataframe/private/names_errmsg.m: Error messages for
	incorrect cell indices.

2015-11-19  Julien Bect  <julien.bect@centralesupelec.fr>

	Compatibility with Matlab >= R2014b: graphics handles are objects

	* arrays/@stk_dataframe/stk_dataframe.m: Enforce precedence over
	the matlab.graphics.axis.Axes class.
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Enforce
	precedence over the matlab.graphics.axis.Axes class.
	* arrays/@stk_dataframe/plot.m: Do not assume that graphics
	handles are doubles.
	* misc/plot/stk_plot_shadedci.m: Do not assume that graphics
	handles are doubles.

	stk_optim_fminsearch.m: Do not try to detect fminsearch

	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m: Do not
	try to detect at this point whether fminsearch is available.

2015-11-15  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_init.m: Remove STK's root from the path if needed

	* stk_init.m (stk_init__pkg_unload): Remove STK's root from the
	path if needed.
	(stk_init__rmpath): Remove verbose comment.
	* admin/octpkg/patches/prevent-PKG_DEL-loop.patch: New patch.
	* admin/octpkg/patches/series: Add new patch to the series.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

	stk_init.m: No need to remove other copies of STK from the path

	* stk_init.m (stk_init__rmpath): No need to remove other copies of
	STK from the search path. Even if several copies are on the path,
	only the most recently installed is visible.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.

	Merge config/* functions into stk_init

	* config/stk_config_addpath.m: Replaced by stk_init__addpath.
	* config/stk_config_buildmex.m: Replaced by stk_init__build_mex.
	* config/stk_config_clearpersistents.m: Replaced by
	stk_init__clear_persistents.
	* config/stk_config_getroot.m: Removed.
	* config/stk_config_makeinfo.m: Replaced by stk_init__get_make_info.
	* config/stk_config_mole.m: Replaced by stk_init__config_mole.
	* config/stk_config_path.m: Replaced by stk_init__genpath.
	* config/stk_config_rmpath.m: Replaced by stk_init__rmpath.
	* config/stk_config_setup.m: Merged into stk_init__pk_load.
	* config/stk_config_testprivatemex.m: Replaced by
	stk_init__test_private_mex.
	* stk_runtests.m: Use stk_init genpath.
	* stk_init.m: Integrate config/* functions as subfunctions and
	introduce a public interface that makes it easy to call them
	separately if needed.
	* admin/octpkg/post_install.m: Use stk_init prune_mole.
	* admin/build.m: Edit comment.
	* admin/build_tools/build_octpkg.m: Use stk_init get_make_info.
	* admin/build_tools/get_public_mfile_list.m: Use stk_init genpath.
	* admin/octpkg/patches/prevent-PKG_ADD-loop.patch: Refresh patch.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.
	* admin/octpkg/patches/use-native-test-function.patch: Refresh patch.

2015-11-14  Julien Bect  <julien.bect@centralesupelec.fr>

	build_octpkg.m: Forced pop of quilt patches if an error occurs

	* admin/build_tools/build_octpkg.m: Forced pop of quilt patches if
	an error occurs.

2015-11-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_config_path.m: Do not include STK's root in the list

	* config/stk_config_path.m: Do not include STK's root in the list.
	* config/stk_config_addpath.m: Rephrase one-line help text.
	* stk_init.m: Add STK's root to the path.
	* admin/octpkg/patches/remove-testprivatemex.patch: Refresh patch.
	* admin/octpkg/patches/prevent-PKG_ADD-loop.patch: Modify patch.
	* admin/octpkg/patches/remove-buildmex.patch: Refresh patch.

2015-11-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_kb09.m: Show legend

	* examples/01_kriging_basics/stk_example_kb09.m: Show legend.

	stk_plot1d.m: Do not create a legend for conditional simulations

	* misc/plot/stk_plot1d.m: Prevent the automatic creation of a
	legend when the array of conditional simulations has column names,
	since stk_plot1d already creates a global legend for all of its
	graphical elements (the two are not compatible).

	Include stk_runtests in the Octave package release

	* admin/build_tools/build_octpkg.m: Do not ignore stk_runtests and
	stk_tests when processing directories.
	* admin/octpkg/INDEX: Add stk_runtests to the INDEX.
	* admin/octpkg/patches/use-native-test-function.patch: Remove
	stk_tests, and skrink stk_runtests to a simple wrapper around
	__run_test_suite__.
	* admin/octpkg/patches/series: Add new patch.

2015-11-11  Julien Bect  <julien.bect@centralesupelec.fr>

	sqp_quadprog.m: Bypass unit test if quadprog is not available

	* misc/optim/@stk_optim_octavesqp/private/sqp_quadprog.m: Bypass
	unit test if quadprog is not available.

	Use quilt patches instead of the STK_OCTAVE_PACKAGE variable

	* .hgignore: Ignore quilt's .pc directory
	* admin/build_tools/build_octpkg.m: Add .pc to the list of ignored
	directories. Add a quilt push/pop pair around
	process_directory. Remove STK_OCTAVE_PACKAGE stuff.
	* admin/build_tools/get_public_mfile_list.m: Add root the list
	returned by stk_config_path.
	* config/stk_config_path.m: Remove STK_OCTAVE_PACKAGE stuff.
	* stk_init.m: Remove STK_OCTAVE_PACKAGE stuff.
	* admin/octpkg/patches/prevent-PKG_ADD-loop.patch: Patch for
	stk_config_path to avoid PKG_ADD loop.
	* admin/octpkg/patches/remove-buildmex.patch: Patch that removes
	MEX-file building from stk_init (a Makefile is used instead in the
	Octave package release). Removes stk_config_buildmex and
	stk_config_makeinfo as well.
	* admin/octpkg/patches/remove-testprivatemex.patch: Patch that
	removes all the code related to testing if MEX-file in private
	directories are detected (since MEX-files are no longer in private
	directories in the Octave package release).
	* admin/octpkg/patches/series: Ordered list of patches.

	check_index_file.m: Fix a bug (column cell-arrays)

	* admin/build_tools/check_index_file.m (parse_index_file): Make
	sure that 'ignored' and 'indexed' are formatted as *column*
	cell-arrays; otherwise, check_index_file fails on vertcat
	operations.

2015-11-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Hide experimental IAGO implementation in the INDEX

	* admin/octpkg/INDEX: hide experimental IAGO implementation

	Ignore IAGO design notes when building Octave package

	* iago/NOTES.temp: Renamed to DESIGN-NOTES.md
	* iago/DESIGN-NOTES.md: Renamed from NOTES.temp and converted to md
	* admin/build_tools/build_octpkg.m: Ignore DESIGN-NOTES.md

2015-11-06  Julien Bect  <julien.bect@centralesupelec.fr>

	Makefile: Fix 'clean' target (tab instead of spaces)

	* admin/octpkg/Makefile: Fix 'clean' target (tabs instead of
	spaces)

2015-10-30  Julien Bect  <julien.bect@centralesupelec.fr>

	Decrease unit test verbosity

	* arrays/@stk_dataframe/double.m: decrease unit test verbosity.
	* arrays/@stk_dataframe/sort.m: idem
	* arrays/@stk_dataframe/subsasgn.m: idem
	* arrays/@stk_factorialdesign/fieldnames.m: idem
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: idem
	* arrays/@stk_hrect/horzcat.m: idem
	* misc/text/stk_sprintf_colvect_scientific.m: idem
	* paramestim/stk_param_gls.m: idem

	Add a 'clean' target to the Octave package Makefile

	* admin/octpkg/Makefile: Add a 'clean target'.

2015-10-22  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_hrect/subsref.m: Return an stk_hrect object if possible

	* arrays/@stk_hrect/subsref.m: Make sure that the returned value
	is still an stk_hrect object when the number of rows (which is
	two) is unchanged.

	@stk_hrect/ismember.m: Optimize for speed

	* arrays/@stk_hrect/ismember.m: Optimize for speed

	@stk_hrect/ismember.m: Fix two bugs

	* arrays/@stk_hrect/ismember.m: Fix a bug that prevented ismember
	from working on more than one point at a time, and another bug
	in the case where B is not an stk_hrect object (it was incorrectly
	assumed to be an stk_dataframe in this case).

2015-10-11  Julien Bect  <julien.bect@centralesupelec.fr>

	mole/matlab/file_in_path.m: Fix two bugs

	* misc/mole/matlab/file_in_path.m: Fix two bugs.

2015-10-10  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_example_doe03.m: Use the appropriate flag for maximization

	* examples/02_design_of_experiments/stk_example_doe03.m: Use the
	appropriate flag for maximization. Also, use stk_plot1d for the
	upper panel plot to display pointwise credible intervals.

2015-09-30  Julien Bect  <julien.bect@centralesupelec.fr>

	Bring Octave's sqp inside STK.

	* misc/optim/@stk_optim_octavesqp/private/sqp_quadprog.m: New
	function based on Octave's sqp function, with minor modifications
	to be usable under Matlab with quadprog instead of qp.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m: Complete
	rewrite. A 'qp_solver' option is added for the choice between 'qp',
	which is Octave's core qp solver, and 'quadprog', which is
	available from Mathworks' Optimization toolbox or from MOSEK.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_boxconstrained.m:
	Make it possible to use either Octave's sqp or our sqp_quadprog (a
	handle to the function to be used is stored in algo.sqp).
	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Do not try to
	check if fmincon is present or not (this can be done using
	stk_optim_testmin_box).
	* misc/optim/stk_optim_testmin_box.m: Simple test to check that a
	given box-constrained optimizer actually works.
	* misc/optim/stk_optim_testmin_unc.m: Simple test to check that a
	given unconstrained optimizer actually works.
	* misc/optim/stk_optim_hasfmincon.m: Deprecated function..
	* misc/optim/stk_select_optimizer.m: Deprecated function.
	* misc/options/stk_options_set.m: Rewrite optimizer selection
	logic. Shorten some option names.
	* paramestim/stk_param_estim.m: Use shortened option names.
        * INDEX: Add new functions and classes.
	* misc/optim/@stk_optim_octavesqp/private/sqp_quadprog_testf.m:
 	Used in sqp_quadprog unit tests.
	* misc/optim/@stk_optim_octavesqp/private/sqp_quadprog_testg.m:
  	Used in sqp_quadprog unit tests.

2015-09-25  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_getdefaultbounds: Documentation needed

	* paramestim/stk_param_getdefaultbounds.m: This function is not
	marked as "STK internal" any more, since this is obviously the
	right place to document how default bounds can be specified for
	user-defined functions. Documentation needed.

	stk_plot1d.m: Create a hidden legend and return a struct of handles

	* misc/plot/stk_plot1d.m: Create a hidden legend, wich can be
	displayed using lgend ('show'), and return a struct of handles to
	make it possible to modify the plot more easily.

	Don't use UTF-8 in m-files

	* misc/design/stk_phipcrit.m: Müller -> Muller
	* misc/dist/stk_filldist.m: Idem
	* misc/dist/stk_filldist_exact.m: Idem

2015-09-25  Rémi Stroh  <remi.stroh@lne.fr>

	stk_param_getdefaultbounds: new feature to define default bounds

	* paramestim/stk_param_getdefaultbounds.m: make it possible to
	define default bounds on parameters for user-defined covariance
	functions.

2015-09-21  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_shadedci.m: Do not call set (h, opt{:}) when opt is empty

	* misc/plot/stk_plot_shadedci.m: Do not call set (h, opt{:}) when
	opt is empty (it makes Octave display all the settings of the
	object with handle h, which was not intended).

2015-09-20  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_plot_shadedci.m: Accept a handle as first input argument.

	* misc/plot/stk_plot_shadedci.m: Accept a handle to an axes object
	as (optional) first input argument and accepts additional
	key-value pairs as well.

	stk_plot1d.m: Fill in DisplayName properties

	* misc/plot/stk_plot1d.m: Fill in the DisplayName properties for
	all the components of the plot, thus making it possible to create
	a legend automatically using: legend ('show').

2015-09-19  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/plot.m: Return vector of handles

	* arrays/@stk_dataframe/plot.m: Return vector of handles

	stk_plot_shadedci.m: Delete invisible area object, return a handle

	* misc/plot/stk_plot_shadedci.m: Delete invisible area object and
	return a handle to the visible one.

2015-09-15  Julien Bect  <julien.bect@centralesupelec.fr>

	README: Fix a typo

	* README: Fix a typo

2015-09-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Improve error message

	* paramestim/stk_param_init.m: Improve error message for
	unsupported covariance functions by reporting the original error
	message.

2015-08-14  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dominatedhv.m: Tolerate points that do not dominate the ref

	* misc/pareto/stk_dominatedhv.m: Tolerate points that do not
	dominate the reference point.

2015-08-13  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_dominatedhv can now return a decomposition in hyper-rectangles

	* misc/pareto/private/wfg.c (Rlist_hv, Rlist_hv2, Rlist_inclhv)
	(Rlist_inclhv2, Rlist_inclhv3, Rlist_inclhv4, Rlist_exclhv)
	(wfg_compute_decomposition): For each original WFG function that
	returns an hypervolume valume, provide a function that return the
	corresponding decomposition as a collection of signed overlapping
	hyper-rectangles (RLIST structure).
	(Rlist_alloc, Rlist_extend, Rlist_free): Memory management for
	RLIST structures.
	* misc/pareto/private/wfg.h: Define RLIST structure and declare
	some associated functions.
	* misc/pareto/private/stk_dominatedhv_mex.c (compute_hv): Use
	size_t instead of int for unsigned indices.
	(compute_decomposition): New function, similar to compute_hv, but
	return the decomposition instead of the hypervolume value.
	(mexFunction): Use size_t instead of int for unsigned indices. Add
	second input argument to select between computing the hypervolume
	value and computing the decomposition.
	* misc/pareto/stk_dominatedhv.m: Add optional input argument to
	select whether the decomposition into overlapping hyper-rectangles
	must be returned (instead of the hypervolume only). Add unit
	tests.

        stk_mex.h: Define bool type

	* misc/include/stk_mex.h: Define bool type.

2015-08-05  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c (hv): Code simplification

	* misc/pareto/private/wfg.c (hv): Factorize some code for the
	cases n == 3 and n >= 4.

	wfg.c (inclhv4): Put all declarations at the beginning

	* misc/pareto/private/wfg.c (inclhv4): Put all variable
	declarations at the beginning of the function (strict ANSI C).

2015-07-20  Julien Bect  <julien.bect@centralesupelec.fr>

	Use size_t for computations on positive indices

	* misc/dist/private/stk_dist_matrixx.c: Use size_t for
	computations on positive indices, otherwise we can get very
	unpleasant surprises (aka segfaults) as a consequence of negative
	indices...
	* misc/dist/private/stk_dist_matrixy.c: idem
	* misc/dist/private/stk_dist_pairwise.c: idem
	* misc/dist/private/stk_filldist_discr_mex.c: idem
	* misc/dist/private/stk_gpquadform_matrixx.c: idem
	* misc/dist/private/stk_gpquadform_matrixy.c: idem
	* misc/dist/private/stk_gpquadform_pairwise.c: idem
	* misc/dist/private/stk_mindist_mex.c: idem

2015-07-10  Julien Bect  <julien.bect@centralesupelec.fr>

	Introduce optimizer objects.

	* misc/optim/@stk_optim_fmincon/stk_optim_fmincon.m: Constructor
	for fmincon algorithm objects.
	* misc/optim/@stk_optim_fminsearch/stk_optim_fminsearch.m:
	Constructor for fminsearch algorithm objects.
	* misc/optim/@stk_optim_octavesqp/stk_optim_octavesqp.m:
	Constructor for Octave SQP algorithm objects.
	* misc/optim/@stk_optim_fmincon/stk_minimize_boxconstrained.m:
	Box-constrained optimization with fmincon.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_boxconstrained.m:
	Box-constrained optimization with sqp.
	* misc/optim/@stk_optim_octavesqp/stk_minimize_unconstrained.m:
	Unconstrained optimization with sqp.
	* misc/optim/@stk_optim_fminsearch/stk_minimize_unconstrained.m:
	Unconstrained optimization with fminsearch.
	* paramestim/stk_param_estim.m: Big cleanup thanks to the new
	system of algorithm classes.
	* misc/options/stk_options_set.m: Select default optimization
	algorithms. This was previously done in stk_select_optimizer.
	Also, remove the option 'optim_display_level' for stk_param_estim.
	* config/stk_config_setup.m: Remove call to stk_select_optimizer.
	* misc/optim/stk_select_optimizer.m: Deprecated.
	* misc/optim/stk_optim_hasfmincon.m: Deprecated.
	* config/stk_config_clearpersistents.m: Remove
	stk_optim_hasfmincon and stk_select_optimizer from the list of
	functions to be cleared. Add stk_optim_fmincon.
	* admin/octpkg/INDEX: Remove stk_select_optimizer from the index.

2015-06-30  Julien Bect  <julien.bect@centralesupelec.fr>

	build_octpkg.m:	Fix the generated DESCRIPTION file

	* admin/build_tools/build_octpkg.m: Add "Depends: octave (>=
	3.2.2)" and "Autoload: no" to the generated DESCRIPTION file.

2015-06-25  Emmanuel Vazquez  <emmanuel.vazquez@centralesupelec.fr>

	@stk_kreq_qr/get.m: Fix a call to dot ()

	* core/@stk_kreq_qr/get.m: Fix a call to dot () to make it work
	when there is only one observation.

2015-06-25  Rémi Stroh  <remi.stroh@lne.fr>

	stk_param_estim.m: Fix a bug related to parameter objects.

	* paramestim/stk_param_estim.m (provide_param0_value): Fix a bug
	related to parameter objects. More precisely, use (:) indexing
	systematically to access the vector of numerical parameters
	corresponding to a given parameter object.

	@stk_factorialdesign/stk_normalize.m: Add missing line continuation mark

	* arrays/@stk_factorialdesign/stk_normalize.m: Add missing line
	continuation mark.

2015-06-25  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: XXXX_param_init (undocumented feature)

	* paramestim/stk_param_init.m: make it possible to define a
	XXXX_param_init function that provides initial estimates for a
	user-defined covariance function called XXXX (undocumented
	feature).

2015-06-24  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_param_init.m: Removed unused variable.

	* paramestim/stk_param_init.m: Removed unused variable.

	stk_param_getdefaultbounds.m: Return [] for parameter classes

	* paramestim/stk_param_getdefaultbounds.m: Return empty lower and
	upper bounds for parameter classes that do not implement the
	stk_param_getdefaultbounds.

2015-06-17  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg: Remove n from the global scope

	* misc/pareto/private/wfg.c:: Remove n from the global scope. Add
	new helper functions to encapsulate basic operations on fronts:
	wfg_front_init, wfg_front_destroy, wfg_front_resize.
	* misc/pareto/private/wfg.h: Declare the new functions.
	* misc/pareto/private/stk_dominatedhv_mex.c: Use the new functions.

	wfg.c: Pass pointers to FRONT structures

	* misc/pareto/private/wfg.c: Pass pointers to FRONT structures.

2015-06-16  Julien Bect  <julien.bect@centralesupelec.fr>

	check_index_file.m: Fix error handling.

	* admin/build_tools/check_index_file.m: Fix error handling.

	Use PKG_ADD/PKG_DEL directives in the Octave package.

	* stk_init.m: Add PKG_ADD/PKG_DEL directives. Also, add an
	optional input argument 'do_quit'; when it is true, stk_init
	removes STK from the path.
	* admin/build_tools/build_octpkg.m: No more PKG_ADD/PKG_DEL
	files. They are replaced by corresponding directives in
	stk_init.m, which is no longer renamed to PKG_ADD. Also, there are
	now two STK_OCTAVE_PACKAGE variables to set (one in stk_init.m,
	the other one in stk_config_rmpath.m).
	* admin/build_tools/check_index_file.m: No need to warry about
	PKG_ADD.m ad PKG_DEL.m anymore.
	* admin/octpkg/post_install.m: Idem.
	* admin/octpkg/INDEX: Add stk_init to the INDEX.
	* config/stk_config_path.m: Do not look for PKG_ADD to detect
	Octave package mode, since there no longer is a PKG_ADD
	file. Instead, rely on a hard-coded STK_OCTAVE_PACKAGE variable,
	which is modified at build time by build_octpkg (similarly to the
	one in stk_init).
	* config/stk_config_rmpath.m: Modify comment.
	* config/stk_config_addpath.m: Modify comment.
	* admin/octpkg/PKG_DEL.m: Removed. Instead, a PKD_DEL directive
	has been inserted in stk_init.

2015-06-15  Julien Bect  <julien.bect@centralesupelec.fr>

	Avoid unnecessary calls to stk_commonsize.

	* misc/distrib/stk_distrib_bivnorm_cdf.m: Avoid unnecessary calls
	to stk_commonsize.
	* misc/distrib/stk_distrib_normal_cdf.m: Idem.

2015-06-12  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_commonsize.m: Avoid unnecessary calls to repmat.

	* arrays/generic/stk_commonsize.m: Avoid unnecessary calls to
	repmat.

2015-06-11  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_commonsize.m: Accept empty dimensions

	* arrays/generic/stk_commonsize.m: Accept empty dimensions, under
	the condition that all input arguments have the same empty
	dimensions (in which case the result is empty).

2015-06-10  Julien Bect  <julien.bect@centralesupelec.fr>

	@stk_dataframe/subsasgn.m: Preserve column names when deleting rows

	* arrays/@stk_dataframe/subsasgn.m: Preserve column names when
	deleting rows, even if the resulting array is empty.

2015-06-02  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c: Improve portability again

	* misc/pareto/private/wfg.c: Improve portability again. Now all
	variables are declared at the beginning of functions (as required
	by the C89 standard). And some unused headers have been removed,
	too.

2015-05-29  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_distrib_bivnorm_cdf.m: Bugfix

	* misc/distrib/stk_distrib_bivnorm_cdf.m: Fix a bug in the case of
	mixtures of singular and non-singular cases. Add unit test.

2015-05-28  Julien Bect  <julien.bect@centralesupelec.fr>

	wfg.c: Remove C99-specific code (stdbool.h).

	* misc/pareto/private/wfg.c: Remove C99-specific code (stdbool.h).

2015-05-27  Julien Bect  <julien.bect@centralesupelec.fr>

	stk_pmisclass.m: Compute the probability of misclassification

	* utils/stk_pmisclass.m: New function to compute the probability
	of misclassification with respect to a given threshold (either the
	current probability of misclassification or the expectation of the
	future probability of misclassification).
	* examples/02_design_of_experiments/stk_example_doe04.m: Example
	script that demonstrates the use of stk_pmisclass ().

	stk_dominatedhv.m: New function to compute dominated hypervolumes.

	* misc/pareto/stk_dominatedhv.m: New function to compute
	dominated hypervolumes, which uses WFG 1.10 internally
	* misc/pareto/private/stk_dominatedhv_mex.c: MEX-file wrapper for WFG
	* admin/octpkg/INDEX: Add new function to the index
	* admin/octpkg/Makefile: Add new MEX-file to the Makefile
	* config/stk_config_makeinfo.m:Add new MEX-file to the build list

	Import WFG 1.10.

	* misc/pareto/private/wfg.c: Main WFG source file, with minor changes
	* misc/pareto/private/wfg.h: Main WFG header, with minor changes
	* misc/pareto/private/wfg.README: WFG README + ChangeLog + Copyright
	* admin/build_tools/build_octpkg.m: Ignore wfg.README.

	Make it possible to have several source files for one MEX.

	* config/stk_config_buildmex.m: Make it possible to have several
	source files for one MEX.
	* config/stk_config_makeinfo.m: Existing MEX-files do not have any
	additional source file.

	Move Pareto-related functions to misc/pareto.

	* arrays/generic/private/stk_isdominated_mex.c: moved from
	* misc/pareto/private/stk_isdominated_mex.c: moved to
	* arrays/generic/private/stk_paretofind_mex.c: moved from
	* misc/pareto/private/stk_paretofind_mex.c: moved to
	* arrays/generic/stk_isdominated.m: moved from
	* misc/pareto/stk_isdominated.m: moved to
	* arrays/generic/stk_paretofind.m: moved from
	* misc/pareto/stk_paretofind.m: moved to
	* admin/octpkg/INDEX: Create a dedicated section in the index
	* config/stk_config_makeinfo.m: Update make info
	* config/stk_config_path.m: Add new directory to the path

2015-05-24  Julien Bect  <julien.bect@centralesupelec.fr>

	Clear persistent variables in stk_init

	* config/stk_config_clearpersistents.m: New function that unlocks
	all possibly mlock-ed STK files and clears all STK functions that
	contain persistent variables.
	* stk_init.m: Call stk_config_clearpersistents.
	* admin/RELEASE.md: Update release instructions.

2015-05-20  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe/set.m: Fix stk_error calls (missing mnemonic)

	* arrays/@stk_dataframe/set.m: Fix stk_error calls (missing mnemonic)

	stk_param_estim.m: Make sure that lnv0 falls within the bounds

	* paramestim/stk_param_estim.m (get_default_bounds_lnv): Make sure
	that lnv0 falls within the bounds returned by get_default_bounds_lnv.

2015-05-19  Julien Bect  <julien.bect@supelec.fr>

	stk_optim_hasfmincon.m: Improve fmincon detection

	* misc/optim/stk_optim_hasfmincon.m: Try to use fmincon to check
	that it is there, instead of relying on the result of the exist
	function (closes ticket #30).

2015-05-17  Julien Bect  <julien.bect@supelec.fr>

	admin/octpkg/Makefile: Use $(MKOCTFILE) if defined

	* admin/octpkg/Makefile: Use $(MKOCTFILE) if defined

	stk_runtests.m: Make sure that all Octave warnings are disabled

	* misc/test/stk_runtests.m: Make sure that all Octave warnings are
	disabled

	Fix %!shared blocks in unit tests.

	* arrays/@stk_hrect/stk_normalize.m: Fix unit test.
	* arrays/generic/stk_feval.m: Fix unit test.

2015-04-22  Julien Bect  <julien.bect@supelec.fr>

	Improve indexing (subasgn/subsref) for stk_dataframe objects.

	* arrays/@stk_dataframe/subsasgn.m: Preserve row names and column
	names when it is possible (closes ticket #21).
	* arrays/@stk_dataframe/subsref.m: Allow for several levels of
	indexing in the case of ()-indexing.

	stk_dataframe.m: Add help text

	* arrays/@stk_dataframe/stk_dataframe.m: Add help text (closes
	ticket #26).

2015-04-21  Julien Bect  <julien.bect@supelec.fr>

	stk_hrect.m: Add help text

	* arrays/@stk_hrect/stk_hrect.m: Add help text (closes ticket #27).

2015-04-20  Julien Bect  <julien.bect@supelec.fr>

	stk_boundingbox.m: Add doc and overload for several classes (ticket #28)

	* arrays/generic/stk_boundingbox.m: Add doc. Handle plain arrays only.
	* arrays/@stk_dataframe/stk_boundingbox.m: Overload.
	* arrays/@stk_factorialdesign/stk_boundingbox.m: Overload.
	* arrays/@stk_hrect/stk_boundingbox.m: Overload.
	* arrays/@struct/stk_boundingbox.m: Overload.

2015-04-05  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Update documentation.

	* stk_feval.m: Update documentation.

2015-03-11  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Implement vectorized calls and use them by default.

	* arrays/generic/stk_feval.m: Implement vectorized calls and use them by
	default.
	* paramestim/stk_param_relik.m: Fix unit test.

	Fix progress indicator in stk_feval.

	* arrays/generic/stk_feval.m: Restore the progress indicator.
	* misc/text/stk_disp_progress.m: Fix progress message.

2015-03-04  Julien Bect  <julien.bect@supelec.fr>

	stk_distrib_normal_cdf.m: Fix the zero-variance case

	* misc/distrib/stk_distrib_normal_cdf.m: Fix the zero-variance
	case. Add unit tests.

	Fix bugs in stk_distrib_*_ei functions.

	* misc/distrib/stk_distrib_normal_ei.m: Fix bug (input argument
	"minimize" was not properly taken into account).
	* misc/distrib/stk_distrib_student_ei.m: Fix bug (input argument
	"minimize" was not properly taken into account).

2015-02-21  Julien Bect  <julien.bect@supelec.fr>

	Optimize for speed

	* misc/distrib/stk_distrib_normal_cdf.m: Optimize for speed
	* covfcs/stk_gausscov_aniso.m: Optimize for speed
	* covfcs/stk_materncov32_aniso.m: Optimize for speed
	* covfcs/stk_materncov52_aniso.m: Optimize for speed
	* covfcs/stk_materncov_aniso.m: Optimize for speed

2015-02-18  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Do not return an stk_dataframe object systematically

	* arrays/generic/stk_feval.m: Return an stk_dataframe object only
	if the input x itself is an stk_dataframe object.

	Optimize for speed (and fix a tiny bug)

	* arrays/@stk_dataframe/stk_dataframe.m: Optimize for speed
	* arrays/@stk_dataframe/set.m: Optimize for speed (and fix a tiny bug)
	* arrays/@stk_dataframe/horzcat.m: Optimize for speed
	* arrays/@stk_dataframe/vertcat.m: Optimize for speed
	* arrays/@stk_dataframe/subsref.m: Optimize for speed
	* arrays/generic/stk_feval.m: Optimize for speed

2015-02-17  Julien Bect  <julien.bect@supelec.fr>

	Initialize model.param with NaNs.

	* core/stk_model.m: Initialize model.param with NaNs.
	* core/stk_predict.m: Fix unit tests.
	* covfcs/stk_discretecov.m: Fix unit tests.
	* covfcs/stk_gausscov_aniso.m: Fix unit tests.
	* covfcs/stk_gausscov_iso.m: Fix unit tests.
	* covfcs/stk_materncov32_aniso.m: Fix unit tests.
	* covfcs/stk_materncov32_iso.m: Fix unit tests.
	* covfcs/stk_materncov52_aniso.m: Fix unit tests.
	* covfcs/stk_materncov52_iso.m: Fix unit tests.
	* covfcs/stk_materncov_aniso.m: Fix unit tests.
	* covfcs/stk_materncov_iso.m: Fix unit tests.
	* utils/stk_conditioning.m: Fix unit tests.
	* utils/stk_generate_samplepaths.m: Fix unit tests.

2015-02-11  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Accept any object that implement feval

	* arrays/generic/stk_feval.m: Accept any object that implement
	feval (not just strings and function handles).

2015-02-10  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Fix backward compatibility issues

	* arrays/generic/stk_feval.m: Fix backward compatibility
	issue. Old-style STK structures, where the data is contained in a
	field named 'a', were not dealt with properly. Add unit test.
	* core/stk_predict.m: Convert xi to double (same reason).
	* paramestim/stk_param_estim.m: Convert zi to double (same reason).
	* arrays/@struct/stk_length.m: New function.

2015-02-09  Julien Bect  <julien.bect@supelec.fr>

	stk_hrect.m: Provide default constructor

	* arrays/@stk_hrect/stk_hrect.m: Provide default constructor

2015-02-04  Julien Bect  <julien.bect@supelec.fr>

	Overload uplus, uminus for stk_dataframe objects.

	* arrays/@stk_dataframe/uminus.m: Overload uminus.
	* arrays/@stk_dataframe/uplus.m: Overload uplus.
	* arrays/@stk_factorialdesign/uminus.m: Overload uminus.

	stk_feval.m: Accept multivariate outputs (closes #20)

	* arrays/generic/stk_feval.m: Accept functions with multivariate
	outputs (i.e., outputs with several columns). Improve the
	construction of the output dataframe (column names). Add unit
	tests.

	stk_feval.m: Fix a bug related to column names

	* arrays/generic/stk_feval.m: Fix a bug related to column names.

2015-02-03  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe/apply, min, max: Return more than one output argument

	* arrays/@stk_dataframe/apply.m: Return more than one output argument
	* arrays/@stk_dataframe/max.m: Return more than one output argument
	* arrays/@stk_dataframe/min.m: Return more than one output argument

	stk_param_relik.m: Improve the computation of G = W' * K * W

	* paramestim/stk_param_relik.m: Compute G = W' * K * W in such a
	way that the result is always (?) symmetric.

2015-01-28  Julien Bect  <julien.bect@supelec.fr>

	stk_predict.m: Compute lambda_mu and RS only when necessary

	* core/stk_predict.m: Compute lambda_mu and RS only when
	necessary, depending on the number of output arguments. Add unit
	tests.

	stk_param_init.m: Handle the heteroscedastic case

	* paramestim/stk_param_init.m: Handle the heteroscedastic case
	with known variance properly. Error in the heteroscedastic case
	with unknown variance. Add unit tests.

2015-01-27  Julien Bect  <julien.bect@supelec.fr>

	stk_param_init.m: Fix a bug.

	* paramestim/stk_param_init.m (paraminit_): Fix a bug.

2015-01-25  Julien Bect  <julien.bect@supelec.fr>

	stk_dataframe.m: Make sure that the output is an stk_dataframe

	* arrays/@stk_dataframe/stk_dataframe.m: Make sure that the output
	is an stk_dataframe object. Add unit tests.

2015-01-24  Julien Bect  <julien.bect@supelec.fr>

	Overload a few base functions for stk_dataframe objects

	* arrays/@stk_dataframe/sort.m: Overload base function
	* arrays/@stk_dataframe/mtimes.m: Overload base function

2015-01-23  Julien Bect  <julien.bect@supelec.fr>

	stk_conditioning.m: Overload for stk_dataframe objects

	* arrays/@stk_dataframe/stk_conditioning.m: Overload
	stk_conditioning for stk_dataframe inputs. The output is an
	stk_dataframe object if either LAMBDA or ZSIM is an stk_dataframe
	object.
	* utils/stk_conditioning.m: Do not convert the output into an
	stk_dataframe object.

	stk_generate_samplepaths.m: Overload for stk_dataframe objects

	* arrays/@stk_dataframe/stk_generate_samplepaths.m: Overload
	stk_generate_samplepaths for stk_dataframe inputs. The output is
	always an stk_dataframe object.
	* utils/stk_generate_samplepaths.m: Simplify the code using the
	assumption that none of the inputs is an stk_dataframe object. The
	output is an stk_dataframe object if and only if
	model.response_name exists and is a non-empty string.

2015-01-21  Julien Bect  <julien.bect@supelec.fr>

	stk_feval.m: Various improvements.

	* arrays/generic/stk_feval.m: Update documentation. Try to make
	the code clearer. Use stk_disp_progress.

	stk_disp_progress.m: Display a progress indicator.

	* misc/text/stk_disp_progress.m: New function that displays a
	textual progress indicator.

2015-01-21  Emmanuel Vazquez  <emmanuel.vazquez@supelec.fr>

	stk_feval.m: Generalize to the case of a cell array of functions

	* arrays/generic/stk_feval.m: Generalize to the case of a cell
	array of functions (ticket #19 closed).

2015-01-08  Julien Bect  <julien.bect@supelec.fr>

	Improve conditional simulation examples.

	* examples/01_kriging_basics/stk_example_kb05.m: Add documentation.
	* examples/01_kriging_basics/stk_example_kb09.m: New example.

	stk_generate_samplepaths.m: Fix conditioning on noisy observations

	* utils/stk_generate_samplepaths.m: Fix conditioning on noisy
	observations, which was not implemented properly until now.

	stk_conditioning.m: Implement conditioning on noisy observations

	* utils/stk_conditioning.m: Simulate sample paths conditioned on
	noisy observations when the additional NOISE_SIM argument is
	provided.

2015-01-07  Julien Bect  <julien.bect@supelec.fr>

	stk_generate_samplepaths.m: Do not simulate observation noise.

	* utils/stk_generate_samplepaths.m: Do not add observation noise
	to the generated sample paths. This is consistent with
	stk_predict, which returns posterior variances for the unknown
	function, not for future noisy observations.

2014-12-31  Julien Bect  <julien.bect@supelec.fr>

	Accept empty dim in sampling functions.

	* sampling/stk_sampling_halton_rr2.m: Accept empty dim argument
	when box is provided, in which case dim is guessed from the
	dimension of box if provided, and defaults to one otherwise.
	* sampling/stk_sampling_maximinlhs.m: Idem.
	* sampling/stk_sampling_olhs.m: Idem.
	* sampling/stk_sampling_randomlhs.m: Idem.
	* sampling/stk_sampling_randunif.m: Idem.
	* sampling/stk_sampling_regulargrid.m: Idem.

	Use @stk_hrect objects wherever it is useful (work in progress).

	* examples/01_kriging_basics/stk_example_kb03.m: Use @stk_hrect.
	* examples/02_design_of_experiments/stk_example_doe03.m: Use @stk_hrect.
	* misc/test/stk_is_lhs.m: Use @stk_hrect.
	* paramestim/stk_param_init.m: Use @stk_hrect.
	* sampling/stk_sampling_halton_rr2.m: Use @stk_hrect.
	* sampling/stk_sampling_maximinlhs.m: Use @stk_hrect.
	* sampling/stk_sampling_olhs.m: Use @stk_hrect.
	* sampling/stk_sampling_randomlhs.m: Use @stk_hrect.
	* sampling/stk_sampling_randunif.m: Use @stk_hrect.
	* sampling/stk_sampling_regulargrid.m: Use @stk_hrect.

	A few additional methods for the @stk_dataframe class.

	* arrays/@stk_dataframe/diff.m: Overload base function.
	* arrays/@stk_dataframe/ismember.m: Overload base function.
	* arrays/@stk_dataframe/xlim.m: Overload base function.
	* arrays/@stk_dataframe/ylim.m: Overload base function.

	Overhaul stk_normalize and stk_rescale functions.

	* arrays/@stk_dataframe/stk_normalize.m: Overhaul.
	* arrays/@stk_dataframe/stk_rescale.m: Overhaul.
	* arrays/@stk_factorialdesign/stk_normalize.m: Overhaul.
	* arrays/@stk_factorialdesign/stk_rescale.m: Overhaul.
	* arrays/generic/stk_normalize.m: Overhaul.
	* arrays/generic/stk_rescale.m: Overhaul.

	stk_boundingbox.m: New function to create bounding boxes.

	* arrays/generic/stk_boundingbox.m: New function to create
	bounding boxes as @stk_hrect object.
	* admin/octpkg/INDEX: Add new functions to the index.

	New @stk_hrect class to represent hyper-rectangles.

	* arrays/@stk_hrect/stk_hrect.m: Constructor for the new
	@stk_hrect class.
	* arrays/@stk_hrect/axis.m: Overload base function.
	* arrays/@stk_hrect/disp.m: Overload base function.
	* arrays/@stk_hrect/display.m: Overload base function.
	* arrays/@stk_hrect/get.m: Overload base function.
	* arrays/@stk_hrect/horzcat.m: Overload base function.
	* arrays/@stk_hrect/ismember.m: Overload base function.
	* arrays/@stk_hrect/stk_normalize.m: Overload STK function.
	* arrays/@stk_hrect/stk_rescale.m: Overload STK function
	* arrays/@stk_hrect/subsasgn.m: Overload base function.
	* arrays/@stk_hrect/subsref.m: Overload base function.
	* arrays/@stk_hrect/vertcat.m: Overload base function.
	* admin/octpkg/INDEX: Add new functions to the index.

	Improve plot helper functions.

	* misc/plot/stk_get_axis_arg.m: New function to help handling the
	options axes argument that most plotting functions have.
	* misc/plot/stk_xlabel.m: Use stk_get_axis_arg.
	* misc/plot/stk_ylabel.m: Use stk_get_axis_arg.
	* misc/plot/stk_zlabel.m: New function, similar to stk_xlabel and stk_ylabel.
	* misc/options/stk_options_set.m: Add options for stk_zlabel.

2014-12-09  Julien Bect  <julien.bect@supelec.fr>

	stk_distrib_bivnorm_cdf: Compute bivariate normal probabilities.

	* misc/distrib/stk_distrib_bivnorm_cdf.m: Compute bivariate normal
	probabilities (with any means, standard deviations and
	corrrelation coefficients). Supports broadcasting. Accurate
	computation of [p, q] even when p or q is close to one.
	* misc/distrib/private/stk_distrib_bivnorm0_cdf.c: C MEX-file for
	the computation of standard bivariate probabilities (zero means,
	unit variances).
	* admin/octpkg/INDEX: Hide stk_distrib_bivnorm_cdf.m, currently
	considered as an internal function.
	* admin/octpkg/Makefile: Add __stk_distrib_bivnorm0_cdf__ to the
	list of targets.
	* config/stk_config_makeinfo.m: Add stk_distrib_bivnorm0_cdf.

2014-12-03  Julien Bect  <julien.bect@supelec.fr>

	stk_sampling_randunif.m: Fix input argument checking.

	* sampling/stk_sampling_randunif.m: Fix input argument checking.

	stk_sampling_randunif.m: Accept empty dim when box is provided.

	* sampling/stk_sampling_randunif.m: Accept empty dim argument when
	box is provided, in which case dim is guessed from the dimension
	of box.

2014-11-20  Julien Bect  <julien.bect@supelec.fr>

	stk_param_estim.m: Provide a value for param0 if needed.

	* paramestim/stk_param_estim.m: Provide a value for param0 if needed.

	stk_param_estim.m: Empty is the same as not provided.

	* paramestim/stk_param_estim.m: Empty is the same as not provided.

	stk_param_estim.m: Simplify variable names.

	* paramestim/stk_param_estim.m: Simplify variable names, param0lnv
	-> lnv0, paramlnvopt -> lnvopt.

	stk_param_estim.m: Always return something meaningful for lnv.

	* paramestim/stk_param_estim.m: Always return something meaningful
	for lnv: when the variance of the noise is not estimated, return
	model.lognoisevariance. Update the function documentation
	following this and earlier changes.

2014-11-08  Julien Bect  <julien.bect@supelec.fr>

	stk_param_estim.m: Estimate lnv if lognoisevariance is nan.

	* paramestim/stk_param_init_lnv.m: New function that provides a
	rough estimate of the variance of the noise for a given model.
	* admin/octpkg/INDEX: Include stk_param_init_lnv.m.
	* paramestim/stk_param_estim.m: Estimate the variance of the noise
	if the lognoisevariance field is nan, using as a starting point
	the value returned by stk_param_init_lnv.
	* examples/01_kriging_basics/stk_example_kb04.m: Demonstrate how
	it is possible to estimate the variance of the noise without
	providing a initial guess for it.

2014-11-06  Julien Bect  <julien.bect@supelec.fr>

	Handle empty lognoisevariance field as if missing.

	* core/stk_make_matcov.m: Handle empty lognoisevariance field as
	if missing.
	* core/stk_model.m: Idem.
	* doc/dev/model.texi: Idem.
	* paramestim/stk_param_estim.m: Idem.
	* paramestim/stk_param_init.m: Idem.
	* paramestim/stk_param_relik.m: Idem.

2014-11-03  Julien Bect  <julien.bect@supelec.fr>

	Add a 'pairwise' argument to stk_noisecov.

	* covfcs/stk_noisecov.m: Add a 'pairwise' argument.
	* core/stk_make_matcov.m: Use the new 'pairwise' argument.

2014-11-02  Julien Bect  <julien.bect@supelec.fr>

	stk_param_init.m: Change the behaviour regarding lnv.

	* paramestim/stk_param_init.m: defaults to using the input value
	of model.lognoisevariance if it is not nan, and estimating the
	variance if it is nan. The meaning of the fifth argument, now
	called DO_ESTIM_LNV, has also slightly changed: it is used to
	force or prevent the estimation of the variance of the noise,
	regardless of the value of model.lognoisevariance.
	* examples/03_miscellaneous/stk_example_misc03.m: Display the two
	models that have been used in this example.
	* doc/dev/model.texi: update accordingly.

2014-10-26  Julien Bect  <julien.bect@supelec.fr>

	Make lognoisevariance a mandatory field in model structures.

	* core/stk_model.m: Make lognoisevariance a mandatory field in
	model structures, with default value -inf. For backward
	compatibility, stk_discrete_cov models can still be created with
	model structures that lack a lognoisevariance field.
	* core/stk_make_matcov.m: For backward compatibility, a
	lognoisevariance field with value -inf is added if absent.
	* paramestim/stk_param_estim.m: idem.
	* paramestim/stk_param_init.m: idem.
	* paramestim/stk_param_relik.m: idem + remove NOISYOBS variable.
	* covfcs/stk_discretecov.m: Modify unit test accordingly.
	* doc/dev/model.texi: Record design notes and ideas about model
	structures (not meant to be released as a user-level doc).

2014-10-09  Julien Bect  <julien.bect@supelec.fr>

	Add the Goldstein-Price test function.

	* examples/test_functions/stk_testfun_goldsteinprice.m:
	Goldstein-Price test function.

2014-09-29  Julien Bect  <julien.bect@supelec.fr>

	Polish stk_sprintf_colvect_* functions.

	* misc/text/stk_sprintf_colvect_fixedpoint.m: Use round instead of
	floor. Polish formatting.
	* misc/text/stk_sprintf_colvect_scientific.m: Polish formatting.

2014-09-28  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe/plot.m: Fix two problems.

	* arrays/@stk_dataframe/plot.m: Fix two problems.

	stk_config_rmpath.m: Use strrep instead of regexprep.

	* config/stk_config_rmpath.m: Use strrep instead of regexprep for
	compatiblity with Octave 3.2.x (see comments inside the file).

2014-09-27  Julien Bect  <julien.bect@supelec.fr>

	PKG_DEL.m: Use addpath instead of cd.

	* admin/octpkg/PKG_DEL.m: Use addpath instead of cd.

	stk_param_getdefaultbounds.m: Avoid -Inf in default bounds.

	* paramestim/stk_param_getdefaultbounds.m: Avoid -Inf in default
	bounds.

2014-09-25  Julien Bect  <julien.bect@supelec.fr>

	Fix a problem related to Octave 3.2.x when STK is used as a package.

	* config/stk_config_path.m: Add private folder to the path in
	Octave 3.2.x even when STK is used as a package.

	Fix a problem with @stk_factorialdesign/fieldnames.m.

	* arrays/@stk_factorialdesign/fieldnames.m: Concatenate cell
	arrays of strings, but not a string with a cell array of strings
	since the latter syntax is not supported in Octave 3.2.x.

	Add @stk_factorialdesign/private to the path when using Octave 3.2.x.

	* config/stk_config_path.m: Add @stk_factorialdesign/private to
	the path when using Octave 3.2.x.

2014-09-22  Julien Bect  <julien.bect@supelec.fr>

	Robustify a private function.

	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m: Make
	the function work with old versions of octave where, for some
	plotting functions (e.g., pcolor in Octave 3.6.4) the full syntax
	with axes handle and parameter/value pairs is not supported.

	Make stk_config_rmpath work on Windows systems.

	* config/stk_config_rmpath.m: Make stk_config_rmpath work on
	Windows systems (pathsep must be used instead of ':' since ':' is
	not the path separator for Windows...).

2014-09-20  Julien Bect  <julien.bect@supelec.fr>

	Provide a replacement for missing isrow.

	* misc/mole/isrow/isrow.m: Replacement for isrow.
	* config/stk_config_mole.m: Add our isrow function to the path if
	necessary (e.g., Matlab R2007a).

	Fix a tiny bug in stk_param_estim.

	* paramestim/stk_param_estim.m: Use strcmpi instead of strcmp to
	compare err.identifier to 'matlab:optimset:invalidparamname' on
	line 167. I wonder if this line has ever worked properly... (only
	affects old releases of Matlab, e.g.,R2007a).

	Don't use ~ to ignore arguments.

	* admin/build_tools/build_octpkg.m: Don't use ~ to ignore arguments.
	* utils/stk_generate_samplepaths.m: Don't use ~ to ignore arguments.

2014-09-15  Julien Bect  <julien.bect@supelec.fr>

	stk_param_relik.m: Optimize the case of simple kriging.

	* paramestim/stk_param_relik.m: Optimize the case of simple kriging.

2014-09-09  Paul Feliot  <paul.feliot@irt-systemx.fr>

	doc: Update help text for several functions.

	* covfcs/stk_materncov32_aniso.m: Update help text.
	* covfcs/stk_materncov32_iso.m: Update help text.
	* covfcs/stk_materncov52_aniso.m: Update help text.
	* covfcs/stk_materncov52_iso.m: Update help text.
	* covfcs/stk_materncov_aniso.m: Update help text.
	* covfcs/stk_materncov_iso.m: Update help text.
	* paramestim/stk_param_init.m: Update help text.

2014-09-02  Julien Bect  <julien.bect@supelec.fr>

	Rename LICENSE to COPYING.

	* LICENSE: Renamed to COPYING.
	* COPYING: Formerly known as LICENSE.
	* README: Update reference to LICENSE.
	* admin/build_tools/build_forgedoc.m: No more need to rename.
	* admin/build_tools/build_octpkg.m: No more need to rename.
	* admin/find_nonstandard_characters.sh: Update reference to LICENSE.
	* admin/fix_eol.sh: Update reference to LICENSE.

	Rename WHATSNEW to NEWS.

	* NEWS: Formerly known as WHATSNEW. This version is for release
	2.1.1 (we still have to update it to 2.2.0). From now on, we will
	always keep a version of this file in the default branch.
	* admin/build_tools/build_forgedoc.m: No need to rename WHATSNEW
	to NEWS anymore.
	* admin/build_tools/build_octpkg.m: Same thing.

2014-08-20  Julien Bect  <julien.bect@supelec.fr>

	Add CITATION file.

	* CITATION: Explain how to cite STK in publications.

2014-08-18  Julien Bect  <julien.bect@supelec.fr>

	Document stk_length.

	* arrays/generic/stk_length.m: Add doc.
	* arrays/@stk_dataframe/stk_length.m: Fix doc.
	* admin/octave-pkg/INDEX: Un-hide stk_length.

2014-08-17  Julien Bect  <julien.bect@supelec.fr>

	Deprecate stk_plot2d.

	* misc/plot/stk_plot2d.m: Deprecated.
	* arrays/@stk_factorialdesign/contour.m: Overload base function.
	* arrays/@stk_factorialdesign/mesh.m: Overload base function.
	* arrays/@stk_factorialdesign/meshc.m: Overload base function.
	* arrays/@stk_factorialdesign/meshz.m: Overload base function.
	* arrays/@stk_factorialdesign/pcolor.m: Overload base function.
	* arrays/@stk_factorialdesign/surf.m: Overload base function.
	* arrays/@stk_factorialdesign/private/plot_surfmeshcontour.m:
	Provide a common implementation for overloading surf/contour/...
	* examples/01_kriging_basics/stk_example_kb03.m: Use contour and
	pcolor.
	* examples/03_miscellaneous/stk_example_misc04.m: Use pcolor.
	* admin/octave-pkg/INDEX: Update with the new functions. Hide
	stk_plot2d.

	@stk_dataframe/plot.m: Hold on after the first plot.

	* arrays/@stk_dataframe/plot.m: Hold on after the first plot, if
	there are several (fixes a bug introduced yesterday).

2014-08-16  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe/plot.m: Full rewrite again.

	* arrays/@stk_dataframe/plot.m: Full rewrite again, to improve
	even more compatibility with the base plot function. The case
	where x is an stk_dataframe objects with two or more columns is
	now handled in a way that is consistent with the base plot
	function (i.e., if x has two columns, then we get two 1D plots).

2014-08-15  Julien Bect  <julien.bect@supelec.fr>

	stk_plot1d.m: Add missing documentation.

	* misc/plot/stk_plot1d.m: Add doc.

	@stk_dataframe/plot.m: Full rewrite.

	* arrays/@stk_dataframe/plot.m: Full rewrite to improve
	compatibility with the base plot function. Deprecate the case
	where x is an stk_dataframe objects with two or more columns.

2014-08-14  Julien Bect  <julien.bect@supelec.fr>

	Add missing documentations.

	* arrays/@stk_factorialdesign/ndgrid.m: Add doc.
	* covfcs/stk_discretecov.m: Add doc.

2014-08-13  Julien Bect  <julien.bect@supelec.fr>

	Use "z" instead of "x" in all stk_distrib_* functions.

	* misc/distrib/stk_distrib_normal_cdf.m: Use "z" instead of "x".
	* misc/distrib/stk_distrib_normal_ei.m: Idem.
	* misc/distrib/stk_distrib_normal_pdf.m: Idem.
	* misc/distrib/stk_distrib_student_cdf.m: Idem.
	* misc/distrib/stk_distrib_student_ei.m: Idem.
	* misc/distrib/stk_distrib_student_pdf.m: Idem.

	Provide a documentation for EI functions.

	* misc/distrib/stk_distrib_normal_ei.m: Add doc.
	* misc/distrib/stk_distrib_student_ei.m: Add doc.

2014-08-12  Julien Bect  <julien.bect@supelec.fr>

	Improve Octave packaging.

	* admin/make_octave_package.m: Delete rename_mex.sed after
	use. Rename test script.
	* admin/MAKE_OCTAVE_PACKAGE.md: New doc file (in markdown).
	* admin/octave-pkg/test_package.m: Renamed to
	* admin/octave-pkg/pkg_install_stk_and_generate_doc.m: Renamed
	from.

2014-08-10  Julien Bect  <julien.bect@supelec.fr>

	stk_example_misc04.m: Fix property name.

	* examples/03_miscellaneous/stk_example_misc04.m: Fix property
	name (YTickLabels --> YTickLabel).

	stk_example_misc04.m: Fix for Octave compatiblity.

	* examples/03_miscellaneous/stk_example_misc04.m: Fix for Octave
	compatiblity (stairs does not accept stk_datafrm objects in
	Octave).

2014-08-08  Julien Bect  <julien.bect@supelec.fr>

	Fix and improve stk_factorialdesign's accessors.

	* arrays/@stk_factorialdesign/subsasgn.m: New function. Override
	stk_dataframe's subsasgn to prevent illegal modifications of
	stk_factorialdesign objects through ()-type indexing. Any such
	modification results in an implicit cast to stk_dataframe.
	* arrays/@stk_factorialdesign/get.m: Provide read-only access to
	the underlying stk_dataframe object.
	* arrays/@stk_factorialdesign/set.m: The result is implicitely
	cast into an stk_dataframe object upon any modification that would
	otherwise corrupt the internal structure of the
	stk_factorialdesign object.
	* arrays/@stk_factorialdesign/fieldnames.m: Add .stk_dataframe.

2014-08-07  Julien Bect  <julien.bect@supelec.fr>

	Simplify the display of stk_factorialdesign objects.

	* arrays/@stk_factorialdesign/stk_sprintf.m: Simplify the display
	of stk_factorialdesign objects by hiding the ".stk_dataframe"
	level (i.e., .info is used as an aliad for .stk_dataframe.info).
	* arrays/@stk_dataframe/stk_sprintf.m: Modified (tiny change).

	Define list of field names for stk_factorialdesign objects.

	* arrays/@stk_factorialdesign/fieldnames.m: Define list of field
	names for stk_factorialdesign objects.

	Fix list of field names for stk_dataframe objects.

	* arrays/@stk_dataframe/private/reserved_field_names.m: Fix list
	of field names for stk_dataframe objects.
	* arrays/@stk_dataframe/fieldnames.m: Update unit test.

2014-07-31  Julien Bect  <julien.bect@supelec.fr>

	Modify the behaviour of vertcat/horzcat for stk_dataframe objects.

	* arrays/@stk_dataframe/horzcat.m: Modified. The result is always
	an stk_dataframe object, and has row names iff either one of the
	two arguments doesn't have row names, or the row names of both
	arguments agree.
	* arrays/@stk_dataframe/vertcat.m: Similar changes.

	Modify the behaviour of bsxfun for stk_dataframe objects.

	* arrays/@stk_dataframe/bsxfun.m: Modified. The result is always
	an stk_dataframe object, and has column names iff either one of
	the two arguments doesn't have columns names or the columns names
	of both arguments agree.
	* arrays/@stk_factorialdesign/stk_factorialdesign.m: Modified unit
	test.
	* arrays/@stk_dataframe/abs.m: Overload abs for stk_dataframe
	object. This allows to write abs (x) instead of abs (double (x))
	or abs (x.data).

2014-07-24  Julien Bect  <julien.bect@supelec.fr>

	Accept invRho = 0 in anisotropic covariance functions.

	* covfcs/stk_gausscov_aniso.m: Accept invRho = 0.
	* covfcs/stk_materncov32_aniso.m: Idem.
	* covfcs/stk_materncov52_aniso.m: Idem.
	* covfcs/stk_materncov_aniso.m: Idem.

	stk_sprintf_colvect_scientific.m: Fix a bug.

	* misc/text/stk_sprintf_colvect_scientific.m: Fix a bu related to
	rounding numbers such as 9.99e02 (which were displayed as 10e+02
	instead of 1e+03).
	* arrays/@stk_dataframe/stk_sprintf.m: Set default width to 8.
	* misc/text/stk_sprintf_colvect.m: Idem.
	* misc/text/stk_sprintf_colvect_fixedpoint.m: Idem.

2014-07-23  Julien Bect  <julien.bect@supelec.fr>

	stk_param_estim.m: Warn about constant-response data.

	* paramestim/stk_param_estim.m: Warn about constant-response data.

2014-07-22  Julien Bect  <julien.bect@supelec.fr>

	stk_param_init.m: Warn about constant-response data.

	* paramestim/stk_param_init.m: Warn about constant-response data.

	stk_param_relik.m: Check symmetry of G = W' * K * W.

	* paramestim/stk_param_relik.m: Check if G = W' * K * W and apply
	a naive fix if it is not (+ emit a warning).
	* config/stk_config_setup.m: Do not display the new warning.
	* core/stk_cholcov.m: Only issue one warning if using epsi.

	Improve the implementation of stk_dataframe objects display.

	* arrays/@stk_dataframe/disp.m: Modified.
	* arrays/@stk_dataframe/display.m: Modified.
	* arrays/@stk_factorialdesign/stk_sprintf_levels.m: Modified.
	* arrays/@stk_dataframe/stk_sprintf.m: New function.
	* arrays/@stk_factorialdesign/stk_sprintf.m: New function.
	* arrays/generic/stk_sprintf.m: New function.
	* arrays/@stk_dataframe/stk_sprintf_data.m: Removed.
	* arrays/@stk_factorialdesign/disp.m: Removed.
	* arrays/generic/stk_sprintf_data.m: Removed.

	Implement stk_sprintf_sizetype for cell arrays.

	* arrays/@cell/stk_sprintf_sizetype.m: Implement
	stk_sprintf_sizetype for cell arrays.
	* arrays/@stk_dataframe/stk_sprintf_sizetype.m: Minor formatting
	change in the output string (remove spaces).
	* arrays/generic/stk_sprintf_sizetype.m: Idem.

2014-07-21  Julien Bect  <julien.bect@supelec.fr>

	stk_config_buildmex.m: Run silently when doing nothing.

	* config/stk_config_buildmex.m: Run silently when doing nothing.

	Remove page_screen_output (not needed anymore).

	* misc/mole/matlab/page_screen_output.m: Deleted (not needed
	anymore).

	Stop bothering users at startup.

	* stk_init.m: Stop bothering users at startup with information
	that they can find in the README file anyway.

	Don't display selected optimizers at startup.

	* misc/optim/stk_select_optimizer.m: Don't display selected
	optimizers when called without input arguments (typically, during
	startup).

2014-07-20  Julien Bect  <julien.bect@supelec.fr>

	stk_config_setup.m: Call stk_parallel_engine_set.

	* config/stk_config_setup.m: Call stk_parallel_engine_set.

	Get rid of stk_parallel_haspct.

	* misc/parallel/stk_parallel_haspct.m: Deleted.
	* admin/octave-pkg/INDEX: Modified.
	* misc/parallel/stk_parallel_start.m: Modified.

	stk_config_setup.m: Don't bother checking if the PCT is installed.

	* config/stk_config_setup.m: in Matlab, don't bother checking if
	the PCT is installed.

2014-07-19  Julien Bect  <julien.bect@supelec.fr>

	New example script illustrating random Pareto fronts.

	* examples/03_miscellaneous/stk_example_misc04.m: New script.

2014-07-18  Julien Bect  <julien.bect@supelec.fr>

	Add an option to control the verbosity fmincon/fminsearch.

	* misc/options/stk_options_set.m: Add new option
	'optim_display_level' with default value 'off'.
	* paramestim/stk_param_estim.m: Use the new option.
	* paramestim/stk_param_init.m: Don't display debugging info.

2014-07-14  Julien Bect  <julien.bect@supelec.fr>

	stk_plot1d.m: Improved flexibility in argument handling.

	* misc/plot/stk_plot1d.m: Improved flexibility in the way input
	arguments are handled.

2014-07-03  Julien Bect  <julien.bect@supelec.fr>

	Global options to control upper/lower bounds for param estim.

	* misc/options/stk_options_set.m: Add new options.
	* paramestim/stk_param_getdefaultbounds.m: Read global options.

	stk_param_estim.m: Return an additional 'info' structure.

	* paramestim/stk_param_estim.m: Return an additional 'info'
	structure, which currently contains the criterion that has been
	used, the criterion value at the optimum, and the bounds.

2014-07-02  Julien Bect  <julien.bect@supelec.fr>

	stk_generate_samplepaths.m: Use model.response_name if available.

	* utils/stk_generate_samplepaths.m: Use model.response_name if
	available.

2014-07-01  Julien Bect  <julien.bect@supelec.fr>

	stk_isdominated.m: New function, returns true for dominated rows.

	* arrays/generic/stk_isdominated.m: New function
	* arrays/generic/private/stk_isdominated_mex.c: New MEX-function
	* misc/include/pareto.h: Add new function is_dominated
	* config/stk_config_makeinfo.m: Compile the new MEX-function
	* admin/octave-pkg/Makefile: Compile the new MEX-function
	* arrays/generic/private/stk_paretofind_mex.c: Modified
	* arrays/generic/stk_paretofind.m: Modified

	stk_figure.m: Do not set the axis title.

	* misc/plot/stk_figure.m: Do not set the axis title.

	stk_plot2d.m: Create labels only if column names are available.

	* misc/plot/stk_plot2d.m: Create labels only if column names are
	available.
	* examples/01_kriging_basics/stk_example_kb03.m: Provide explicit
	column names for the 2d array used in this script.

2014-06-27  Julien Bect  <julien.bect@supelec.fr>

	stk_cholcov.m: Prevent infinite while loops.

	* core/stk_cholcov.m: Prevent infinite while loops, that could
	occur in the case of matrices that either contained nans or Infs,
	or were really far from from positive definite.

2014-06-25  Ashwin Ravisankar  <ashwinr1993@gmail.com>

	stk_param_estim.m: Add an optional 'criterion' argument.

	* paramestim/stk_param_estim.m: added new input argument
	criterion that will make it possible, in the future, to select
	which estimation criterion to use.

	stk_param_relik.m: Add a unit test to check the gradient.

	* paramestim/stk_param_relik.m: Add a unit test.

2014-06-19  Ashwin Ravisankar  <ashwinr1993@gmail.com>

	stk_param_gls.m: A new function to compute the GLS estimator.

	* paramestim/stk_param_gls.m: new function
	* paramestim/stk_param_init.m: modified

2014-06-16  Julien Bect  <julien.bect@supelec.fr>

	make_octave_package.m: Parse 'Description' field from README.

	* admin/make_octave_package.m: Modified to parse 'Description'
	field directly from README (avoids text duplication).
	* admin/octave-pkg/description.txt: Deleted.

2014-06-15  Julien Bect  <julien.bect@supelec.fr>

	stk_paretofind.m: New function to find non-dominated points.

	* arrays/generic/stk_paretofind.m: new function
	* arrays/generic/private/stk_paretofind_mex.c: new mex-function
	* misc/include/pareto.h: new C header
	* config/stk_config_makeinfo.m: modified
	* config/stk_config_path.m: modified
	* admin/octave-pkg/Makefile: modified

2014-06-14  Julien Bect  <julien.bect@supelec.fr>

	README: Include a short description.

	* README: Include a short description (from description.txt)
	* admin/octave-pkg/description.txt: Line-wrapping.

	stk_options_set.m: Add a reset feature.

	* misc/options/stk_options_set.m: Add a reset feature using a
	special case when nargin == 1.
	* misc/options/stk_options_get.m: Just fix spacing.

	stk_options_set.m: Prevent persistent from being cleared.

	* misc/options/stk_options_set.m: Add a call to mlock to prevent
	the persistent variable from being cleared.

2014-05-15  Julien Bect  <julien.bect@supelec.fr>

	stk_model.m: Fix a fresh bug (my mistake).

	* core/stk_model.m: Restore proper default behaviour when
	nargin == 0.

	Merge /etc into /admin

	* etc/CODING_GUIDELINES: moved from
	* admin/CODING_GUIDELINES: moved to
	* etc/RELEASE_CHECKLIST: moved from
	* admin/RELEASE_CHECKLIST: moved to + modified
	* etc/octave-pkg/INDEX: moved from
	* admin/octave-pkg/INDEX: moved to
	* etc/octave-pkg/Makefile: moved from
	* admin/octave-pkg/Makefile: moved to
	* etc/octave-pkg/PKG_DEL.m: moved from
	* admin/octave-pkg/PKG_DEL.m: moved to
	* etc/octave-pkg/pkg_install_stk_and_generate_doc.m: moved from
	* admin/octave-pkg/pkg_install_stk_and_generate_doc.m: moved to
	* etc/octave-pkg/post_install.m: moved from
	* admin/octave-pkg/post_install.m: moved to
	* admin/description.txt: moved from
	* admin/octave-pkg/description.txt: moved to
	* admin/make_octave_package.m: modified
	* admin/make_release_targz.sh: modified
	* admin/stk_make_htmldoc.m: modified

2014-05-13  Julien Bect  <julien.bect@supelec.fr>

	stk_model.m: Accept function handles for covariance_type.

	* core/stk_model.m: Accept function handles for covariance_type.

2014-05-13  Emmanuel Vazquez  <emmanuel.vazquez@supelec.fr>

	Add a stk_length function

	* arrays/generic/stk_length.m: returns the length of an array
	* arrays/@stk_dataframe/stk_length.m: idem

2014-05-12  Julien Bect  <julien.bect@supelec.fr>

	stk_generate_samplepaths.m: Deal with duplicates in xt.

	* utils/stk_generate_samplepaths.m: Deal with duplicates in xt.

2014-05-08  Julien Bect  <julien.bect@supelec.fr>

	Move stk_model to core.

	* core/stk_model.m: formerly known as utils/stk_model.m
	* utils/stk_model.m: deleted

	Move utils/arrays one level up.

	* arrays: formerly known as utils/arrays
	* utils/arrays: deleted
	* config/stk_config_makeinfo.m: modified
	* config/stk_config_path.m: modified

2014-05-07  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe/subsasgn: Solve a problem with Octave 3.2.x

	* utils/arrays/@stk_dataframe/subsasgn.m: solve a problem with
	Octave 3.2.x (0x0 stk_dataframe objects).

	Avoid changing the current dir to make a function available.

	* misc/test/stk_runtests.m: Avoid changing the current dir to make
	stk_config_path available. Use addpath/rmpath instead.

2014-05-06  Julien Bect  <julien.bect@supelec.fr>

	stk_config_path: Fix a private folder problem in Octave 3.2.x

	* config/stk_config_path.m: Fix a private folder problem in Octave
	3.2.x (a new private folder has been recently created).

	Use horzcat instead of [,].

	* lm/@stk_lm_affine/feval.m: modified
	* lm/@stk_lm_cubic/feval.m: modified
	* lm/@stk_lm_quadratic/feval.m: modified

	Change the way the MOLE is installed.

	* config/stk_config_mole.m: New function, that takes the place of
	misc/mole/init.m and misc/mole/install_mole_function.m.
	* misc/mole/init.m: removed
	* misc/mole/install_mole_function.m: removed
	* config/stk_config_addpath.m: Modified, to call stk_config_mole,
	thus avoiding the use of "run" which seems to be causing problems
	in Octave 3.2.x.
	* etc/octave-pkg/post_install.m: idem
	* stk_init.m: idem

2014-04-15  Julien Bect  <julien.bect@supelec.fr>

	Add an INDEX file to the Octave package.

	* etc/octave-pkg/INDEX: INDEX file for the Octave package
	* etc/octave-pkg/pkg_install_stk_and_generate_doc.m: new script to
	test quickly that the tarball can be installed and to inspect how
	the corresponding Octave-forge documentation will look.
	* admin/make_octave_package: copy INDEX to the package.

	Don't include stk_optim_hasfmincon in the Octave package.

	* admin/make_octave_package.m: modified

	Some functions are not part of the public API.

	* core/ortho_func.m: modified (doc)
	* core/stk_cholcov.m: modified (doc)
	* core/@stk_kreq_qr/get.m: modified (doc)
	* core/@stk_kreq_qr/isequal.m: modified (doc)
	* core/@stk_kreq_qr/linsolve.m: modified (doc)
	* core/@stk_kreq_qr/stk_kreq_qr.m: modified (doc)
	* core/@stk_kreq_qr/stk_set_righthandside.m: modified (doc)
	* core/@stk_kreq_qr/stk_squared_seminorm.m: modified (doc)
	* core/@stk_kreq_qr/stk_update.m: modified (doc)
	* core/@stk_kreq_qr/subsref.m: modified (doc)
	* misc/dist/stk_gpquadform.m: modified (doc)

2014-04-14  Julien Bect  <julien.bect@supelec.fr>

	stk_cholcov: new function, chol + regularization noise

	* core/stk_cholcov.m: New function.
	* config/stk_config_setup.m: Change the name of a warning.
	* paramestim/stk_param_init.m: Use stk_colcov instead of chol.
	* core/@stk_kreq_qr/get.m: Use stk_colcov instead of chol.
	* paramestim/stk_param_relik.m: Use stk_cholcov.
	* examples/01_kriging_basics/stk_example_kb07.m: Increase
	regularity for the forth subplot. Now we can, so why not?
	* examples/01_kriging_basics/stk_example_kb08.m: Remove FIXME
	comment. Change subplot titles.
	* utils/stk_generate_samplepaths.m: Use stk_colcov instead of
	chol. Remove FIXME comment. Remove observations points from the
	result when generating conditional sample paths (bugfix).

2014-04-13  Julien Bect  <julien.bect@supelec.fr>

	Generation of conditioned sample paths made easy (ticket #3).

	* utils/stk_generate_samplepaths.m: Generate conditioned sample
	paths if additional (xi, zi) arguments are provided.
	* examples/01_kriging_basics/stk_example_kb08.m: New example.

2014-04-12  Julien Bect  <julien.bect@supelec.fr>

	Move stk_feval.m to utils/arrays/generic.

	* utils/stk_feval.m: moved (from)
	* utils/arrays/generic/stk_feval.m: moved (to)

2014-04-10  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_predict ().

	* core/stk_predict.m: Fix a bug

2014-04-03  Julien Bect  <julien.bect@supelec.fr>

	Simplify the code in stk_ortho_func ().

	* core/stk_ortho_func.m: Call feval (stk_lm_quadratic, x) instead
	of duplicating the code. And add the cubic case.

	Add (multivariate) cubic linear models.

	* lm/@stk_lm_cubic: New class
	* lm/@stk_lm_cubic/stk_lm_cubic.m: New function (constructor)
	* lm/@stk_lm_cubic/feval.m: New function

2014-03-31  Julien Bect  <julien.bect@supelec.fr>

	Introduce a new (experimental) feature: linear models.

	* core/stk_ortho_func.m: Modified to handle model.order == nan.
	* paramestim/stk_param_init.m: Modified to handle model.order == nan.
	* config/stk_config_path.m: Add lm to the path.
	* lm/@stk_lm_affine/stk_lm_affine.m: New function
	* lm/@stk_lm_affine/feval.m: New function
	* lm/@stk_lm_constant/stk_lm_constant.m: New function
	* lm/@stk_lm_constant/feval.m: New function
	* lm/@stk_lm_matrix/stk_lm_matrix.m: New function
	* lm/@stk_lm_matrix/feval.m: New function
	* lm/@stk_lm_null/stk_lm_null.m: New function
	* lm/@stk_lm_null/feval.m: New function
	* lm/@stk_lm_quadratic/stk_lm_quadratic.m: New function
	* lm/@stk_lm_quadratic/feval.m: New function
	* examples/03_miscellaneous/stk_example_misc03.m: New example script.

2014-03-29  Julien Bect  <julien.bect@supelec.fr>

	Do not add config to in the path.

	* config/stk_config_path.m: Remove config from the list of STK
	subdirectories to be added to the path.
	* stk_init.m: Remove config from the path at the end of
	initialization.
	* misc/test/stk_runtests.m: Do not assume that config is in the
	path.

2014-03-26  Julien Bect  <julien.bect@supelec.fr>

	Rename stk_config_graphicstoolkit tp graphics_toolkit.

	* config/stk_config_graphicstoolkit.m: Renamed.
	* misc/mole/graphics_toolkit/graphics_toolkit.m: Formerly known as
	stk_config_graphicstoolkit. Modified to be a (partial) replacement
	of the Octave function with the same name.
	* misc/mole/init.m: Add graphics_toolkit to the path only when
	needed, i.e., when using Matlab or an old version of Octave.
	* examples/03_miscellaneous/stk_example_misc02.m: Modified.

	stk_param_relik: Adding a little bit of noise to help chol succeed.

	* paramestim/stk_param_relik.m: Add a little bit of noise to help
	chol succeed, when the first factorization returned by chol is not
	complete. Emit a warning when doing so.
	* config/stk_config_setup.m: By default, hide the warning emitted
	by stk_param_relik.

2014-03-25  Julien Bect  <julien.bect@supelec.fr>

	stk_config_addpath: Add MOLE subdirectories to the path.

	* config/stk_config_addpath.m: modified

	stk_version: Simpler is better.

	* config/stk_version.m: Moved...
	* stk_version.m: ...here. STK's version number is now hard-coded
	in this file, and read from README anymore.
	* README: Refer to stk_version.m for the version number.
	* config/stk_config_path.m: Add STK's root to the path unless STK
	is used as an Octave package.
	* etc/RELEASE_CHECKLIST: Related changes.

	stk_config_getroot: Simpler is better.

	* config/stk_config_getroot.m: Simplify the way we locate STK's
	root. Use stk_param_relik instead of stk_test as a reference, as
	stk_test will probably not be included in the Octave package.
	* admin/make_octave_package.m: Modified.

	stk_make_htmldoc: Remove dependency on stk_config_getroot.

	* admin/stk_make_htmldoc.m: modified.

	stk_param_relik: Improved implementation, or so I hope.

	* paramestim/stk_param_relik.m: Several modifications, that seem
	to reduce the number of warnings related to bad conditioning, and
	also improve the performance for large n (about 1000, say).

	Fix minor problems in stk_config_rmpath and stk_config_path.

	* config/stk_config_path.m: modified
	* config/stk_config_rmpath.m: modified

	Test examples using stk_runtests instead of stk_runexamples.

	* examples/01_kriging_basics/stk_example_kb01.m: add %!test
	* examples/01_kriging_basics/stk_example_kb02.m: add %!test
	* examples/01_kriging_basics/stk_example_kb03.m: add %!test
	* examples/01_kriging_basics/stk_example_kb04.m: add %!test
	* examples/01_kriging_basics/stk_example_kb05.m: add %!test
	* examples/01_kriging_basics/stk_example_kb06.m: add %!test
	* examples/01_kriging_basics/stk_example_kb07.m: add %!test
	* examples/02_design_of_experiments/stk_example_doe01.m: add %!test
	* examples/02_design_of_experiments/stk_example_doe02.m: add %!test
	* examples/02_design_of_experiments/stk_example_doe03.m: add %!test
	* examples/03_miscellaneous/stk_example_misc01.m: add %!test
	* examples/03_miscellaneous/stk_example_misc02.m: add %!test
	* misc/test/stk_runexamples.m: removed
	* misc/test/stk_runscript.m: removed

2014-03-23  Julien Bect  <julien.bect@supelec.fr>

	Remove stk_init.m from the Octave package.

	* admin/make_octave_package.m: Create PKG_ADD.m (later renamed to
	PKG_ADD) by renaming stk_init. Therefore, we don't need the
	existing PKG_ADD.m anymore.
	* stk_init.m: Set STK_OCTAVE_PACKAGE to false.
	* etc/octave-pkg/PKG_ADD.m: Removed.

	Minor changes in stk_select_optimizer.

	* misc/optim/stk_select_optimizer.m: Minor changes.

2014-03-21  Julien Bect  <julien.bect@supelec.fr>

	stk_param_relik: Fix help text.

	* paramestim/stk_param_relik.m: Fix help text.

2014-03-18  Julien Bect  <julien.bect@supelec.fr>

	Restore the stk_ prefix for distrib_* functions.

	* misc/distrib/distrib_normal_cdf.m: renamed (from)
	* misc/distrib/distrib_normal_ei.m: renamed (from)
	* misc/distrib/distrib_normal_pdf.m: renamed (from)
	* misc/distrib/distrib_student_cdf.m: renamed (from)
	* misc/distrib/distrib_student_ei.m: renamed (from)
	* misc/distrib/distrib_student_pdf.m: renamed (from)
	* misc/distrib/stk_distrib_normal_cdf.m: rename (to)
	* misc/distrib/stk_distrib_normal_ei.m: rename (to)
	* misc/distrib/stk_distrib_normal_pdf.m: rename (to)
	* misc/distrib/stk_distrib_student_cdf.m: rename (to)
	* misc/distrib/stk_distrib_student_ei.m: rename (to)
	* misc/distrib/stk_distrib_student_pdf.m: rename (to)
	* examples/02_design_of_experiments/stk_example_doe03.m: modified
	* misc/distrib/README: modified

2014-03-17  Julien Bect  <julien.bect@supelec.fr>

	Handle large values of nu better in stk_sf_matern.

	* misc/specfun/stk_sf_matern.m: Handle large values of nu better.

2014-03-14  Julien Bect  <julien.bect@supelec.fr>

	Handle Gaussian covariance functions in stk_param_init.

	* paramestim/stk_param_init.m: Handle Gaussian covariance functions.
	* paramestim/stk_param_estim.m: Source formatting.

2014-03-14  Julien Bect  <julien.bect@supelec.fr>

	Handle special cases in stk_sf_matern.

	* misc/specfun/stk_sf_gausscorr.m: modified
	* misc/specfun/stk_sf_matern.m: modified
	* misc/specfun/stk_sf_matern32.m: modified
	* misc/specfun/stk_sf_matern52.m: modified

2014-02-26  Julien Bect  <julien.bect@supelec.fr>

	Improve building and Octave packaging.

	* admin/make_octave_package.m: modified
	* stk_build.m: renamed...
	* config/stk_config_buildmex.m: ...to this; modified.
	* config/stk_config_makeinfo.m: new function
	* config/stk_config_rmpath.m: modified
	* config/stk_config_testprivatemex.m: modified
	* etc/octave-pkg/Makefile: new file
	* etc/octave-pkg/PKG_ADD.m: modified
	* etc/octave-pkg/PKG_DEL.m: modified
	* etc/octave-pkg/pre_install.m: deleted
	* etc/octave-pkg/post_install.m: new script
	* stk_init.m: modified

	Reorganize the MOLE.

	* misc/mole/PKG_ADD.m: Renamed to init.m
	* misc/mole/init.m: Renamed from PKG_ADD.m. Add variables
	MOLE_DO_ADDPATH and MOLE_PRUNE_ADDPATH to control the behaviour of
	the script.
	* misc/mole/PKG_DEL.m: Remove (was not needed after all).
	* etc/octave-pkg/pre_install.m: Call init.m (renamed from
	PKG_ADD.m) with MOLE_DO_ADDPATH = false and MOLE_PRUNE_ADDPATH =
	true. Remove call to PKG_DEL.m (was not needed, after all).
	* misc/mole/README: Bring up to date with the new organization of
	the MOLE.
	* misc/mole/common/isoctave.m: Moved to ../isoctave.
	* misc/mole/isoctave/isoctave.m: Moved from ../common.
	* misc/mole/install_mole_function.m: Helper function for init.m.
	* stk_init.m: Modified (call init.m instead of PKG_ADD.m).

2014-02-25  Julien Bect  <julien.bect@supelec.fr>

	Get rid of ismatlab (). Just use ~ isoctave () instead.

	* config/stk_config_setup.m: Replace ismatlab -> ~isoctave.
	* misc/mole/common/ismatlab.m: Removed.

	Rename graphicstoolkit to stk_config_graphicstoolkit.

	* misc/mole/common/graphicstoolkit.m: removed
	* config/stk_config_graphicstoolkit.m: new function (formerly
	known as graphicstoolkit)
	* examples/03_miscellaneous/stk_example_misc02.m: modified

	Rename commonsize () to stk_commonsize ().

	* misc/mole/common/commonsize.m: renamed to...
	* utils/arrays/generic/stk_commonsize.m: ...this
	* misc/distrib/distrib_normal_cdf.m: modified
	* misc/distrib/distrib_normal_ei.m: modified
	* misc/distrib/distrib_normal_pdf.m: modified
	* misc/distrib/distrib_student_cdf.m: modified
	* misc/distrib/distrib_student_ei.m: modified
	* misc/distrib/distrib_student_pdf.m: modified
	* misc/mole/README: modified

	doc: update some help texts (script names have changed)

	* paramestim/stk_param_estim.m: fix doc
	* utils/stk_conditioning.m: fix doc
	* utils/stk_generate_samplepaths.m: fix doc

2014-02-24  Julien Bect  <julien.bect@supelec.fr>

	Rewrite Octave packaging script in Octave (instead of Python).

	* admin/make_octave_package.m: Translation to the Octave langage
	of make_octave_package.py . Version number now properly set in
	DESCRIPTION based on the one returned by stk_version ().
	* admin/make_octave_package.py: deleted

	Try to solve the problem with MEX-files in private directories.

	* stk_init.m: Build the MEX-files *before* adding STK's
	subdirectories to the path. Finger crossed.
	* stk_build.m: Don't test if MEX-files located in private
	directories are found (not at this point).
	* config/stk_config_testprivatemex.m: New function to test if
	MEX-files located in private directories are found.

	Add load/unload scripts for the MOLE.

	* misc/mole/PKG_ADD.m: New initialization script, that adds
	selected subdirectories of the MOLE to the path.
	* misc/mole/PKG_DEL.m: Remove MOLE subdirectories from the path.
	* config/stk_config_path.m: Remove the part that is now handled by
	the new script (misc/mole/PKG_ADD.m).
	* etc/octave-pkg/pre_install.m: Run misc/mole/PKG_ADD.m first and
	PKG_DEL.m at the end (otherwise the load path would contain
	deleted temp directories after the installation).
	* stk_init.m: Run misc/mole/PKG_ADD.m first.

2014-02-22  Julien Bect  <julien.bect@supelec.fr>

	Rewrite stk_config_rmpath without a call to stk_config_path.

	* config/stk_config_rmpath.m: Rewrite without a call to
	stk_config_path, in prevision of forthcoming changes.

	Rewrite stk_config_addpath in a cleaner way.

	* config/stk_config_addpath.m: Rewrite the function in a cleaner
	way, without the useless output argument.
	* config/stk_config_getroot.m: Add an additional output argument,
	to indicate if STK is present in the path.

2014-02-18  Julien Bect  <julien.bect@supelec.fr>

	stk_param_getdefaultbounds.m: Handle Gaussian covariance functions.

	* paramestim/stk_param_getdefaultbounds.m: Handle the case of
	Gaussian isotropic and anisotropic covariance functions.

2014-02-17  Julien Bect  <julien.bect@supelec.fr>

	Improve stk_config_getroot.

	* config/stk_config_getroot.m: Make it work even if STK has not
	been added to the search path.

2014-02-16  Julien Bect  <julien.bect@supelec.fr>

	stk_sampling_maximinlhs.m: minor change

	* stk_sampling_maximinlhs.m (lhsdesign_): No need to check if x is
	empty since we start the loop at j == 2, now.

2014-02-12  Julien Bect  <julien.bect@supelec.fr>

	stk_sampling_maximinlhs.m: Do not compute the criterion if niter == 1.

	* stk_sampling_maximinlhs.m: modified

	@stk_kreq_qr: heuristic improvement of numerical conditioning.

	* core/@stk_kreq_qr/private: new folder
	* core/@stk_kreq_qr/private/compute_P_scaling.m: new function
	* core/@stk_kreq_qr/stk_update.m: modified
	* core/@stk_kreq_qr/stk_kreq_qr.m: modified
	* core/@stk_kreq_qr/stk_set_righthandside.m: modified

2014-02-05  Julien Bect  <julien.bect@supelec.fr>

	stk_testfun_braninhoo.m: Fix domain bound in the documentation.

	* examples/test_functions/stk_testfun_braninhoo.m: Fix domain
	bound in the documentation.

2014-01-17  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_param_init.

	* paramestim/stk_param_init.m: modified

2014-01-16  Julien Bect  <julien.bect@supelec.fr>

	Add size checks to several functions.

	* core/stk_predict.m: modified
	* paramestim/stk_param_init.m: modified
	* paramestim/stk_param_estim.m: modified

2014-01-15  Julien Bect  <julien.bect@supelec.fr>

	Warn Octave users about the problem with MEX-files in privates folders.

	* stk_build.m: modified

2014-01-10  Julien Bect  <julien.bect@supelec.fr>

	First draft for the automatic generation of an Octave package.

	* admin/make_octave_package.py: new script
	* etc/octave-pkg: new folder
	* etc/octave-pkg/pre_install.m: new function
	* etc/octave-pkg/PKG_DEL.m: new function
	* etc/octave-pkg/PKG_ADD.m: new function

	Create a misc folder for optimization related functions.

	* misc/optim: new folder
	* config/stk_select_optimizer.m: moved to misc/optim
	* config/stk_config_addpath.m: modified

	Rename stk_configure -> stk_config_setup

	* misc/stk_configure.m: renamed
	* misc/stk_config_setup.m: formerly known as stk_configure.m

	Move 'config' up one level and rewrite part of the configuration system.

	* config: formerly known as misc/config
	* config/stk_configure.m: new function
	* config/stk_config_addpath.m: replacement for stk_set_root.m
	* config/stk_config_getroot.m: replacement for stk_get_root.m
	* config/stk_config_path.m: replacement for stk_path.m
	* config/stk_config_rmpath.m: new function
	* misc/config: moved to config
	* misc/config/stk_set_root.m: moved/renamed/modified
	* misc/config/stk_get_root.m: moved/renamed/modified
	* misc/config/stk_path.m: moved/renamed/modified
	* misc/config/stk_configure_octave.m: moved/modified
	* misc/config/stk_version.m: moved/modified
	* misc/config/stk_configure_matlab.m: removed/merged in stk_configure
	* misc/config/stk_configure_octave.m: removed/merged in stk_configure
	* misc/config/stk_select_optimizer.m: moved
	* stk_init.m: modified
	* stk_build.m: modified
	* misc/test/stk_runexamples.m: modified
	* misc/test/stk_runtests.m: modified
	* misc/mole/matlab/page_screen_output.m: new function
	* admin/stk_make_htmldoc.m: modified

	Rename stk_compile_all -> stk_build.

	* config/stk_compile_all.m: moved/renamed
	* stk_build: formerly known as stk_compile_all.m

	Rename stk_is_fmincon_available -> stk_optim_hasfmincon.

	* misc/config/stk_is_fmincon_available.m: moved/renamed
	* misc/optim/stk_optim_hasfmincon.m: formerly known as stk_is_fmincon_available.m

	Rename stk_is_pct_installed -> stk_parallel_haspct.

	* misc/config/stk_is_pct_installed.m: moved/renamed
	* misc/parallel/stk_parallel_haspct.m: formerly known as stk_is_pct_installed.m

	Remove obsolete function stk_is_octave_in_use.

	* misc/config/stk_is_octave_in_use.m: deleted

2014-01-01  Julien Bect  <julien.bect@supelec.fr>

	stk_init: move some Matlab-specific configuration to a dedicated function.

	* misc/config/stk_octave_config.m: renamed to stk_configure_octave
	* misc/config/stk_configure_octave.m: formerly known as stk_octave_config
	* misc/config/stk_configure_matlab.m: new function
	* stk_init.m: modified

2013-12-19  Julien Bect  <julien.bect@supelec.fr>

	Minimalist support for linear indexing on dataframes.

	* utils/arrays/@stk_dataframe/subsref.m: modified
	* utils/arrays/@stk_dataframe/subsasgn.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified

	Overload reshape for stk_dataframe objects.

	* utils/arrays/@stk_dataframe/reshape.m: new function

	Set row names on the output of stk_generate_samplepaths.

	* utils/stk_generate_samplepaths.m: modified

2013-12-06  Julien Bect  <julien.bect@supelec.fr>

	Thicker lines in examples kb01 and kb02.

	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified

	Improve the robustness of @stk_dataframe/set.m.

	* utils/arrays/@stk_dataframe/subsasgn.m: modified
	* utils/arrays/@stk_dataframe/set.m: modified

	Change the behaviour of dataframes without row or column names.

	* misc/config/stk_compile_all.m: modified
	* utils/arrays/@stk_dataframe/private/make_numeric_rownames.c: removed
	* utils/arrays/@stk_dataframe/subsasgn.m: modified
	* utils/arrays/@stk_dataframe/subsref.m: modified
	* utils/arrays/generic/stk_sprintf_data.m: modified

2013-12-05  Julien Bect  <julien.bect@supelec.fr>

	Make stk_dataframe row manipulations faster.

	* utils/arrays/@stk_dataframe/private/make_numeric_rownames.c: new
	* utils/arrays/@stk_dataframe/subsref.m: modified
	* utils/arrays/@stk_dataframe/subsasgn.m: modified
	* misc/config/stk_compile_all.m: modified
	* misc/include/stk_mex.h: modified

	Handle infinities in stk_sprintf_colvect_* functions.

	* misc/text/stk_sprintf_colvect_fixedpoint.m: modified
	* misc/text/stk_sprintf_colvect_scientific.m: modified

	Add an optional max_width argument to @stk_dataframe/disp.

	* utils/arrays/@stk_dataframe/disp.m: modified

2013-12-03  Julien Bect  <julien.bect@supelec.fr>

	Fix @stk_kreq_qr/stk_update. Add tests.

	* core/@stk_kreq_qr/stk_kreq_qr.m: modified
	* core/@stk_kreq_qr/stk_update.m: modified
	* misc/test/stk_isequal_tolabs.m: modified

2013-12-02  Julien Bect  <julien.bect@supelec.fr>

	Remove residual occurences of stk_kriging_equations.

	* core/@stk_kreq_qr/stk_update.m: modified
	* misc/benchmarks/stk_benchmark_logdet.m: modified

	Advertise the mailing-list and the ticket manager on Sourceforge.

	* stk_init.m: modified
	* README: modified

2013-12-01  Julien Bect  <julien.bect@supelec.fr>

	Reorganize the MOLE. Add linsolve only if necessary.

	* misc/mole/octave: removed
	* misc/mole/octave/linsolve.m: moved to misc/mole/linsolve
	* misc/mole/linsolve: new folder
	* misc/mole/linsolve/linsvoled.m: moved from misc/mole/octave
	* misc/config/stk_path.m: modified
	* misc/config/stk_set_root.m: modified

	Overload isequal for Octave 3.2.4 support.

	* utils/arrays/@stk_dataframe/isequal.m: new function
	* core/@stk_kreq_qr/isequal.m: new function
	* etc/CODING_GUIDELINES: modified

2013-11-30  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_octave_config.

	* misc/config/stk_octave_config.m: modified

	Reorganize the MOLE for the sake of flexibility.

	* misc/mole/corr: new folder
	* misc/mole/corr/corr.m: moved from misc/mole/matlab/stats
	* misc/mole/quantile: new folder
	* misc/mole/quantile/quantile.m: moved from misc/mole/matlab/stat
	* misc/mole/matlab/stats: removed
	* misc/mole/matlab/stats/quantile.m: moved to misc/mole/quantile
	* misc/mole/matlab/stats/corr.m: moved to misc/mole/corr
	* misc/config/stk_path.m: modified

2013-11-29  Julien Bect  <julien.bect@supelec.fr>

	Add a new function to the MOLE: corr.

	* misc/mole/matlab/stats/corr.m: new function

	Move octave_quantile to the MOLE.

	* misc/stats: removed
	* misc/stats/octave_quantile.m: removed
	* misc/mole/matlab/stats: new directory
	* misc/mole/matlab/stats/quantile.m: formerly known as
	misc/stats/octave_quantile
	* utils/arrays/@stk_dataframe/quantile.m: modified
	* misc/config/stk_path.m: modified

	Make stk_runexamples fail if at least one example failed.

	* trunk/misc/test/stk_runexamples.m: modified

2013-11-28  Julien Bect  <julien.bect@supelec.fr>

	Add a new MOLE function: graphicstoolkit.

	* misc/mole/matlab/graphics_toolkit.m: removed
	* misc/mole/common/graphicstoolkit.m: new function
	* examples/03_miscellaneous/stk_example_misc02: modified

2013-11-25  Julien Bect  <julien.bect@supelec.fr>

	Use a more conservative form of subplot (without options).

	* misc/plot/stk_subplot.m: modified

	Fix a bug in stk_path.

	* misc/config/stk_path.m: modified

2013-11-24  Julien Bect  <julien.bect@supelec.fr>

	Fix a typo (missing parenthesis) in stk_rescale.

	* utils/arrays/generic/stk_rescale.m: modified

	Fix a copy-paste typo in stk_path.

	* misc/config/stk_path.m: modified

	Increase test tolerance.

	* misc/distrib/distrib_student_cdf.m: modified

	Provide a replacement for graphics_toolkit in Matlab.

	* misc/mole/matlab/graphics_toolkit.m: modified

	Remove the legend in example 'misc02' if using gnuplot.

	* examples/03_miscellaneous/stk_example_misc02.m: modified

	Choose a slightly less singular example for 'doe03'.

	* examples/02_design_of_experiments/stk_example_doe03.m: modified

	Fix stk_select_optimizer: sqp is in Octave core.

	* misc/config/stk_select_optimizer.m: modified

	Add documentation for stk_select_optimizer.

	* misc/config/stk_select_optimizer.m: modified

2013-11-22  Julien Bect  <julien.bect@supelec.fr>

	Add a new example.

	* examples/01_kriging_basics/stk_example_kb07.m: new script

2013-11-19  Julien Bect  <julien.bect@supelec.fr>

	Change plot options in example 'doe01'.

	* examples/02_design_of_experiments/stk_example_doe01.m: modified

	Add a smoke test of all examples.

	* misc/test/stk_runexamples.m: modified

2013-11-18  Julien Bect  <julien.bect@supelec.fr>

	Remove TRUE_NOISE_STD in example 'kb03'.

	* examples/01_kriging_basics/stk_example_kb03.m: modified

	Use the variance returned by stk_param_init for noiseless data.

	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb03.m: modified

2013-11-15  Julien Bect  <julien.bect@supelec.fr>

	Remove stk_plot1dsim.

	* misc/plot/stk_plot1dsim.m: removed
	* misc/plot/stk_plot1d.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified

2013-11-14  Julien Bect  <julien.bect@supelec.fr>

	Rewrite one-line descriptions of all examples.

	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb03.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified
	* examples/01_kriging_basics/stk_example_kb06.m: modified
	* examples/02_design_of_experiments/stk_example_doe01.m: modified
	* examples/02_design_of_experiments/stk_example_doe02.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified
	* examples/03_miscellaneous/stk_example_misc01.m: modified
	* examples/03_miscellaneous/stk_example_misc02.m: modified

	Rewrite the description of example 'kb02'.

	* examples/01_kriging_basics/stk_example_kb02.m: modified

2013-11-12  Julien Bect  <julien.bect@supelec.fr>

	Rewrite the description of example 'misc02'.

	* examples/03_miscellaneous/stk_example_misc02.m: modified

2013-11-11  Julien Bect  <julien.bect@supelec.fr>

	New functions: stk_axes, stk_subplot, stk_title.

	* misc/plot/stk_subplot.m: new function
	* misc/plot/stk_axes.m: new function
	* misc/plot/stk_title.m: new function
	* misc/options/stk_options_set.m: modified
	* misc/plot/stk_figure.m: modified
	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb03.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified
	* examples/01_kriging_basics/stk_example_kb06.m: modified
	* examples/02_design_of_experiments/stk_example_doe01.m: modified
	* examples/02_design_of_experiments/stk_example_doe02.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified
	* examples/03_miscellaneous/stk_example_misc01.m: modified
	* examples/03_miscellaneous/stk_example_misc02.m: modified

2013-11-10  Julien Bect  <julien.bect@supelec.fr>

	Change plot labels in several examples.

	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified

	New functions to create labels with options.

	* misc/plot/stk_xlabel.m: new function
	* misc/plot/stk_ylabel.m: new function
	* misc/plot/stk_labels.m: new function
	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified
	* examples/03_miscellaneous/stk_example_misc01.m: modified
	* examples/03_miscellaneous/stk_example_misc02.m: modified
	* misc/benchmarks/stk_benchmark_cov2.m: modified
	* misc/plot/stk_figure.m: modified
	* misc/plot/stk_plot2d.m: modified
	* misc/options/stk_options_set.m: modified
	* utils/arrays/@stk_dataframe/plot.m: modified

2013-11-07  Julien Bect  <julien.bect@supelec.fr>

	New function to create figures for the examples.

	* misc/plot/stk_figure.m: new function
	* misc/options/stk_options_set.m: modified
	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified
	* examples/01_kriging_basics/stk_example_kb03.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified
	* examples/01_kriging_basics/stk_example_kb06.m: modified
	* examples/02_design_of_experiments/stk_example_doe01.m: modified
	* examples/02_design_of_experiments/stk_example_doe02.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified
	* examples/03_miscellaneous/stk_example_misc02.m: modified
	* examples/03_miscellaneous/stk_example_misc01.m: modified
	* misc/benchmarks/stk_benchmark_cov2.m: modified

	Plot directly on the current axes.

	* misc/plot/stk_plot1d.m: modified
	* misc/plot/stk_plot1dsim.m: modified

	Minor changes in stk_plot1dsim.

	* misc/plot/stk_plot1dsim.m: modified

	Add figures in example kb05.

	* examples/01_kriging_basics/stk_example_kb05.m: modified

2013-11-02  Julien Bect  <julien.bect@supelec.fr>

	Remove example misc01, rename misc02 and misc03.

	* stk_example_misc01.m: deleted
	* stk_example_misc02.m: renamed to misc01
	* stk_example_misc03.m: renamed to misc02

	Add a new example.

	* examples/01_kriging_basics/stk_example_kb06.m: new script

	Raise current axis to the top layer in stk_plot_shadedci.

	* misc/plot/stk_plot_shadedci.m: modified

	Add the Gaussian correlation to example 'misc02'.

	* examples/03_miscellaneous/stk_example_misc02.m: modified

2013-11-01  Julien Bect  <julien.bect@supelec.fr>

	Add Gaussian isotropic and anisotropic covariance functions.

	* covfcs/stk_gausscov_iso.m: new function
	* covfcs/stk_gausscov_aniso.m: new function
	* utils/stk_model.m: modified

	Add the Gaussian correlation function.

	* misc/specfun/stk_sf_gausscorr.m: new function

	Improve the precision of stk_sf_matern around 0 for high nu.

	* misc/specfun/stk_sf_matern.m: modified

2013-10-29  Julien Bect  <julien.bect@supelec.fr>

	Remove obsolete references to example01.m

	* core/stk_predict.m: modified
	* misc/plot/stk_plot1d.m: modified
	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/03_miscellaneous/stk_example_misc01.m: modified

2013-10-28  Julien Bect  <julien.bect@supelec.fr>

	Rewrite the description of examples 'doe02' and 'doe03'.

	* examples/02_design_of_experiments/stk_example_doe02.m: modified
	* examples/02_design_of_experiments/stk_example_doe03.m: modified

2013-10-26  Julien Bect  <julien.bect@supelec.fr>

	Rewrite example 'doe01'.

	* examples/02_design_of_experiments/stk_example_doe01.m: modified

	Add an optional 'box' argument to stk_sampling_halton_rr2.

	* sampling/stk_sampling_halton_rr2.m: modified

	Rewrite the description of examples 'kb04' and 'kb05'.

	* examples/01_kriging_basics/stk_example_kb04.m: modified
	* examples/01_kriging_basics/stk_example_kb05.m: modified

2013-10-23  Julien Bect  <julien.bect@supelec.fr>

	Rewrite the description of example 'kb03'.

	* examples/01_kriging_basics/stk_example_kb03.m: modified

2013-10-20  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_predict and add a test.

	* core/stk_predict.m: modified

2013-10-16  Julien Bect  <julien.bect@supelec.fr>

	Rewrite the description of example 'kb02'.

	* examples/01_kriging_basics/stk_example_kb02.m: modified

2013-10-15  Julien Bect  <julien.bect@supelec.fr>

	Rewrite the description of example 'kb01'.

	* examples/01_kriging_basics/stk_example_kb01.m: modified

	Insert an empty line before the example header.

	* misc/text/stk_disp_examplewelcome.m: modified

2013-10-13  Julien Bect  <julien.bect@supelec.fr>

	New example script: 1D Bayesian optimization.

	* examples/02_design_of_experiments/stk_example_doe03.m: new
	script

	Display help text when running an example script.

	* misc/text/stk_disp_examplewelcome.m: modified

	Restore output verbosity at the end of example scripts.

	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified

	Use input row names for the output of stk_feval.

	* utils/stk_feval.m: modified

	Fix a bug in @stk_dataframe/subsref.

	* utils/arrays/@stk_dataframe/subsref.m: modified

2013-10-12  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_dataframe.m and add a copy constructor.

	* utils/arrays/@stk_dataframe/stk_dataframe.m: modified

	Provide Gaussian and Student EI functions.

	* misc/distrib/distrib_student_ei.m: new function
	* misc/distrib/distrib_normal_ei.m: new function

2013-10-10  Julien Bect  <julien.bect@supelec.fr>

	distrib_normal_*: return nan for negative standard deviations.

	* misc/distrib/distrib_normal_pdf.m: modified
	* misc/distrib/distrib_normal_cdf.m: modified

2013-10-09  Julien Bect  <julien.bect@supelec.fr>

	Provide a first set of pdf/cdf replacement functions.

	* misc/distrib: new folder
	* misc/distrib/README: new text file
	* misc/distrib/distrib_student_pdf.m: new function
	* misc/distrib/distrib_normal_pdf.m: new function
	* misc/distrib/distrib_student_cdf.m: new function
	* misc/distrib/distrib_normal_cdf.m: new function
	* misc/config/stk_path.m: modified

2013-10-07  Julien Bect  <julien.bect@supelec.fr>

	Make commonsize work directly on cell arrays when nargin == 1.

	* misc/mole/common/commonsize.m: modified

2013-09-27  Julien Bect  <julien.bect@supelec.fr>

	Make Matlab/Octave compatibility easier to achieve.

	* misc/mole: new folder
	* misc/mole/README: new text file
	* misc/mole/common: new folder
	* misc/mole/common/commonsize.m: new function
	* misc/mole/common/ismatlab.m: new function
	* misc/mole/common/isoctave.m: new function
	* misc/mole/matlab: new folder
	* misc/mole/matlab/file_in_path.m: moved form misc/matlab
	* misc/mole/matlab/file_in_loadpath.m: moved form misc/matlab
	* misc/mole/matlab/stdout.m: moved form misc/matlab
	* misc/mole/matlab/index.m: moved form misc/matlab
	* misc/mole/matlab/fflush.m: moved form misc/matlab
	* misc/matlab: deleted
	* misc/mole/octave: new folder
	* misc/mole/octave/linsolve.m: new function
	* stk_init.m: modified
	* admin/stk_make_htmldoc.m: modified
	* core/@stk_kreq_qr/linsolve.m: modified
	* misc/test/stk_test.m: modified
	* misc/test/stk_runscript.m: modified
	* misc/config/stk_select_optimizer.m: modified
	* misc/config/stk_path.m: modified
	* misc/config/stk_octave_config.m: modified
	* misc/config/stk_is_octave_in_use.m: modified

2013-09-19  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_predict.

	* core/stk_predict.m: modified

2013-09-18  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug in stk_sampling_olhs.

	* sampling/stk_sampling_olhs.m: modified

	Add new criterions for the design of computer experiments.

	* misc/design: new folder
	* misc/design/stk_phipcrit.m: new function
	* misc/design/stk_maxabscorr.m: new function
	* misc/config/stk_path.m: modified

2013-09-13  Julien Bect  <julien.bect@supelec.fr>

	New approach for the encapsulation of QR-based kriging computations.

	* core/@stk_kriging_equation: removed
	* core/@stk_kreq_qr: new class
	* core/stk_predict.m: modified

2013-09-13  Emmanuel Vazquez  <emmanuel.vazquez@supelec.fr>

	Switch to verbose display mode for examples kb01 and kb02.

	* examples/01_kriging_basics/stk_example_kb01.m: modified
	* examples/01_kriging_basics/stk_example_kb02.m: modified

2013-09-12  Julien Bect  <julien.bect@supelec.fr>

	Control the verbosity of display for dataframe objects.

	* misc/options/stk_options_set.m: modified
	* utils/arrays/@stk_factorialdesign/disp.m: modified
	* utils/arrays/@stk_dataframe/disp.m: modified
	* utils/arrays/@stk_dataframe/display.m: modified
	* stk_init.m: modified

	Display row and column names between simple quotes.

	* utils/arrays/@stk_dataframe/stk_sprintf_colnames.m: modified
	* utils/arrays/@stk_dataframe/stk_sprintf_rownames.m: modified

	stk_param_estim.m: Fix a stupid bug.

	* paramestim/stk_param_estim.m: modified

	Reorganize folders.

	* utils/arrays: new folder
	* utils/arrays/generic: new folder
	* utils/@stk_dataframe: moved to utils/arrays
	* utils/@stk_factorialdesign: moved to utils/arrays
	* utils/@struct: moved to utils/arrays
	* misc/text/stk_sprintf_data.m: moved to utils/arrays/generic
	* misc/text/stk_sprintf_rownames.m: moved to utils/arrays/generic
	* misc/text/stk_sprintf_info.m: moved to utils/arrays/generic
	* misc/text/stk_sprintf_sizetype.m: moved to utils/arrays/generic
	* misc/text/stk_sprintf_colnames.m: moved to utils/arrays/generic
	* utils/stk_rescale.m: moved to utils/arrays/generic
	* utils/stk_normalize.m: moved to utils/arrays/generic
	* misc/config/stk_path.m: modified
	* misc/config/stk_compile_all.m: modified

	Fill .info field after the construction of a dataframe.

	* core/stk_predict.m: modified
	* core/@stk_kriging_equation/stk_predict.m: modified
	* utils/stk_feval.m: modified
	* sampling/stk_sampling_olhs.m: modified
	* sampling/stk_sampling_randunif.m: modified
	* sampling/stk_sampling_maximinlhs.m: modified
	* sampling/stk_sampling_halton_rr2.m: modified
	* sampling/stk_sampling_randomlhs.m: modified

2013-09-11  Julien Bect  <julien.bect@supelec.fr>

	@stk_dataframe, @stk_factorialdesign: Improve display.

	* utils/@stk_dataframe/stk_sprintf_info.m: new function
	* utils/@stk_dataframe/stk_sprintf_data.m: new function
	* utils/@stk_dataframe/disp.m: modified
	* utils/@stk_dataframe/stk_sprintf_colnames.m: new function
	* utils/@stk_dataframe/stk_dataframe.m: modified
	* utils/@stk_dataframe/stk_sprintf_rownames.m: new function
	* utils/@stk_dataframe/stk_sprintf_sizetype.m: new function
	* utils/@stk_factorialdesign/disp.m: new function
	* utils/@stk_factorialdesign/stk_factorialdesign.m: modified
	* utils/@stk_factorialdesign/stk_sprintf_levels.m: new function
	* sampling/stk_sampling_regulargrid.m: modified
	* misc/text/stk_sprintf_sizetype.m: new function
	* misc/text/stk_sprintf_rownames.m: new function
	* misc/text/stk_sprintf_info.m: new function
	* misc/text/stk_sprintf_colnames.m: new function
	* misc/text/stk_sprintf_data.m: new function

	Allow string arguments in stk_isequal_tolabs and stk_isequal_tolrel.

	* misc/test/stk_isequal_tolrel.m: modified
	* misc/test/stk_isequal_tolabs.m: modified

2013-09-11  Emmanuel Vazquez  <emmanuel.vazquez@supelec.fr>

	@stk_dataframe: Increase display verbosity.

	* utils/@stk_dataframe/display.m: modified
	* utils/@stk_dataframe/disp.m: modified

	@stk_dataframe: Make 'data' available through get/set and dot-indexation.

	* utils/@stk_dataframe/private/get_column_number.c: modified

	stk_disp_examplewelcome.m: Define a default welcome message.

	* misc/text/stk_disp_examplewelcome.m: modified

2013-09-10  Julien Bect  <julien.bect@supelec.fr>

	Use strtrim instead of deblank + fliplr.

	* misc/config/stk_version.m: modified (bugfix)
	* admin/m2html/m2html.m: modified
	* admin/m2html/private/mfileparse.m: modified

	Do not display Octave-style unit tests in the HTML documentation.

	* admin/m2html/m2html.m: modified

	Clarify author & copyright information in README.

	* README: modified

2013-09-08  Julien Bect  <julien.bect@supelec.fr>

	Fix a bug with y-labels (empty legend) in @stk_dataframe/plot.

	* utils/@stk_dataframe/plot.m: modified

	Preserve row names when removing rows from a dataframe.

	* utils/@stk_dataframe/subsref.m: modified
	* utils/@stk_dataframe/subsasgn.m: modified

2013-09-07  Julien Bect  <julien.bect@supelec.fr>

	Rename internal field 'vnames' to 'colnames' in @stk_dataframe.

	* utils/@stk_dataframe/subsasgn.m: modified
	* utils/@stk_dataframe/stk_dataframe.m: modified
	* utils/@stk_dataframe/get.m: modified
	* utils/@stk_dataframe/set.m: modified
	* utils/@stk_dataframe/disp.m: modified
	* utils/@stk_dataframe/bsxfun.m: modified
	* utils/@stk_dataframe/fieldnames.m: modified

	Return an stk_dataframe when using ()-indexing on an stk_dataframe.

	* utils/@stk_dataframe/subsref.m: modified
	* utils/stk_feval.m: modified
	* utils/@stk_dataframe/subsasgn.m: modified (nothing serious)
	* utils/@stk_dataframe/end.m: modified (tests)
	* sampling/stk_sampling_vdc_rr2.m: modified (tests)
	* sampling/stk_sampling_halton_rr2.m: modified (tests)

2013-09-05  Julien Bect  <julien.bect@supelec.fr>

	Plot dataframes with two columns or more.

	* utils/@stk_dataframe/plot.m: modified

2013-09-04  Julien Bect  <julien.bect@supelec.fr>

	Make @stk_dataframe behave more like matrices wrt row/column deletion.

	* utils/@stk_dataframe/subsasgn.m: modified

	Make line lengths equal in README.

	* README: modified

2013-09-01  Julien Bect  <julien.bect@supelec.fr>

	Improve Octave 3.2.x compatibility.

	* utils/@stk_dataframe/max.m: modified
	* utils/@stk_dataframe/apply.m: modified
	* utils/@stk_dataframe/display.m: modified
	* utils/@stk_dataframe/xor.m: modified
	* utils/@stk_dataframe/disp.m: modified
	* utils/@stk_dataframe/stk_normalize.m: modified
	* utils/@stk_dataframe/min.m: modified
	* utils/@stk_factorialdesign/stk_factorialdesign.m: modified
	* utils/@stk_factorialdesign/stk_rescale.m: modified
	* utils/@stk_factorialdesign/stk_normalize.m: modified
	* misc/config/stk_octave_config.m: modified
	* misc/stats/octave_quantile.m: modified
	* misc/test/stk_isequal_tolabs.m: modified
	* misc/test/stk_test_dfbinaryop.m: modified

	Provide a quantile function since Matlab (base) does not have it.

	* misc/stats/octave_quantile.m: new function
	* utils/@stk_dataframe/quantile.m: modified
	* misc/config/stk_path.m: modified

2013-08-31  Julien Bect  <julien.bect@supelec.fr>

	Add return code to several C functions.

	* sampling/stk_sampling_vdc_rr2.c: modified

	Remove unused variables in several C functions.

	* misc/dist/private/stk_dist_pairwise.c: modified
	* misc/dist/private/stk_gpquadform_pairwise.c: modified
	* utils/@stk_dataframe/private/get_column_number.c: modified

	Fix a problem with bsxfun/realpow in Matlab R2007a.

	* utils/@stk_dataframe/bsxfun.m: modified

2013-08-30  Julien Bect  <julien.bect@supelec.fr>

	Fix several issues in stk_compile_all.

	* misc/config/stk_compile_all.m: modified

	Fix stk_octave_config to make it work in Octave 3.4.3.

	* misc/config/stk_octave_config.m: modified

	Rename stk_remlqrg to stk_param_relik.

	* paramestim/stk_param_relik.m: formerly known as stk_remlgrg.m
	* paramestim/stk_remlqrg.m: removed
	* paramestim/stk_param_init.m: modified
	* paramestim/stk_param_estim.m: modified

	Add new function that returns STK's version number.

	* misc/config/stk_version.m: new function.

2013-08-29  Julien Bect  <julien.bect@supelec.fr>

	Use new covariance type 'stk_discretecov' instead of Kx_cache/Px_cache.

	* covfcs/stk_discretecov.m: new function.
	* core/@stk_kriging_equation/stk_predict.m: modified.
	* core/stk_ortho_func.m: modified.
	* core/stk_make_matcov.m: modified.
	* core/stk_predict.m: modified.
	* utils/stk_model.m: modified.

	Rewrite stk_noisecov for clarity.

	* covfcs/stk_noisecov.m: modified.

2013-08-28  Julien Bect  <julien.bect@supelec.fr>

	Disable a warning in stk_predict.

	* stk_init.m: modified.

	Add checklist for creating releases.

	* etc/RELEASE_CHECKLIST: new text file.

	Add file AUTHORS (list of all contributors).

	* AUTHORS: new text file.

	Add admin script to find non-standard characters.

	* admin/findNonStandardCharacters: new bash script.

	Fix end of lines (use LF).

	* admin/fixEOL: new bash script to fix end of lines.
	* sampling/stk_sampling_vdc_rr2.c: fix EOL.
	* misc/dist/stk_filldist_exact.m: fix EOL.
	* misc/config/stk_octave_config.m: fix EOL.
	* misc/test/stk_runscript.m: fix EOL.

2013-08-27  Julien Bect  <julien.bect@supelec.fr>

	Fix a test.

	* core/stk_predict.m: fix a test.

2013-08-22  Julien Bect  <julien.bect@supelec.fr>

	Provide facilities for computing logdets.

	* core/@stk_kriging_equation/get.m: new function.
	* core/@stk_kriging_equation/set.m: new function.
	* misc/benchmarks/stk_benchmark_logdet.m: new script

	Prepare for future work on updating kreq objects.

	* core/@stk_kriging_equation/stk_update.m: new function

	Implement a greedy evaluation model in @stk_kriging_equation.

	* core/@stk_kriging_equation/stk_kriging_equation.m: modified.
	* core/@stk_kriging_equation/private/do_compute.m: new function.
	* core/@stk_kriging_equation/stk_squared_seminorm.m: new function.
	* core/@stk_kriging_equation/stk_predict.m: modified.
	* core/@stk_kriging_equation/get.m: new function.
	* core/@stk_kriging_equation/set.m: new function.
	* core/@stk_kriging_equation/linsolve.m: modified.
	* core/stk_predict.m: modified

2013-08-21  Julien Bect  <julien.bect@supelec.fr>

	Fix horzcat/vertcat in the stk_dataframe class (Octave only).

	* utils/@stk_dataframe/vertcat.m: modified.
	* utils/@stk_dataframe/horzcat.m: modified.

	Rewrite get/set in the stk_dataframe class.

	* utils/@stk_dataframe/private/get_column_number.c: new MEX-file.
	* utils/@stk_dataframe/private/get_column_number.m: its brother.
	* utils/@stk_dataframe/get.m: new M-file.
	* utils/@stk_dataframe/set.m: its sister.
	* misc/config/stk_compile_all.m: modified.
	* utils/@stk_dataframe/src/get_column_number.h: removed
	* utils/@stk_dataframe/src/set.c: removed
	* utils/@stk_dataframe/src/get.c: removed
	* etc/CODING_GUIDELINES: Explain the rationale for this change.

	Fix a bug in sampling/stk_sampling_halton_rr2.m (Octave only).

	* sampling/stk_sampling_halton_rr2.m: modified.

	Get rid of a nested function in stk_compile_all.m.

	* misc/config/stk_compile_all.m: remove nested function.
	* etc/CODING_GUIDELINES: Explain the rationale for this change.

	Fix a bug in get_column_number.h.

	* utils/@stk_dataframe/src/get_column_number.h: modified.

	Get rid of stk_narginchk.

	* misc/error/stk_narginchk.m: Removed.
	Update argument checking in all STK functions accordingly.
        * etc/CODING_GUIDELINES: Explain the rationale for this change.

	Fix a bug in @stk_kriging_equation/stk_predict.m (nargin values).

	* core/@stk_kriging_equation/stk_predict.m: modified.

2013-07-22  Julien Bect  <julien.bect@supelec.fr>

	Add functions to generate RR2-scrambled van der Corput and Halton
	sequences. Joint work with Alexandra Krauth and Elham Rahali.

	* sampling/stk_sampling_vdc_rr2.c: New MEX-file.
	* sampling/stk_sampling_vdc_rr2.m: MEX-file doc + tests.
	* sampling/stk_sampling_halton_rr2.m: New function.
	* misc/include/primes.h: New header.
	* misc/include/stk_mex.h: Modified.
	* misc/config/stk_compile_all.m: Modified.

	Fix a test.

	* core/stk_predict.m: Modified.

	Fix bugs in approximate comparison functions.

	* misc/test/stk_isequal_tolabs.m: Modified.
	* misc/test/stk_isequal_tolrel.m: Modified.

2013-07-18  Julien Bect  <julien.bect@supelec.fr>

	Fix a minor bug in @stk_dataframe.horzcat.

	* utils/@stk_dataframe/horzcat.m: Modified.

	Benchmarks for parallelization.

	* misc/benchmarks: New folder.
	* misc/benchmarks/stk_benchmark_cov2.m: New script.
	* misc/benchmarks/stk_benchmark_cov1.m: New script.

	Rewrite parallelization of covariance evaluation.

	* core/private: Removed.
	* core/stk_make_matcov.m: Modified (much simpler now !)
	* misc/specfun/stk_sf_matern.m: Modified (parallelized)

	Add wrapper classes for parallel computation engines.

	* misc/parallel: New folder.
	* misc/parallel/@stk_parallel_engine_none: New class.
	* misc/parallel/@stk_parallel_engine_parfor: New class.
	* misc/parallel/stk_parallel_cutblocks.m: New function.
	* misc/parallel/stk_parallel_feval.m: New function.
	* misc/parallel/stk_parallel_start.m: New function.
	* misc/parallel/stk_parallel_engine_set.m: New function.
	* misc/parallel/stk_parallel_engine_get.m: New function.
	* misc/parallel/stk_parallel_stop.m: New function.
	* misc/config/stk_path.m: Modified.

	A new system for managing options.

	* misc/options: New folder.
	* misc/options/stk_options_set.m: New function.
	* misc/options/stk_options_get.m: New function.
	* misc/config/stk_path.m: Modified.

2013-07-15  Julien Bect  <julien.bect@supelec.fr>

	Recompile a MEX-file if the source is more recent.

	* misc/config/stk_compile_all.m: Modified.

	Add MEX-file for an efficient access to the named properties of an
	stk_dataframe object.

	* utils/@stk_dataframe/src: New folder for MEX sources.
	* utils/@stk_dataframe/src/get.c: New method (source).
	* utils/@stk_dataframe/src/set.c: New method (source).
	* utils/@stk_dataframe/src/get_column_number.h: New C header.
	* misc/config/stk_compile_all.m: Compile get and set.
	* utils/@stk_factorialdesign/get.m: New method.
	* utils/@stk_factorialdesign/set.m: New method.
	* utils/@stk_dataframe/subsasgn.m: Use get/set.
	* utils/@stk_dataframe/subsref.m: Idem.
	* utils/@stk_dataframe/ctranspose.m: Idem.
	* utils/@stk_dataframe/transpose.m: Idem.
	* utils/@stk_factorialdesign/stk_factorialdesign.m: Idem.
	* utils/@stk_dataframe/stk_dataframe.m: Idem.
	* utils/@stk_dataframe/stk_get_rownames.m: Removed.
	* utils/@stk_dataframe/stk_get_colnames.m: Removed.
	* utils/@stk_dataframe/stk_set_rownames.m: Removed.
	* utils/@stk_dataframe/stk_get_colnames.m: Removed
	* utils/@stk_dataframe/private/get_column_indicator.m: Removed.

	Create a folder for common include files (*.h).

	* misc/include: New folder.
	* misc/include/stk_mex.h: Moved from misc/dist/private/.
	* misc/config/stk_compile_all.m: Add a -I flag for mex

2013-07-02  Julien Bect  <julien.bect@supelec.fr>

	Encapsulate kriging equations in a dedicated class (bis).

	* core/stk_predict.m: Move the rhs loop (and a few other things)
	to @stk_kriging_equation.stk_predict(). Add tests.
	* core/@stk_kriging_equation/stk_predict.m: New function.
	* core/@stk_kriging_equation/linsolve.m: Cast xt to double.
	* core/@stk_kriging_equation/stk_kriging_equation.m: Cast xi to
